Sun Jul 12 06:34:46 EDT 2009  athena@fftw.org
  * Update NEWS, version number for 3.2.2 release.

    M ./NEWS +3
    M ./configure.ac -2 +2

Sat Jul 11 22:28:38 EDT 2009  athena@fftw.org
  * Reintroduce the pruning heuristic in ESTIMATE mode for r2r problems.
  
  Somehow, we lost this feature between fftw-3.1.3 and fftw-3.2.

    M ./rdft/hc2hc-direct.c +3

Thu Jun 25 07:39:04 EDT 2009  athena@fftw.org
  * don't use pshared=1 in sem_init
  
  pshared is really not necessary, and it is not supported on
  GNU/kFreeBSD.  Thanks Petr Salinger for the bug report.

    M ./threads/threads.c -2 +2

Thu Jun 11 19:35:40 EDT 2009  fftw@fftw.org
  * Add mingw64 build file so that we can track it.

    A ./support/BUILD-MINGW64.sh

Wed Jun 10 12:10:58 EDT 2009  fftw@fftw.org
  * note 3.2.2 NEWS

    M ./NEWS +7

Wed Jun 10 12:04:54 EDT 2009  fftw@fftw.org
  * add --disable-alloca to configure
  
  It looks like alloca() is broken on mingw64, and thus
  we need to disable it explicitly.

    M ./configure.ac -1 +6
    M ./kernel/ifftw.h -1 +1

Sun Apr 26 16:33:10 EDT 2009  athena@fftw.org
  * Note in FAQ that --enable-k7 has been discontinued.

    M ./doc/FAQ/fftw-faq.bfnn -4 +7

Tue Mar 24 09:16:18 EDT 2009  athena@fftw.org
  * clarified small confusion in fftw_cleanup documentation

    M ./doc/fftw3.texi -2 +3

Thu Mar 19 13:18:06 EDT 2009  stevenj@fftw.org
  * fix documentation of dfftw_init_threads to indicate thaat it takes an argument (since the C version returns a value); thanks t Hans Johnnston for the bug report

    M ./doc/fftw3.texi -1 +5

Thu Mar 12 13:12:13 EDT 2009  fftw@fftw.org
  * if possible, use a 128-bit type for copy

    M ./configure.ac -1 +1
    M ./kernel/cpy2d.c -9 +38

Tue Mar 10 12:49:51 EDT 2009  fftw@fftw.org
  * add size-128 simd codelets
  
  It's about time

    M ./dft/simd/codelets/Makefile.am -2 +2

Mon Mar  9 20:29:16 EDT 2009  athena@fftw.org
  * copy two floats as a double when possible
  
  Resurrect the old hack of copying two floats as a double,
  which makes some difference in these days of 64 bit boxes.
  

    M ./kernel/cpy2d.c -16 +34

Sun Mar  8 18:08:04 EDT 2009  athena@fftw.org
  * fixed (harmless) confusion of strides
  
  RS and VS were swapped in dftw-direct.c.  This is a bug, but
  it is harmless unless one uses fixed-stride codelets, which we
  do not.

    M ./dft/dftw-direct.c -7 +7

Sun Mar  8 10:29:49 EDT 2009  athena@fftw.org
  * oops, I checked in debug code accidentally.

    M ./kernel/ct.c -1

Sat Feb 14 19:01:00 EST 2009  athena@fftw.org
  * Change TLO email address since Magdalen is no longer there.

    M ./commercialize.sh -1 +1

Sat Feb 14 18:18:45 EST 2009  stevenj@fftw.org
  * quote arguments to bench in test script on the off-chance that '*' would be expanded by the shell into a valid filename, and also to avoid shell confusion on Cygwin that "//" begins the name of a Windows network mountpoint

    M ./tests/check.pl -1 +1

Sat Feb 14 18:17:23 EST 2009  stevenj@fftw.org
  tagged fftw-3.2.1


Sun Mar  8 10:02:59 EDT 2009  athena@fftw.org
  * stricter conditions for Cooley-Tukey being ugly
  
  It turns out that m=2 in the leaf of Cooley-Tukey may be
  advantageous in certain cases, eg. i512v512 on AMD Shanghai:
  
  (dft-buffered-512-x128/512-6
    (dft-ct-dit/4
      (dftw-direct-4/24-x128 "t2fv_4")
      (dft-vrank>=1-x4/1
        (dft-ct-dit/64
          (dftw-direct-64/504-x128 "t2fv_64")
          (dft-vrank>=1-x64/1
            (dft-direct-2-x128 "n2fv_2")))))
    (dft-r2hc-1
      (rdft-rank0-tiled/2-x128-x512))
    (dft-nop))
  
  Presumably this works around the 2 way associativity of the L1 cache.

    M ./dft/dftw-direct.c -1 +1
    M ./kernel/ct.c -2 +3
    M ./kernel/ifftw.h -1 +1
    M ./rdft/ct-hc2c-direct.c -1 +1
    M ./rdft/hc2hc-direct.c -3 +3

Mon Feb  9 19:46:00 EST 2009  stevenj@fftw.org
  * disable Windows QueryPerformanceCounter code, since it requires us to pull in windows.h in ifftw.h and causes namespace conflicts; gettimeofday seems to work well enough and has had few complaints

    M ./kernel/ifftw.h -4 +1
    M ./kernel/timer.c -1 +8

Wed Feb  4 22:55:54 EST 2009  stevenj@fftw.org
  * version bump for 3.2.1, updated NEWS

    M ./NEWS +10
    M ./configure.ac -1 +1

Wed Feb  4 22:27:28 EST 2009  stevenj@fftw.org
  * recommend that users avoid fftw_execute in Fortran, instead using dfftw_execute_dft and friends so that the compiler knows that the input/output arrays are used

    M ./doc/fftw3.texi -10 +80

Wed Jan 21 16:02:08 EST 2009  stevenj@fftw.org
  * prefer windows queryperformancecounter to gettimeofday on Windows, thanks to David Price for the suggestion

    M ./kernel/ifftw.h -1 +4
    M ./kernel/timer.c -1 +20

Sun Feb  1 14:34:49 EST 2009  athena@fftw.org
  * compilation fixes in case snprintf() is defined as a macro.

    M ./libbench2/report.c -8 +7

Wed Jan 28 20:19:04 EST 2009  athena@fftw.org
  * Automake does not like continuation lines beginning with a comment.

    M ./rdft/scalar/r2cb/Makefile.am -1 +1

Wed Jan 28 18:24:39 EST 2009  athena@fftw.org
  * Add r2cb_2.c
  
  r2cb_2.c is needed for problem rb2, which is not equivalent to
  rf2 (unlike kb2, which is equivalent to kf2).
  
  This change would not matter much except that rb2 is generated
  when reducing backward rdft2 to dft, and the absence of the codelet was
  preventing radix 2 from being employed at all in this case.

    M ./rdft/scalar/r2cb/Makefile.am -6 +4

Sat Jan 10 06:47:22 EST 2009  athena@fftw.org
  * handle the case vecsz->rnk == 0 correctly.

    M ./dft/buffered.c -1 +3
    M ./rdft/buffered.c -1 +3
    M ./rdft/buffered2.c -1 +3

Fri Dec 19 15:20:36 EST 2008  stevenj@fftw.org
  * Macs are no longer ppc-based; thanks to Charles Collicutt for the FAQ update

    M ./doc/FAQ/fftw-faq.bfnn -3 +3

Mon Dec  8 18:08:33 EST 2008  stevenj@fftw.org
  * use new multiple-nbuf code in rdft/buffered, like for dft/buffered

    M ./rdft/buffered.c -11 +25
    M ./rdft/buffered2.c -12 +26

Sat Dec  6 16:34:36 EST 2008  stevenj@fftw.org
  * make x86_cpuid macro work on x86_64

    M ./m4/ax_gcc_x86_cpuid.m4 -1 +15

Sat Dec  6 09:20:37 EST 2008  athena@fftw.org
  * Allow automatic choice of buffer size in dft/buffered.c
  
  Try a couple of different buffer sizes in buffered transforms,
  since this seems to make a difference on some Core2 models.
  

    M ./api/mapflags.c -2
    M ./dft/buffered.c -10 +25
    M ./kernel/buffered.c -3 +19
    M ./kernel/ifftw.h -1 +5
    M ./rdft/buffered.c -2 +3
    M ./rdft/buffered2.c -2 +3
    M ./rdft/rdft2-rdft.c -1 +1

Tue Dec  2 19:18:30 EST 2008  athena@fftw.org
  * libbench2: do not assume that split-complex arrays are stride-1

    M ./libbench2/verify-dft.c -4 +3
    M ./libbench2/verify.c -1 +3
    M ./tests/bench.c -3 +2

Tue Dec  2 18:39:43 EST 2008  stevenj@fftw.org
  * updated NEWS

    M ./NEWS +14

Tue Dec  2 18:30:00 EST 2008  stevenj@fftw.org
  * date fix

    M ./m4/ax_gcc_archflag.m4 -1 +1

Tue Dec  2 18:29:06 EST 2008  stevenj@fftw.org
  * updated icc flags -- now prefer -xHost (-xN etc. seem t be obsolete), check for new spelling -ansi-alias, and use -malign-double like we do for gcc

    M ./m4/ax_cc_maxopt.m4 -2 +14

Tue Dec  2 18:28:03 EST 2008  stevenj@fftw.org
  * use $ax_cv_c_compiler_vendor rather than $GCC, as the former is more reliable (icc incorrectly self-identifies as gcc on MacOS where we don't use -no-gcc)

    M ./configure.ac -1 +1

Tue Dec  2 17:55:36 EST 2008  stevenj@fftw.org
  * don't use -no-gcc for icc on MacOS

    M ./configure.ac -2 +7

Tue Dec  2 17:34:04 EST 2008  stevenj@fftw.org
  * document some more bench options

    M ./tests/README -1 +17

Wed Nov 19 16:55:13 EST 2008  stevenj@fftw.org
  * make it clearer that --enable-openmp and --enable-threads are mutually exclusive; thanks to Long To for his comments

    M ./doc/fftw3.texi -6 +10

Mon Nov 17 20:16:28 EST 2008  stevenj@fftw.org
  * version bump to 3.2.1, use explicit Makefile.am for m4 subdirectory so that tarball does not include random files in there when you do 'make dist'

    M ./Makefile.am -3 +2
    M ./configure.ac -2 +4
    A ./m4/Makefile.am

Sat Nov 15 21:12:58 EST 2008  stevenj@fftw.org
  * document behavior of FFTW guru arrays, and in particular the odd behavior of the plan_guru_r2r routine in Fortran (thanks to Alexander Pozdneev for the bug report)

    M ./doc/fftw3.texi +10

Sat Nov 15 21:03:14 EST 2008  stevenj@fftw.org
  tagged fftw-3.2


Mon Nov 10 20:21:32 EST 2008  stevenj@fftw.org
  * version bump to 3.2, updated copyright year

    M ./COPYRIGHT -2 +2
    M ./NEWS -1 +6
    M ./api/api.h -2 +2
    M ./api/apiplan.c -2 +2
    M ./api/configure.c -2 +2
    M ./api/execute-dft-c2r.c -2 +2
    M ./api/execute-dft-r2c.c -2 +2
    M ./api/execute-dft.c -2 +2
    M ./api/execute-r2r.c -2 +2
    M ./api/execute-split-dft-c2r.c -2 +2
    M ./api/execute-split-dft-r2c.c -2 +2
    M ./api/execute-split-dft.c -2 +2
    M ./api/execute.c -2 +2
    M ./api/export-wisdom-to-file.c -2 +2
    M ./api/export-wisdom-to-string.c -2 +2
    M ./api/export-wisdom.c -2 +2
    M ./api/f77api.c -2 +2
    M ./api/f77funcs.h -2 +2
    M ./api/fftw3.h -2 +2
    M ./api/flops.c -2 +2
    M ./api/forget-wisdom.c -2 +2
    M ./api/import-system-wisdom.c -2 +2
    M ./api/import-wisdom-from-file.c -2 +2
    M ./api/import-wisdom-from-string.c -2 +2
    M ./api/import-wisdom.c -2 +2
    M ./api/malloc.c -2 +2
    M ./api/map-r2r-kind.c -2 +2
    M ./api/mapflags.c -2 +2
    M ./api/mkprinter-file.c -2 +2
    M ./api/mktensor-iodims.h -2 +2
    M ./api/mktensor-rowmajor.c -2 +2
    M ./api/plan-dft-1d.c -2 +2
    M ./api/plan-dft-2d.c -2 +2
    M ./api/plan-dft-3d.c -2 +2
    M ./api/plan-dft-c2r-1d.c -2 +2
    M ./api/plan-dft-c2r-2d.c -2 +2
    M ./api/plan-dft-c2r-3d.c -2 +2
    M ./api/plan-dft-c2r.c -2 +2
    M ./api/plan-dft-r2c-1d.c -2 +2
    M ./api/plan-dft-r2c-2d.c -2 +2
    M ./api/plan-dft-r2c-3d.c -2 +2
    M ./api/plan-dft-r2c.c -2 +2
    M ./api/plan-dft.c -2 +2
    M ./api/plan-guru-dft-c2r.h -2 +2
    M ./api/plan-guru-dft-r2c.h -2 +2
    M ./api/plan-guru-dft.h -2 +2
    M ./api/plan-guru-r2r.h -2 +2
    M ./api/plan-guru-split-dft-c2r.h -2 +2
    M ./api/plan-guru-split-dft-r2c.h -2 +2
    M ./api/plan-guru-split-dft.h -2 +2
    M ./api/plan-many-dft-c2r.c -2 +2
    M ./api/plan-many-dft-r2c.c -2 +2
    M ./api/plan-many-dft.c -2 +2
    M ./api/plan-many-r2r.c -2 +2
    M ./api/plan-r2r-1d.c -2 +2
    M ./api/plan-r2r-2d.c -2 +2
    M ./api/plan-r2r-3d.c -2 +2
    M ./api/plan-r2r.c -2 +2
    M ./api/print-plan.c -2 +2
    M ./api/rdft2-pad.c -2 +2
    M ./api/the-planner.c -2 +2
    M ./api/version.c -2 +2
    M ./api/x77.h -2 +2
    M ./configure.ac -2 +2
    M ./dft/bluestein.c -2 +2
    M ./dft/buffered.c -2 +2
    M ./dft/codelet-dft.h -2 +2
    M ./dft/conf.c -2 +2
    M ./dft/ct.c -2 +2
    M ./dft/ct.h -2 +2
    M ./dft/dft.h -2 +2
    M ./dft/dftw-direct.c -2 +2
    M ./dft/dftw-directsq.c -2 +2
    M ./dft/dftw-generic.c -2 +2
    M ./dft/dftw-genericbuf.c -2 +2
    M ./dft/direct.c -2 +2
    M ./dft/generic.c -2 +2
    M ./dft/indirect-transpose.c -2 +2
    M ./dft/indirect.c -2 +2
    M ./dft/kdft-dif.c -2 +2
    M ./dft/kdft-difsq.c -2 +2
    M ./dft/kdft-dit.c -2 +2
    M ./dft/kdft.c -2 +2
    M ./dft/nop.c -2 +2
    M ./dft/plan.c -2 +2
    M ./dft/problem.c -2 +2
    M ./dft/rader.c -2 +2
    M ./dft/rank-geq2.c -2 +2
    M ./dft/scalar/n.c -2 +2
    M ./dft/scalar/n.h -2 +2
    M ./dft/scalar/t.c -2 +2
    M ./dft/scalar/t.h -2 +2
    M ./dft/simd/n1b.c -2 +2
    M ./dft/simd/n1b.h -2 +2
    M ./dft/simd/n1f.c -2 +2
    M ./dft/simd/n1f.h -2 +2
    M ./dft/simd/n2b.c -2 +2
    M ./dft/simd/n2b.h -2 +2
    M ./dft/simd/n2f.c -2 +2
    M ./dft/simd/n2f.h -2 +2
    M ./dft/simd/n2s.c -2 +2
    M ./dft/simd/n2s.h -2 +2
    M ./dft/simd/q1b.c -2 +2
    M ./dft/simd/q1b.h -2 +2
    M ./dft/simd/q1f.c -2 +2
    M ./dft/simd/q1f.h -2 +2
    M ./dft/simd/t.c -2 +2
    M ./dft/simd/t1b.h -2 +2
    M ./dft/simd/t1bu.h -2 +2
    M ./dft/simd/t1f.h -2 +2
    M ./dft/simd/t1fu.h -2 +2
    M ./dft/simd/t2b.h -2 +2
    M ./dft/simd/t2f.h -2 +2
    M ./dft/simd/t3b.h -2 +2
    M ./dft/simd/t3f.h -2 +2
    M ./dft/simd/ts.c -2 +2
    M ./dft/simd/ts.h -2 +2
    M ./dft/solve.c -2 +2
    M ./dft/vrank-geq1.c -2 +2
    M ./dft/zero.c -2 +2
    M ./doc/f77_wisdom.f -2 +2
    M ./genfft/algsimp.ml -2 +2
    M ./genfft/algsimp.mli -2 +2
    M ./genfft/annotate.ml -2 +2
    M ./genfft/annotate.mli -2 +2
    M ./genfft/assoctable.ml -2 +2
    M ./genfft/assoctable.mli -2 +2
    M ./genfft/c.ml -2 +2
    M ./genfft/c.mli -2 +2
    M ./genfft/complex.ml -2 +2
    M ./genfft/complex.mli -2 +2
    M ./genfft/conv.ml -2 +2
    M ./genfft/conv.mli -2 +2
    M ./genfft/dag.ml -2 +2
    M ./genfft/dag.mli -2 +2
    M ./genfft/expr.ml -2 +2
    M ./genfft/expr.mli -2 +2
    M ./genfft/fft.ml -2 +2
    M ./genfft/fft.mli -2 +2
    M ./genfft/gen_hc2c.ml -2 +2
    M ./genfft/gen_hc2cdft.ml -2 +2
    M ./genfft/gen_hc2cdft_c.ml -2 +2
    M ./genfft/gen_hc2hc.ml -2 +2
    M ./genfft/gen_mdct.ml -2 +2
    M ./genfft/gen_notw.ml -2 +2
    M ./genfft/gen_notw_c.ml -2 +2
    M ./genfft/gen_r2cb.ml -2 +2
    M ./genfft/gen_r2cf.ml -2 +2
    M ./genfft/gen_r2r.ml -2 +2
    M ./genfft/gen_twiddle.ml -2 +2
    M ./genfft/gen_twiddle_c.ml -2 +2
    M ./genfft/gen_twidsq.ml -2 +2
    M ./genfft/gen_twidsq_c.ml -2 +2
    M ./genfft/genutil.ml -2 +2
    M ./genfft/littlesimp.ml -2 +2
    M ./genfft/littlesimp.mli -2 +2
    M ./genfft/magic.ml -2 +2
    M ./genfft/monads.ml -2 +2
    M ./genfft/number.ml -2 +2
    M ./genfft/number.mli -2 +2
    M ./genfft/oracle.ml -2 +2
    M ./genfft/oracle.mli -2 +2
    M ./genfft/schedule.ml -2 +2
    M ./genfft/schedule.mli -2 +2
    M ./genfft/simd.ml -2 +2
    M ./genfft/simd.mli -2 +2
    M ./genfft/simdmagic.ml -2 +2
    M ./genfft/to_alist.ml -2 +2
    M ./genfft/to_alist.mli -2 +2
    M ./genfft/trig.ml -2 +2
    M ./genfft/trig.mli -2 +2
    M ./genfft/twiddle.ml -2 +2
    M ./genfft/twiddle.mli -2 +2
    M ./genfft/unique.ml -2 +2
    M ./genfft/unique.mli -2 +2
    M ./genfft/util.ml -2 +2
    M ./genfft/util.mli -2 +2
    M ./genfft/variable.ml -2 +2
    M ./genfft/variable.mli -2 +2
    M ./kernel/align.c -2 +2
    M ./kernel/alloc.c -2 +2
    M ./kernel/assert.c -2 +2
    M ./kernel/awake.c -2 +2
    M ./kernel/buffered.c -2 +2
    M ./kernel/cpy1d.c -2 +2
    M ./kernel/cpy2d-pair.c -2 +2
    M ./kernel/cpy2d.c -2 +2
    M ./kernel/ct.c -2 +2
    M ./kernel/cycle.h -2 +2
    M ./kernel/debug.c -2 +2
    M ./kernel/extract-reim.c -2 +2
    M ./kernel/hash.c -2 +2
    M ./kernel/iabs.c -2 +2
    M ./kernel/ifftw.h -2 +2
    M ./kernel/kalloc.c -2 +2
    M ./kernel/md5-1.c -2 +2
    M ./kernel/md5.c -2 +2
    M ./kernel/minmax.c -2 +2
    M ./kernel/ops.c -2 +2
    M ./kernel/pickdim.c -2 +2
    M ./kernel/plan.c -2 +2
    M ./kernel/primes.c -2 +2
    M ./kernel/print.c -2 +2
    M ./kernel/problem.c -2 +2
    M ./kernel/rader.c -2 +2
    M ./kernel/scan.c -2 +2
    M ./kernel/solver.c -2 +2
    M ./kernel/solvtab.c -2 +2
    M ./kernel/stride.c -2 +2
    M ./kernel/tensor.c -2 +2
    M ./kernel/tensor1.c -2 +2
    M ./kernel/tensor2.c -2 +2
    M ./kernel/tensor3.c -2 +2
    M ./kernel/tensor4.c -2 +2
    M ./kernel/tensor5.c -2 +2
    M ./kernel/tensor7.c -2 +2
    M ./kernel/tensor8.c -2 +2
    M ./kernel/tensor9.c -2 +2
    M ./kernel/tile2d.c -2 +2
    M ./kernel/timer.c -2 +2
    M ./kernel/transpose.c -2 +2
    M ./kernel/trig.c -2 +2
    M ./kernel/twiddle.c -2 +2
    M ./libbench2/dotens2.c -2 +2
    M ./libbench2/my-getopt.c -2 +2
    M ./libbench2/my-getopt.h -2 +2
    M ./libbench2/verify-dft.c -2 +2
    M ./libbench2/verify-lib.c -2 +2
    M ./libbench2/verify-r2r.c -2 +2
    M ./libbench2/verify-rdft2.c -2 +2
    M ./libbench2/verify.h -2 +2
    M ./mpi/any-true.c -2 +2
    M ./mpi/api.c -2 +2
    M ./mpi/block.c -2 +2
    M ./mpi/choose-radix.c -2 +2
    M ./mpi/conf.c -2 +2
    M ./mpi/dft-problem.c -2 +2
    M ./mpi/dft-rank-geq2-transposed.c -2 +2
    M ./mpi/dft-rank-geq2.c -2 +2
    M ./mpi/dft-rank1-bigvec.c -2 +2
    M ./mpi/dft-rank1.c -2 +2
    M ./mpi/dft-serial.c -2 +2
    M ./mpi/dft-solve.c -2 +2
    M ./mpi/dtensor.c -2 +2
    M ./mpi/fftw3-mpi.h -2 +2
    M ./mpi/ifftw-mpi.h -2 +2
    M ./mpi/mpi-dft.h -2 +2
    M ./mpi/mpi-rdft.h -2 +2
    M ./mpi/mpi-rdft2.h -2 +2
    M ./mpi/mpi-transpose.h -2 +2
    M ./mpi/rdft-problem.c -2 +2
    M ./mpi/rdft-rank-geq2-transposed.c -2 +2
    M ./mpi/rdft-rank-geq2.c -2 +2
    M ./mpi/rdft-rank1-bigvec.c -2 +2
    M ./mpi/rdft-serial.c -2 +2
    M ./mpi/rdft-solve.c -2 +2
    M ./mpi/rdft2-problem.c -2 +2
    M ./mpi/rdft2-rank-geq2-transposed.c -2 +2
    M ./mpi/rdft2-rank-geq2.c -2 +2
    M ./mpi/rdft2-serial.c -2 +2
    M ./mpi/rdft2-solve.c -2 +2
    M ./mpi/rearrange.c -2 +2
    M ./mpi/testsched.c -2 +2
    M ./mpi/transpose-alltoall.c -2 +2
    M ./mpi/transpose-pairwise.c -2 +2
    M ./mpi/transpose-problem.c -2 +2
    M ./mpi/transpose-recurse.c -2 +2
    M ./mpi/transpose-solve.c -2 +2
    M ./mpi/wisdom-api.c -2 +2
    M ./rdft/buffered.c -2 +2
    M ./rdft/buffered2.c -2 +2
    M ./rdft/codelet-rdft.h -2 +2
    M ./rdft/conf.c -2 +2
    M ./rdft/ct-hc2c-direct.c -2 +2
    M ./rdft/ct-hc2c.c -2 +2
    M ./rdft/ct-hc2c.h -2 +2
    M ./rdft/dft-r2hc.c -2 +2
    M ./rdft/dht-r2hc.c -2 +2
    M ./rdft/dht-rader.c -2 +2
    M ./rdft/direct-r2c.c -2 +2
    M ./rdft/direct-r2r.c -2 +2
    M ./rdft/direct2.c -2 +2
    M ./rdft/generic.c -2 +2
    M ./rdft/hc2hc-direct.c -2 +2
    M ./rdft/hc2hc-generic.c -2 +2
    M ./rdft/hc2hc.c -2 +2
    M ./rdft/hc2hc.h -2 +2
    M ./rdft/indirect.c -2 +2
    M ./rdft/khc2c.c -2 +2
    M ./rdft/khc2hc.c -2 +2
    M ./rdft/kr2c.c -2 +2
    M ./rdft/kr2r.c -2 +2
    M ./rdft/nop.c -2 +2
    M ./rdft/nop2.c -2 +2
    M ./rdft/plan.c -2 +2
    M ./rdft/plan2.c -2 +2
    M ./rdft/problem.c -2 +2
    M ./rdft/problem2.c -2 +2
    M ./rdft/rank-geq2-rdft2.c -2 +2
    M ./rdft/rank-geq2.c -2 +2
    M ./rdft/rank0-rdft2.c -2 +2
    M ./rdft/rank0.c -2 +2
    M ./rdft/rdft-dht.c -2 +2
    M ./rdft/rdft.h -2 +2
    M ./rdft/rdft2-inplace-strides.c -2 +2
    M ./rdft/rdft2-rdft.c -2 +2
    M ./rdft/rdft2-strides.c -2 +2
    M ./rdft/rdft2-tensor-max-index.c -2 +2
    M ./rdft/scalar/hb.h -2 +2
    M ./rdft/scalar/hc2c.c -2 +2
    M ./rdft/scalar/hc2cb.h -2 +2
    M ./rdft/scalar/hc2cf.h -2 +2
    M ./rdft/scalar/hf.h -2 +2
    M ./rdft/scalar/hfb.c -2 +2
    M ./rdft/scalar/r2c.c -2 +2
    M ./rdft/scalar/r2cb.h -2 +2
    M ./rdft/scalar/r2cbIII.h -2 +2
    M ./rdft/scalar/r2cf.h -2 +2
    M ./rdft/scalar/r2cfII.h -2 +2
    M ./rdft/scalar/r2r.c -2 +2
    M ./rdft/scalar/r2r.h -2 +2
    M ./rdft/simd/hc2cbv.c -2 +2
    M ./rdft/simd/hc2cbv.h -2 +2
    M ./rdft/simd/hc2cfv.c -2 +2
    M ./rdft/simd/hc2cfv.h -2 +2
    M ./rdft/solve.c -2 +2
    M ./rdft/solve2.c -2 +2
    M ./rdft/vrank-geq1-rdft2.c -2 +2
    M ./rdft/vrank-geq1.c -2 +2
    M ./rdft/vrank3-transpose.c -2 +2
    M ./reodft/conf.c -2 +2
    M ./reodft/redft00e-r2hc-pad.c -2 +2
    M ./reodft/redft00e-r2hc.c -2 +2
    M ./reodft/reodft.h -2 +2
    M ./reodft/reodft010e-r2hc.c -2 +2
    M ./reodft/reodft11e-r2hc-odd.c -2 +2
    M ./reodft/reodft11e-r2hc.c -2 +2
    M ./reodft/reodft11e-radix2.c -2 +2
    M ./reodft/rodft00e-r2hc-pad.c -2 +2
    M ./reodft/rodft00e-r2hc.c -2 +2
    M ./simd/altivec.c -2 +2
    M ./simd/nonportable/sse.c -2 +2
    M ./simd/nonportable/sse2.c -2 +2
    M ./simd/simd-altivec.h -2 +2
    M ./simd/simd-sse.h -2 +2
    M ./simd/simd-sse2.h -2 +2
    M ./simd/simd.h -2 +2
    M ./simd/sse.c -2 +2
    M ./simd/sse2.c -2 +2
    M ./simd/taint.c -2 +2
    M ./simd/x86-cpuid.h -2 +2
    M ./threads/api.c -2 +2
    M ./threads/conf.c -2 +2
    M ./threads/ct.c -2 +2
    M ./threads/dft-vrank-geq1.c -2 +2
    M ./threads/f77api.c -2 +2
    M ./threads/f77funcs.h -2 +2
    M ./threads/hc2hc.c -2 +2
    M ./threads/openmp.c -2 +2
    M ./threads/rdft-vrank-geq1.c -2 +2
    M ./threads/threads.c -2 +2
    M ./threads/threads.h -2 +2
    M ./threads/vrank-geq1-rdft2.c -2 +2
    M ./tools/fftw-wisdom-to-conf.1 -4 +4
    M ./tools/fftw-wisdom-to-conf.in -2 +2
    M ./tools/fftw-wisdom.c -2 +2
    M ./tools/fftw_wisdom.1.in -4 +4

Wed Nov  5 16:40:31 EST 2008  athena@fftw.org
  * Store GPLv2 in darcs because automake installs GPLv3 these days.

    A ./COPYING

Thu Oct 30 15:03:41 EDT 2008  athena@fftw.org
  * stylistic changes, comments

    M ./threads/threads.c -13 +17

Thu Oct 30 14:40:14 EDT 2008  athena@fftw.org
  * oops

    M ./threads/threads.c -27 +28

Thu Oct 30 14:30:08 EDT 2008  athena@fftw.org
  * simplification of the threading machinery

    M ./threads/threads.c -12 +7

Thu Oct 30 14:22:40 EDT 2008  athena@fftw.org
  * typo

    M ./threads/threads.c -1 +1

Thu Oct 30 13:42:07 EDT 2008  athena@fftw.org
  * [SECOND ATTEMPT] do not assume that a semaphore can be freed just because nobody is using it
  
    Let S be a semaphore, initially 0.  Let thread A execute UP(S);
    let thread B execute DOWN(S); free(&S);  It is unclear whether this
    code is correct with posix semaphores.  The problem is whether UP()
    uses S after allowing DOWN() to continue; this seems to be the
    case in the glibc-2.7 implementation, and thus the pattern above
    seems to be incorrect.  Avoid using such a pattern, and introduce
    a global semaphore for the unavoidable case when nothing else
    can be depended upon.
  

    M ./threads/threads.c -61 +80

Wed Oct 29 20:09:39 EDT 2008  stevenj@fftw.org
  * updated cpu codes from x86-1.21

    M ./m4/ax_gcc_archflag.m4 -5 +7

Wed Oct 29 16:24:16 EDT 2008  athena@fftw.org
  * Previous change was bogus, need to find another way.

    M ./threads/threads.c -56 +42

Wed Oct 29 12:22:20 EDT 2008  athena@fftw.org
  * do not assume that a semaphore can be freed just because nobody is using it
  
  Let S be a semaphore, initially 0.  Let thread A execute UP(S);
  let thread B execute DOWN(S); free(&S);  It is unclear whether this
  code is correct with posix semaphores.  The problem is whether UP()
  uses S after allowing DOWN() to continue; this seems to be the
  case in the glibc-2.7 implementation, and thus the pattern above
  seems to be incorrect.  Avoid using such a pattern, and introduce
  a global semaphore for the unavoidable case when nothing else
  can be depended upon.
  

    M ./threads/threads.c -42 +56

Mon Oct 27 23:38:02 EDT 2008  stevenj@fftw.org
  * don't need PROG_AS any more

    M ./configure.ac -1
    R ./m4/amx_prog_as.m4

Sun Oct 26 23:41:11 EDT 2008  stevenj@fftw.org
  * use AC_CONFIG_MACRO_DIR macro

    M ./Makefile.am -1 +1
    M ./configure.ac +1

Sun Oct 26 10:08:44 EDT 2008  athena@fftw.org
  * Remove mpi/Makefile from configure.ac
  Otherwise, the tarball breaks because mpi/ is not in
  the distribution.

    M ./configure.ac -2

Sat Oct 25 17:13:50 EDT 2008  stevenj@fftw.org
  * remove MPI from dist until FFTW 3.3

    M ./Makefile.am -1 +1
    M ./NEWS +3
    M ./doc/fftw3.texi -948 +9

Sat Oct 25 17:12:35 EDT 2008  stevenj@fftw.org
  * use MPIRUN even for -np 1

    M ./mpi/Makefile.am -1 +1

Fri Jul 18 17:17:08 EDT 2008  stevenj@fftw.org
  * use new gcc arch=native flag as fallback

    M ./m4/ax_gcc_archflag.m4 -5 +5

Sat Oct 25 13:36:40 EDT 2008  athena@fftw.org
  * Use sem_t to implement mutexes
  Use sem_t instead of pthread_mutex_t to implement mutexes.
  It seems like pthread mutexes hang on linux-2.6.22 after several
  days of tests; the hang does not occur on linux >= 2.6.24 
  or when we use sem_t instead of pthread_mutex_t.  The
  situation is still quite mysterious but this code seems to
  work.

    M ./threads/threads.c -22 +34

Thu Oct 23 13:32:45 EDT 2008  athena@fftw.org
  * print informative message when pstring is NULL.

    M ./libbench2/verify.c -1 +2

Sun Oct 19 16:00:07 EDT 2008  athena@fftw.org
  * Fix incorrect alignment in dftw-generic.
  
  Multithreaded dftw-generic is supposed to process only a slice
  of the array, but we were planning with the alignment of the
  original array rather than the slice.  This led to unaligned
  accesses in certain obscure situations.
  

    M ./NEWS +3
    M ./configure.ac -1 +1
    M ./dft/dftw-generic.c -1 +2

Mon Aug 18 17:27:26 EDT 2008  Matteo Frigo <athena@fftw.org>
  * Paranoia: do not create OS threads while holding locks.
  
  Glibc at least plays silly games such as keeping a global variable
  that records whether there is more than one thread in the process, and
  it does not perform atomic operations if the variable says that there
  is only one thread.  Who knows how this interacts with creating
  threads while holding a lock.  Some day some genius will come up with
  some ``optimization'' that breaks everything.

    M ./threads/threads.c -7 +13

Wed Aug  6 07:41:46 EDT 2008  athena@fftw.org
  * Welcome to the quadcore era

    M ./mkdist.sh -1 +1

Mon Jun 16 16:46:39 EDT 2008  stevenj@fftw.org
  * backslash is technically not allowed in "echo" arguments; thanks to Debian Bug#486046 for pointing out problem and solution (and Raphael Geissert and Vincent Zweije, in particular)

    M ./tools/fftw-wisdom-to-conf.in -1 +1

Sun May  4 12:15:24 EDT 2008  stevenj@fftw.org
  * note problem with test program in gcc 4.1.2-4.2; thanks to Raymond Rogers for reporting it

    M ./doc/FAQ/fftw-faq.bfnn +6

Fri May  2 19:21:30 EDT 2008  stevenj@fftw.org
  * output count of constants along with other statistics

    M ./genfft/c.ml -3 +8

Sat Apr 19 14:15:03 EDT 2008  athena@fftw.org
  * Lower priority of unaligned SIMD codelets.
  List t1[fb]uv_* codelets before the corresponding
  aligned codelets, since the estimator picks the
  latter ones in case of a tie and aligned codelets
  are preferable.
  
  In other words, this is a hack.

    M ./dft/simd/codelets/Makefile.am -3 +2

Sat Apr 19 08:55:46 EDT 2008  Matteo Frigo <athena@fftw.org>
  * There is no point in using higher radices for unaligned codelets.
  

    M ./dft/simd/codelets/Makefile.am -4 +2

Fri Apr 18 19:01:27 EDT 2008  stevenj@fftw.org
  * support generating loopless, strideless r2r codelets

    M ./genfft/gen_r2r.ml -7 +17

Fri Apr 18 19:00:25 EDT 2008  stevenj@fftw.org
  * added Magic.threemult to use 3+3 complex-multiply variant when possible

    M ./genfft/complex.ml -2 +13
    M ./genfft/magic.ml +4

Thu Apr 10 19:53:31 EDT 2008  stevenj@fftw.org
  * fix documentation bug - export_wisdom_to_string returns a string that should be deallocated with free, not fftw_free (thanks to Stein Vidar Hagfors Haugan for the bug report)

    M ./doc/fftw3.texi -1 +1

Mon Jan 21 01:11:44 EST 2008  stevenj@fftw.org
  * bsd calls x86_64 "amd64"; thanks to Fernando Herrero Carron for the bug report

    M ./m4/ax_gcc_archflag.m4 -3 +3

Tue Jan  1 12:29:56 EST 2008  stevenj@fftw.org
  * fix typo in manual, thanks to Yinon Ehrlich

    M ./doc/fftw3.texi -1 +1

Mon Dec  3 13:57:13 EST 2007  stevenj@fftw.org
  * note problem with gcc 3.4.4 on x86_64, thanks to  Uwe Hollerbach for the report

    M ./doc/FAQ/fftw-faq.bfnn -2 +4

Tue Nov 13 16:19:22 EST 2007  stevenj@fftw.org
  * bump shared-lib revision

    M ./configure.ac -1 +1

Tue Nov 13 16:16:49 EST 2007  stevenj@fftw.org
  * update NEWS for alpha3

    M ./NEWS +23

Tue Oct  2 13:53:04 EDT 2007  stevenj@fftw.org
  * fixed URL

    M ./m4/ax_openmp.m4 -1 +1

Mon Sep 17 19:38:29 EDT 2007  stevenj@fftw.org
  * added missing prototype

    M ./tests/fftw-bench.c +4

Tue Aug 14 22:35:06 EDT 2007  stevenj@fftw.org
  * terminology tweak

    M ./doc/fftw3.texi -1 +1

Wed Aug  1 18:44:21 EDT 2007  stevenj@fftw.org
  * check for pathscale compilers (thanks to Julian Cummings)

    M ./m4/ax_compiler_vendor.m4 -2 +2

Sat Sep 15 18:02:32 EDT 2007  athena@fftw.org
  * Avoid possible conflict with Windows include files.

    M ./threads/threads.c +5

Tue Aug  7 21:26:05 EDT 2007  athena@fftw.org
  * Distribute codlist.c for SIMD codelets in the commercial tarball.

    M ./commercialize.sh -1 +1

Wed Aug  1 10:33:41 EDT 2007  stevenj@fftw.org
  * some documentation clarifications, and documented FFTW_WISDOM_ONLY, at the suggestion of Mario Emmenlauer and Phil Dumont

    M ./api/apiplan.c -3 +3
    M ./doc/fftw3.texi -3 +24

Tue Jul 31 16:52:56 EDT 2007  stevenj@fftw.org
  * bug fix in test program for vrank-3 transpose plans with vl=1

    M ./mpi/mpi-bench.c -1 +1

Sun Jul 29 17:02:46 EDT 2007  stevenj@fftw.org
  * only run mpi checks for --enable-mpi

    M ./mpi/Makefile.am +4

Sun Jul 29 16:45:30 EDT 2007  stevenj@fftw.org
  * check for NULL return from spe_context_create in case SPE_MAP_PS not supported

    M ./cell/cell.c -4 +9

Sun Jul 29 15:56:57 EDT 2007  stevenj@fftw.org
  * use problem-state pointer to write SPE mailbox with lower latency (makes a significant performance difference for N < 32k), thanks to Jan Wagner for suggestion

    M ./cell/cell.c +16

Sun Jul 29 14:22:08 EDT 2007  stevenj@fftw.org
  * port cell code to SDK2.1 (libspe2), since libspe1 API is deprecated and can't be used in code that also uses libspe2 API

    M ./cell/cell.c -3 +49
    M ./cell/copy.c -1 +1
    M ./cell/dft-direct-cell.c -1 +1
    M ./cell/fftw-cell.h -4 +5
    M ./cell/spu/main.spuc -4 +4
    M ./cell/transpose.c -1 +1
    M ./configure.ac -2 +2

Sun Jul 29 11:46:24 EDT 2007  stevenj@fftw.org
  * bug fix: ego->W allocated with cell_aligned_malloc, so deallocate with free, not X(ifree0)

    M ./cell/dft-direct-cell.c -1 +1

Mon Jul  2 15:57:12 EDT 2007  stevenj@fftw.org
  * removed obsolete reference to CVS id

    M ./api/fftw3.h -4

Mon May 21 14:25:39 EDT 2007  athena@fftw.org
  * cycle counter for sun compiler

    M ./kernel/cycle.h -1 +1

Wed May  9 19:49:11 EDT 2007  stevenj@fftw.org
  * use __inline instead of inline for AIX routines (__inline is supported by gcc and xlc, whereas apparently "inline" is only supported by xlc if you specify -qlanglvl=stdc99 or similar); thanks to Jeff Haferman for the bug report

    M ./kernel/cycle.h -2 +2

Mon Apr 30 15:37:56 EDT 2007  stevenj@fftw.org
  * fixed incorrect type prefix (fftw_ vs. X(...)) in mpi/wisdom-api.c; thanks to Eric A. Borisch for the bug report

    M ./mpi/wisdom-api.c -6 +6

Wed Apr 25 21:21:39 EDT 2007  stevenj@fftw.org
  * some cleanups in MPI make check

    M ./mpi/Makefile.am -7 +11

Wed Apr 25 21:19:27 EDT 2007  stevenj@fftw.org
  * re-enable heuristic in the common case where we are not compiling for Cell

    M ./dft/rank-geq2.c -1 +3

Tue Apr 24 17:42:43 EDT 2007  athena@fftw.org
  * Removed duplicate codelet names, was breaking linker.

    M ./dft/simd/codelets/Makefile.am -4 +4

Tue Apr 24 11:38:16 EDT 2007  stevenj@fftw.org
  * added more codelets of sizes 5/10/20/25 to improve speed for round decimal sizes (speed improvements of 10-20%, at cost of 10-30% in library size)

    M ./dft/scalar/codelets/Makefile.am -3 +6
    M ./dft/simd/codelets/Makefile.am -14 +26
    M ./rdft/scalar/r2cb/Makefile.am -8 +16
    M ./rdft/scalar/r2cf/Makefile.am -8 +16
    M ./rdft/simd/codelets/Makefile.am -2 +4

Sat Mar 24 18:40:47 EDT 2007  stevenj@fftw.org
  * for 1d prime sizes, punt and return serial plan

    M ./mpi/api.c +4

Sat Mar 24 18:24:55 EDT 2007  stevenj@fftw.org
  * output reminders of the problem during bench --verify

    M ./libbench2/verify.c -2 +5

Sat Mar 24 18:10:24 EDT 2007  stevenj@fftw.org
  * bug fix - missing solver->destroy initializer in rdft2-rdft

    M ./rdft/rdft2-rdft.c -1 +1

Fri Mar 23 11:12:19 EDT 2007  stevenj@fftw.org
  * -static, in --enable-debug, doesn't work on MacOS X (according to Daniel Oberhoff)

    M ./configure.ac -1

Wed Mar 21 22:23:06 EDT 2007  stevenj@fftw.org
  * fix MPI r2c/c2r to work with howmany > 1

    M ./mpi/rdft2-rank-geq2-transposed.c -1 +2
    M ./mpi/rdft2-rank-geq2.c -1 +2
    M ./mpi/rdft2-serial.c -2 +3
    M ./tests/check.pl -1

Wed Mar 21 18:44:41 EDT 2007  stevenj@fftw.org
  * rm MPI version from TODO

    M ./TODO -2

Wed Mar 21 18:34:40 EDT 2007  stevenj@fftw.org
  * added 'make bigcheck' for MPI (no paranoid-check, unfortunately), and properly get MPIRUN from configure

    M ./configure.ac +2
    M ./mpi/Makefile.am -7 +10

Wed Mar 21 18:23:18 EDT 2007  stevenj@fftw.org
  * bug fix - incorrect local_size returned for 1d bigvec case

    M ./mpi/api.c -1 +1

Wed Mar 21 03:13:54 EDT 2007  stevenj@fftw.org
  * hack to specify MPI_TRANSPOSED_IN/OUT via "[" and "]" in libbench2 problem

    M ./libbench2/bench-user.h +1
    M ./libbench2/problem.c +6
    M ./mpi/mpi-bench.c +12
    M ./tests/check.pl -2 +7

Wed Mar 21 02:58:11 EDT 2007  stevenj@fftw.org
  * added MPI 'make check', still needs a bit of work

    M ./mpi/Makefile.am +28
    M ./tests/check.pl +31

Wed Mar 21 02:47:10 EDT 2007  stevenj@fftw.org
  * bug fix in r2r transposed-input case

    M ./mpi/rdft-problem.c +3

Wed Mar 21 02:46:25 EDT 2007  stevenj@fftw.org
  * don't output more than 300 erroneous outputs (unless verbose > 2)

    M ./libbench2/verify-lib.c -2 +3
    M ./libbench2/verify-r2r.c -2 +3

Wed Mar 21 01:48:54 EDT 2007  stevenj@fftw.org
  * fixed bug in transposed-in c2r MPI transforms ... seems to be working, finally

    M ./mpi/rdft2-problem.c -5 +6

Wed Mar 21 00:41:32 EDT 2007  stevenj@fftw.org
  * some fixes to MPI r2c/c2r transforms with transposed output/input

    M ./mpi/rdft2-rank-geq2-transposed.c -11 +17

Wed Mar 21 00:40:25 EDT 2007  stevenj@fftw.org
  * typos

    M ./NEWS -4 +4

Tue Mar 20 19:53:02 EDT 2007  stevenj@fftw.org
  * bug fix for mpi-bench with r2c/c2r: allocate a little bit extra to make sure that padding is allocated

    M ./libbench2/allocate.c -2 +4

Tue Mar 20 19:19:13 EDT 2007  stevenj@fftw.org
  * fix typo, thanks to Ernest Turro for the bug report

    M ./m4/ax_gcc_archflag.m4 -2 +2

Tue Mar 20 01:39:06 EDT 2007  stevenj@fftw.org
  * spacing tweaks

    M ./doc/fftw3.texi -2 +2

Tue Mar 20 00:53:11 EDT 2007  stevenj@fftw.org
  * Ralf Wildenhues is the one who pointed out that the self-communication could fill in the stalls in the pairwise schedule

    M ./mpi/testsched.c -3 +2

Tue Mar 20 00:22:25 EDT 2007  stevenj@fftw.org
  * add TRANSPOSED_OUT/IN support for r2c/c2r, respectively

    M ./doc/fftw3.texi -4 +1
    M ./mpi/Makefile.am -1 +1
    M ./mpi/README -3
    M ./mpi/api.c -6 +15
    M ./mpi/conf.c -1 +1
    M ./mpi/rdft2-problem.c -18 +9
    A ./mpi/rdft2-rank-geq2-transposed.c

Mon Mar 19 21:45:34 EDT 2007  stevenj@fftw.org
  * yikes! fixed likely deadlock bug in MPI

    M ./mpi/transpose-recurse.c -2 +2

Mon Mar 19 21:38:52 EDT 2007  stevenj@fftw.org
  * comment

    M ./mpi/transpose-pairwise.c -2 +8

Mon Mar 19 21:30:44 EDT 2007  stevenj@fftw.org
  * s/alpha1/alpha2/

    M ./NEWS -1 +1

Mon Mar 19 00:39:47 EDT 2007  stevenj@fftw.org
  * include README in dist tarball

    M ./mpi/Makefile.am -1 +1

Mon Mar 19 00:35:43 EDT 2007  stevenj@fftw.org
  * added MPI r2c/c2r transforms, some more documentation

    M ./NEWS -4 +9
    M ./doc/fftw3.texi -6 +73
    M ./libbench2/bench-user.h +2
    M ./libbench2/problem.c -2 +4
    M ./mpi/Makefile.am -1 +2
    A ./mpi/README
    M ./mpi/api.c +140
    M ./mpi/conf.c +4
    M ./mpi/fftw3-mpi.h -88 +116
    M ./mpi/mpi-bench.c -2 +102
    A ./mpi/mpi-rdft2.h
    A ./mpi/rdft2-problem.c
    A ./mpi/rdft2-rank-geq2.c
    A ./mpi/rdft2-serial.c
    A ./mpi/rdft2-solve.c

Sun Mar 18 23:14:29 EDT 2007  stevenj@fftw.org
  * set version to 3.2alpha2

    M ./configure.ac -1 +1

Sun Mar 18 19:12:18 EDT 2007  stevenj@fftw.org
  * changed --enable-mips_ps to --enable-mips-ps; added Cell section to manual (from README.Cell); many minor updates to manual

    M ./configure.ac -1 +1
    M ./doc/fftw3.texi -15 +243

Sun Mar 18 15:27:06 EDT 2007  stevenj@fftw.org
  * whoops, need to sync costs in problem_mpi_rdft

    M ./mpi/api.c +3

Sun Mar 18 12:44:49 EDT 2007  stevenj@fftw.org
  * documented guru64 interface

    M ./NEWS -1 +1
    M ./doc/fftw3.texi -11 +81

Sun Mar 18 02:57:46 EDT 2007  stevenj@fftw.org
  * typo

    M ./doc/fftw3.texi -1 +1

Sun Mar 18 02:45:09 EDT 2007  stevenj@fftw.org
  * bumped copyright year to 2007

    M ./COPYRIGHT -2 +2
    M ./api/api.h -2 +2
    M ./api/apiplan.c -2 +2
    M ./api/configure.c -2 +2
    M ./api/execute-dft-c2r.c -2 +2
    M ./api/execute-dft-r2c.c -2 +2
    M ./api/execute-dft.c -2 +2
    M ./api/execute-r2r.c -2 +2
    M ./api/execute-split-dft-c2r.c -2 +2
    M ./api/execute-split-dft-r2c.c -2 +2
    M ./api/execute-split-dft.c -2 +2
    M ./api/execute.c -2 +2
    M ./api/export-wisdom-to-file.c -2 +2
    M ./api/export-wisdom-to-string.c -2 +2
    M ./api/export-wisdom.c -2 +2
    M ./api/f77api.c -2 +2
    M ./api/f77funcs.h -2 +2
    M ./api/fftw3.h -2 +2
    M ./api/flops.c -2 +2
    M ./api/forget-wisdom.c -2 +2
    M ./api/import-system-wisdom.c -2 +2
    M ./api/import-wisdom-from-file.c -2 +2
    M ./api/import-wisdom-from-string.c -2 +2
    M ./api/import-wisdom.c -2 +2
    M ./api/malloc.c -2 +2
    M ./api/map-r2r-kind.c -2 +2
    M ./api/mapflags.c -2 +2
    M ./api/mkprinter-file.c -2 +2
    M ./api/mktensor-iodims.h -2 +2
    M ./api/mktensor-rowmajor.c -2 +2
    M ./api/plan-dft-1d.c -2 +2
    M ./api/plan-dft-2d.c -2 +2
    M ./api/plan-dft-3d.c -2 +2
    M ./api/plan-dft-c2r-1d.c -2 +2
    M ./api/plan-dft-c2r-2d.c -2 +2
    M ./api/plan-dft-c2r-3d.c -2 +2
    M ./api/plan-dft-c2r.c -2 +2
    M ./api/plan-dft-r2c-1d.c -2 +2
    M ./api/plan-dft-r2c-2d.c -2 +2
    M ./api/plan-dft-r2c-3d.c -2 +2
    M ./api/plan-dft-r2c.c -2 +2
    M ./api/plan-dft.c -2 +2
    M ./api/plan-guru-dft-c2r.h -2 +2
    M ./api/plan-guru-dft-r2c.h -2 +2
    M ./api/plan-guru-dft.h -2 +2
    M ./api/plan-guru-r2r.h -2 +2
    M ./api/plan-guru-split-dft-c2r.h -2 +2
    M ./api/plan-guru-split-dft-r2c.h -2 +2
    M ./api/plan-guru-split-dft.h -2 +2
    M ./api/plan-many-dft-c2r.c -2 +2
    M ./api/plan-many-dft-r2c.c -2 +2
    M ./api/plan-many-dft.c -2 +2
    M ./api/plan-many-r2r.c -2 +2
    M ./api/plan-r2r-1d.c -2 +2
    M ./api/plan-r2r-2d.c -2 +2
    M ./api/plan-r2r-3d.c -2 +2
    M ./api/plan-r2r.c -2 +2
    M ./api/print-plan.c -2 +2
    M ./api/rdft2-pad.c -2 +2
    M ./api/the-planner.c -2 +2
    M ./api/version.c -2 +2
    M ./api/x77.h -2 +2
    M ./dft/bluestein.c -2 +2
    M ./dft/buffered.c -2 +2
    M ./dft/codelet-dft.h -2 +2
    M ./dft/conf.c -2 +2
    M ./dft/ct.c -2 +2
    M ./dft/ct.h -2 +2
    M ./dft/dft.h -2 +2
    M ./dft/dftw-direct.c -2 +2
    M ./dft/dftw-directsq.c -2 +2
    M ./dft/dftw-generic.c -2 +2
    M ./dft/dftw-genericbuf.c -2 +2
    M ./dft/direct.c -2 +2
    M ./dft/generic.c -2 +2
    M ./dft/indirect-transpose.c -2 +2
    M ./dft/indirect.c -2 +2
    M ./dft/kdft-dif.c -2 +2
    M ./dft/kdft-difsq.c -2 +2
    M ./dft/kdft-dit.c -2 +2
    M ./dft/kdft.c -2 +2
    M ./dft/nop.c -2 +2
    M ./dft/plan.c -2 +2
    M ./dft/problem.c -2 +2
    M ./dft/rader.c -2 +2
    M ./dft/rank-geq2.c -2 +2
    M ./dft/scalar/n.c -2 +2
    M ./dft/scalar/n.h -2 +2
    M ./dft/scalar/t.c -2 +2
    M ./dft/scalar/t.h -2 +2
    M ./dft/simd/n1b.c -2 +2
    M ./dft/simd/n1b.h -2 +2
    M ./dft/simd/n1f.c -2 +2
    M ./dft/simd/n1f.h -2 +2
    M ./dft/simd/n2b.c -2 +2
    M ./dft/simd/n2b.h -2 +2
    M ./dft/simd/n2f.c -2 +2
    M ./dft/simd/n2f.h -2 +2
    M ./dft/simd/n2s.c -2 +2
    M ./dft/simd/n2s.h -2 +2
    M ./dft/simd/q1b.c -2 +2
    M ./dft/simd/q1b.h -2 +2
    M ./dft/simd/q1f.c -2 +2
    M ./dft/simd/q1f.h -2 +2
    M ./dft/simd/t.c -2 +2
    M ./dft/simd/t1b.h -2 +2
    M ./dft/simd/t1bu.h -2 +2
    M ./dft/simd/t1f.h -2 +2
    M ./dft/simd/t1fu.h -2 +2
    M ./dft/simd/t2b.h -2 +2
    M ./dft/simd/t2f.h -2 +2
    M ./dft/simd/t3b.h -2 +2
    M ./dft/simd/t3f.h -2 +2
    M ./dft/simd/ts.c -2 +2
    M ./dft/simd/ts.h -2 +2
    M ./dft/solve.c -2 +2
    M ./dft/vrank-geq1.c -2 +2
    M ./dft/zero.c -2 +2
    M ./doc/f77_wisdom.f -2 +2
    M ./genfft/algsimp.ml -2 +2
    M ./genfft/algsimp.mli -2 +2
    M ./genfft/annotate.ml -2 +2
    M ./genfft/annotate.mli -2 +2
    M ./genfft/assoctable.ml -2 +2
    M ./genfft/assoctable.mli -2 +2
    M ./genfft/c.ml -2 +2
    M ./genfft/c.mli -2 +2
    M ./genfft/complex.ml -2 +2
    M ./genfft/complex.mli -2 +2
    M ./genfft/conv.ml -2 +2
    M ./genfft/conv.mli -2 +2
    M ./genfft/dag.ml -2 +2
    M ./genfft/dag.mli -2 +2
    M ./genfft/expr.ml -2 +2
    M ./genfft/expr.mli -2 +2
    M ./genfft/fft.ml -2 +2
    M ./genfft/fft.mli -2 +2
    M ./genfft/gen_hc2c.ml -2 +2
    M ./genfft/gen_hc2cdft.ml -2 +2
    M ./genfft/gen_hc2cdft_c.ml -2 +2
    M ./genfft/gen_hc2hc.ml -2 +2
    M ./genfft/gen_mdct.ml -2 +2
    M ./genfft/gen_notw.ml -2 +2
    M ./genfft/gen_notw_c.ml -2 +2
    M ./genfft/gen_r2cb.ml -2 +2
    M ./genfft/gen_r2cf.ml -2 +2
    M ./genfft/gen_r2r.ml -2 +2
    M ./genfft/gen_twiddle.ml -2 +2
    M ./genfft/gen_twiddle_c.ml -2 +2
    M ./genfft/gen_twidsq.ml -2 +2
    M ./genfft/gen_twidsq_c.ml -2 +2
    M ./genfft/genutil.ml -2 +2
    M ./genfft/littlesimp.ml -2 +2
    M ./genfft/littlesimp.mli -2 +2
    M ./genfft/magic.ml -2 +2
    M ./genfft/monads.ml -2 +2
    M ./genfft/number.ml -2 +2
    M ./genfft/number.mli -2 +2
    M ./genfft/oracle.ml -2 +2
    M ./genfft/oracle.mli -2 +2
    M ./genfft/schedule.ml -2 +2
    M ./genfft/schedule.mli -2 +2
    M ./genfft/simd.ml -2 +2
    M ./genfft/simd.mli -2 +2
    M ./genfft/simdmagic.ml -2 +2
    M ./genfft/to_alist.ml -2 +2
    M ./genfft/to_alist.mli -2 +2
    M ./genfft/trig.ml -2 +2
    M ./genfft/trig.mli -2 +2
    M ./genfft/twiddle.ml -2 +2
    M ./genfft/twiddle.mli -2 +2
    M ./genfft/unique.ml -2 +2
    M ./genfft/unique.mli -2 +2
    M ./genfft/util.ml -2 +2
    M ./genfft/util.mli -2 +2
    M ./genfft/variable.ml -2 +2
    M ./genfft/variable.mli -2 +2
    M ./kernel/align.c -2 +2
    M ./kernel/alloc.c -2 +2
    M ./kernel/assert.c -2 +2
    M ./kernel/awake.c -2 +2
    M ./kernel/buffered.c -2 +2
    M ./kernel/cpy1d.c -2 +2
    M ./kernel/cpy2d-pair.c -2 +2
    M ./kernel/cpy2d.c -2 +2
    M ./kernel/ct.c -2 +2
    M ./kernel/cycle.h -2 +2
    M ./kernel/debug.c -2 +2
    M ./kernel/extract-reim.c -2 +2
    M ./kernel/hash.c -2 +2
    M ./kernel/iabs.c -2 +2
    M ./kernel/ifftw.h -2 +2
    M ./kernel/kalloc.c -2 +2
    M ./kernel/md5-1.c -2 +2
    M ./kernel/md5.c -2 +2
    M ./kernel/minmax.c -2 +2
    M ./kernel/ops.c -2 +2
    M ./kernel/pickdim.c -2 +2
    M ./kernel/plan.c -2 +2
    M ./kernel/primes.c -2 +2
    M ./kernel/print.c -2 +2
    M ./kernel/problem.c -2 +2
    M ./kernel/rader.c -2 +2
    M ./kernel/scan.c -2 +2
    M ./kernel/solver.c -2 +2
    M ./kernel/solvtab.c -2 +2
    M ./kernel/stride.c -2 +2
    M ./kernel/tensor.c -2 +2
    M ./kernel/tensor1.c -2 +2
    M ./kernel/tensor2.c -2 +2
    M ./kernel/tensor3.c -2 +2
    M ./kernel/tensor4.c -2 +2
    M ./kernel/tensor5.c -2 +2
    M ./kernel/tensor7.c -2 +2
    M ./kernel/tensor8.c -2 +2
    M ./kernel/tensor9.c -2 +2
    M ./kernel/tile2d.c -2 +2
    M ./kernel/timer.c -2 +2
    M ./kernel/transpose.c -2 +2
    M ./kernel/trig.c -2 +2
    M ./kernel/twiddle.c -2 +2
    M ./libbench2/dotens2.c -2 +2
    M ./libbench2/my-getopt.c -2 +2
    M ./libbench2/my-getopt.h -2 +2
    M ./libbench2/verify-dft.c -2 +2
    M ./libbench2/verify-lib.c -2 +2
    M ./libbench2/verify-r2r.c -2 +2
    M ./libbench2/verify-rdft2.c -2 +2
    M ./libbench2/verify.h -2 +2
    M ./mpi/any-true.c -2 +2
    M ./mpi/api.c -2 +2
    M ./mpi/block.c -2 +2
    M ./mpi/choose-radix.c -2 +2
    M ./mpi/conf.c -2 +2
    M ./mpi/dft-problem.c -2 +2
    M ./mpi/dft-rank-geq2-transposed.c -2 +2
    M ./mpi/dft-rank-geq2.c -2 +2
    M ./mpi/dft-rank1-bigvec.c -2 +2
    M ./mpi/dft-rank1.c -2 +2
    M ./mpi/dft-serial.c -2 +2
    M ./mpi/dft-solve.c -2 +2
    M ./mpi/dtensor.c -2 +2
    M ./mpi/fftw3-mpi.h -2 +2
    M ./mpi/ifftw-mpi.h -2 +2
    M ./mpi/mpi-dft.h -2 +2
    M ./mpi/mpi-rdft.h -2 +2
    M ./mpi/mpi-transpose.h -2 +2
    M ./mpi/rdft-problem.c -2 +2
    M ./mpi/rdft-rank-geq2-transposed.c -2 +2
    M ./mpi/rdft-rank-geq2.c -2 +2
    M ./mpi/rdft-rank1-bigvec.c -2 +2
    M ./mpi/rdft-serial.c -2 +2
    M ./mpi/rdft-solve.c -2 +2
    M ./mpi/rearrange.c -2 +2
    M ./mpi/testsched.c -2 +2
    M ./mpi/transpose-alltoall.c -2 +2
    M ./mpi/transpose-pairwise.c -2 +2
    M ./mpi/transpose-problem.c -2 +2
    M ./mpi/transpose-recurse.c -2 +2
    M ./mpi/transpose-solve.c -2 +2
    M ./mpi/wisdom-api.c -2 +2
    M ./rdft/buffered.c -2 +2
    M ./rdft/buffered2.c -2 +2
    M ./rdft/codelet-rdft.h -2 +2
    M ./rdft/conf.c -2 +2
    M ./rdft/ct-hc2c-direct.c -2 +2
    M ./rdft/ct-hc2c.c -2 +2
    M ./rdft/ct-hc2c.h -2 +2
    M ./rdft/dft-r2hc.c -2 +2
    M ./rdft/dht-r2hc.c -2 +2
    M ./rdft/dht-rader.c -2 +2
    M ./rdft/direct-r2c.c -2 +2
    M ./rdft/direct-r2r.c -2 +2
    M ./rdft/direct2.c -2 +2
    M ./rdft/generic.c -2 +2
    M ./rdft/hc2hc-direct.c -2 +2
    M ./rdft/hc2hc-generic.c -2 +2
    M ./rdft/hc2hc.c -2 +2
    M ./rdft/hc2hc.h -2 +2
    M ./rdft/indirect.c -2 +2
    M ./rdft/khc2c.c -2 +2
    M ./rdft/khc2hc.c -2 +2
    M ./rdft/kr2c.c -2 +2
    M ./rdft/kr2r.c -2 +2
    M ./rdft/nop.c -2 +2
    M ./rdft/nop2.c -2 +2
    M ./rdft/plan.c -2 +2
    M ./rdft/plan2.c -2 +2
    M ./rdft/problem.c -2 +2
    M ./rdft/problem2.c -2 +2
    M ./rdft/rank-geq2-rdft2.c -2 +2
    M ./rdft/rank-geq2.c -2 +2
    M ./rdft/rank0-rdft2.c -2 +2
    M ./rdft/rank0.c -2 +2
    M ./rdft/rdft-dht.c -2 +2
    M ./rdft/rdft.h -2 +2
    M ./rdft/rdft2-inplace-strides.c -2 +2
    M ./rdft/rdft2-rdft.c -2 +2
    M ./rdft/rdft2-strides.c -2 +2
    M ./rdft/rdft2-tensor-max-index.c -2 +2
    M ./rdft/scalar/hb.h -2 +2
    M ./rdft/scalar/hc2c.c -2 +2
    M ./rdft/scalar/hc2cb.h -2 +2
    M ./rdft/scalar/hc2cf.h -2 +2
    M ./rdft/scalar/hf.h -2 +2
    M ./rdft/scalar/hfb.c -2 +2
    M ./rdft/scalar/r2c.c -2 +2
    M ./rdft/scalar/r2cb.h -2 +2
    M ./rdft/scalar/r2cbIII.h -2 +2
    M ./rdft/scalar/r2cf.h -2 +2
    M ./rdft/scalar/r2cfII.h -2 +2
    M ./rdft/scalar/r2r.c -2 +2
    M ./rdft/scalar/r2r.h -2 +2
    M ./rdft/simd/hc2cbv.c -2 +2
    M ./rdft/simd/hc2cbv.h -2 +2
    M ./rdft/simd/hc2cfv.c -2 +2
    M ./rdft/simd/hc2cfv.h -2 +2
    M ./rdft/solve.c -2 +2
    M ./rdft/solve2.c -2 +2
    M ./rdft/vrank-geq1-rdft2.c -2 +2
    M ./rdft/vrank-geq1.c -2 +2
    M ./rdft/vrank3-transpose.c -2 +2
    M ./reodft/conf.c -2 +2
    M ./reodft/redft00e-r2hc-pad.c -2 +2
    M ./reodft/redft00e-r2hc.c -2 +2
    M ./reodft/reodft.h -2 +2
    M ./reodft/reodft010e-r2hc.c -2 +2
    M ./reodft/reodft11e-r2hc-odd.c -2 +2
    M ./reodft/reodft11e-r2hc.c -2 +2
    M ./reodft/reodft11e-radix2.c -2 +2
    M ./reodft/rodft00e-r2hc-pad.c -2 +2
    M ./reodft/rodft00e-r2hc.c -2 +2
    M ./simd/altivec.c -2 +2
    M ./simd/nonportable/sse.c -2 +2
    M ./simd/nonportable/sse2.c -2 +2
    M ./simd/simd-altivec.h -2 +2
    M ./simd/simd-sse.h -2 +2
    M ./simd/simd-sse2.h -2 +2
    M ./simd/simd.h -2 +2
    M ./simd/sse.c -2 +2
    M ./simd/sse2.c -2 +2
    M ./simd/taint.c -2 +2
    M ./simd/x86-cpuid.h -2 +2
    M ./threads/api.c -2 +2
    M ./threads/conf.c -2 +2
    M ./threads/ct.c -2 +2
    M ./threads/dft-vrank-geq1.c -2 +2
    M ./threads/f77api.c -2 +2
    M ./threads/f77funcs.h -2 +2
    M ./threads/hc2hc.c -2 +2
    M ./threads/openmp.c -2 +2
    M ./threads/rdft-vrank-geq1.c -2 +2
    M ./threads/threads.c -2 +2
    M ./threads/threads.h -2 +2
    M ./threads/vrank-geq1-rdft2.c -2 +2
    M ./tools/fftw-wisdom-to-conf.1 -4 +4
    M ./tools/fftw-wisdom-to-conf.in -2 +2
    M ./tools/fftw-wisdom.c -2 +2
    M ./tools/fftw_wisdom.1.in -4 +4

Sun Mar 18 01:41:40 EDT 2007  stevenj@fftw.org
  * noted CodeSourcery in AUTHORS

    M ./AUTHORS -1 +2

Sun Mar 18 01:25:00 EDT 2007  stevenj@fftw.org
  * more MPI documentation

    M ./doc/fftw3.texi -2 +61

Sat Mar 17 23:15:04 EDT 2007  stevenj@fftw.org
  * added MPI multi-dimensional rdft solvers & tests

    M ./mpi/Makefile.am -2 +4
    M ./mpi/api.c +104
    M ./mpi/conf.c +5
    M ./mpi/fftw3-mpi.h -73 +90
    M ./mpi/mpi-bench.c -1 +94
    A ./mpi/mpi-rdft.h
    A ./mpi/rdft-problem.c
    A ./mpi/rdft-rank-geq2-transposed.c
    A ./mpi/rdft-rank-geq2.c
    A ./mpi/rdft-rank1-bigvec.c
    A ./mpi/rdft-serial.c
    A ./mpi/rdft-solve.c

Sat Mar 17 22:52:00 EDT 2007  stevenj@fftw.org
  * whoops

    M ./mpi/dft-rank1-bigvec.c -1 +1

Sat Mar 17 22:43:54 EDT 2007  stevenj@fftw.org
  * clarification - fftw_mpi_init should be called before importing wisdom

    M ./doc/fftw3.texi -2 +4

Sat Mar 17 19:49:37 EDT 2007  stevenj@fftw.org
  * kindx/y/z -> kind0/1/2 for consistency

    M ./api/fftw3.h -3 +3
    M ./doc/fftw3.texi -9 +9

Sat Mar 17 19:34:02 EDT 2007  stevenj@fftw.org
  * typo

    M ./mpi/dft-rank-geq2-transposed.c -1 +1

Sat Mar 17 19:14:16 EDT 2007  stevenj@fftw.org
  * some refactoring in preparation for mpi-rdft

    M ./mpi/Makefile.am -1 +1
    M ./mpi/api.c -1 +1
    M ./mpi/dft-problem.c -2 +2
    M ./mpi/dft-rank1-bigvec.c -53 +5
    M ./mpi/dtensor.c -3 +3
    M ./mpi/ifftw-mpi.h -1 +29
    A ./mpi/rearrange.c

Sat Mar 17 18:12:45 EDT 2007  stevenj@fftw.org
  * documented more stuff for MPI

    M ./doc/fftw3.texi -2 +112

Sat Mar 17 15:41:23 EDT 2007  stevenj@fftw.org
  * added NEWS for 3.2alpha

    M ./NEWS -1 +37

Sat Mar 17 14:50:22 EDT 2007  stevenj@fftw.org
  * documented MPI transpose routines

    M ./doc/fftw3.texi -1 +130

Sat Mar 17 08:57:30 EDT 2007  athena@fftw.org
  * Removed unused variables

    M ./rdft/direct-r2c.c -3

Fri Mar 16 14:47:10 EDT 2007  athena@fftw.org
  * Preparing for interim release of Cell code.

    M ./AUTHORS +2
    M ./configure.ac -1 +1
    M ./doc/fftw3.texi +3

Thu Feb  8 12:23:43 EST 2007  athena@fftw.org
  * Added README.Cell

    M ./Makefile.am -1 +2
    A ./README.Cell

Sat Mar 10 19:17:40 EST 2007  athena@fftw.org
  * Synchronized with main branch

    M ./simd/simd.h +10

Mon Jan 22 17:43:56 EST 2007  athena@fftw.org
  * Adapted vrecur heuristic to Cell.

    M ./cell/dft-direct-cell.c -1 +28
    M ./dft/dft.h +4

Sun Jan 21 19:09:33 EST 2007  athena@fftw.org
  * synchronize with main branch.


Sun Jan 21 14:42:00 EST 2007  athena@fftw.org
  * synchronized with main branch


Thu Jan 18 20:29:22 EST 2007  athena@fftw.org
  * Increased MAX_N to 32K/sizeof(R).

    M ./cell/dft-direct-cell.c -23 +35
    M ./cell/fftw-cell.h -3 +3
    M ./cell/plans-double.c -9 +1033
    M ./cell/plans-single.c -13 +525
    M ./cell/spu/dft.spuc -2 +8

Thu Jan 18 13:43:51 EST 2007  Matteo Frigo <athena@fftw.org>
  * Added pointer to solver->destroy which is used in the Cell branch.

    M ./mpi/dft-rank-geq2-transposed.c -1 +1
    M ./mpi/dft-rank1-bigvec.c -1 +1
    M ./mpi/dft-rank1.c -1 +1
    M ./mpi/transpose-recurse.c -1 +1

Thu Jan 18 12:09:26 EST 2007  athena@fftw.org
  * Updated copyright notices

    M ./cell/cell.c -2 +1
    M ./cell/conf.c -2 +1
    M ./cell/copy.c -2 +1
    M ./cell/dft-direct-cell.c -2 +1
    M ./cell/fftw-cell.h +19
    M ./cell/spu/alloc.spuc +19
    M ./cell/spu/copy.spuc +19
    M ./cell/spu/dft.spuc +18
    M ./cell/spu/dma.spuc +19
    M ./cell/spu/execute.spuc +19
    M ./cell/spu/fftw-spu.h +19
    M ./cell/spu/main.spuc +19
    M ./cell/spu/planner.spuc +19
    M ./cell/spu/spu-double.h +19
    M ./cell/spu/spu-single.h +19
    M ./cell/spu/transpose.spuc +19
    M ./cell/spufftw-embed.S +19
    M ./cell/transpose.c -2 +1
    R ./mpi/transpose-radix2.c

Fri Jan 12 12:54:43 EST 2007  athena@fftw.org
  * Use mfc_read_tag_status_all() instead of spu_mfcstat(2), since the former seems to be standardized.

    M ./cell/spu/dma.spuc -1 +1

Thu Jan 11 14:55:08 EST 2007  athena@fftw.org
  * Silence some int/INT warnings.

    M ./cell/dft-direct-cell.c -21 +24

Wed Jan 10 18:19:53 EST 2007  athena@fftw.org
  * Note incompatibility of --enable-cell with --enable-threads

    M ./configure.ac +3

Wed Jan 10 17:57:10 EST 2007  athena@fftw.org
  * forgot to add file

    A ./cell/spufftw-embed.S

Wed Jan 10 17:45:16 EST 2007  athena@fftw.org
  * 64-bit cleanup

    M ./cell/Makefile.am -4 +3
    M ./cell/cell.c -7 +21
    M ./cell/copy.c -2 +2
    M ./cell/dft-direct-cell.c -11 +28
    M ./cell/fftw-cell.h -8 +10
    M ./cell/spu/dft.spuc -3 +3
    M ./cell/spu/dma.spuc -7 +9
    M ./cell/spu/fftw-spu.h -2 +2
    M ./cell/transpose.c -1 +1
    M ./configure.ac +3
    M ./m4/ax_gcc_archflag.m4 -1 +1

Wed Jan 10 13:47:20 EST 2007  athena@fftw.org
  * Use -mcpu=cell where appropriate.

    M ./m4/ax_gcc_archflag.m4 +1

Tue Dec 26 21:35:59 EST 2006  athena@fftw.org
  * synchronized with main

    M ./dft/buffered.c -14 +1

Sun Dec 24 20:58:25 EST 2006  athena@fftw.org
  * synchronized with main branch

    M ./Makefile.am -12 +14

Sun Dec 24 13:47:37 EST 2006  athena@fftw.org
  * synchronized with main branch, updated to new sdk.

    M! ./cell/spu/Makefile.am -4 +3
    M! ./cell/spu/dma.spuc -1
    M! ./cell/spu/execute.spuc -2 +2
    M! ./cell/spu/fftw-spu.h -29 +29

Thu Dec 21 17:17:41 EST 2006  athena@fftw.org
  * removed obsolete file

    R ./rdft/rdft2-radix2.c

Tue Dec 19 15:17:20 EST 2006  athena@fftw.org
  * synchronized with main branch

    M ./rdft/direct-r2c.c -1 +1
    M ./rdft/direct-r2r.c -1 +1
    R ./rdft/direct.c

Tue Dec 19 11:27:38 EST 2006  athena@fftw.org
  * Synchronized with main branch

    M! ./rdft/ct-hc2c.c -1 +1
    M! ./rdft/direct2.c -13 +1

Fri Dec 15 16:04:31 EST 2006  athena@fftw.org
  * resolved conflict with main branch

    M ./tests/fftw-bench.c -3 +2

Fri Dec  8 14:43:50 EST 2006  athena@fftw.org
  * Fixes for compilation in subdirectories

    M ./cell/spu/Makefile.am -5 +3

Fri Dec  8 12:46:00 EST 2006  athena@fftw.org
  * Silence warning

    M ./rdft/rank0.c -2

Fri Dec  8 12:24:19 EST 2006  athena@fftw.org
  * silence warning

    M ./rdft/rank0.c -1 +1

Thu Dec  7 15:18:17 EST 2006  athena@fftw.org
  * Commented a particularly obscure piece of code.

    M ./cell/spu/dma.spuc -1 +14

Thu Dec  7 11:53:29 EST 2006  athena@fftw.org
  * Reorganized, clarified conditions for applicability of the DFT solver.

    M ./cell/dft-direct-cell.c -193 +178

Mon Dec  4 21:33:49 EST 2006  athena@fftw.org
  * Minor changes

    M ./cell/dft-direct-cell.c -1 +6
    M ./cell/spu/dft.spuc -1 +7

Mon Dec  4 17:43:28 EST 2006  athena@fftw.org
  * Clarified comment

    M ./cell/dft-direct-cell.c -2 +2

Mon Dec  4 16:49:06 EST 2006  athena@fftw.org
  * Less incorrect conditions for fitting into local store.

    M ./cell/dft-direct-cell.c -5 +12

Mon Dec  4 16:08:24 EST 2006  athena@fftw.org
  * Implemented DECDIF+TRANSPOSE on Cell

    M ./cell/dft-direct-cell.c -93 +142
    M ./cell/fftw-cell.h -8 +3
    M ./cell/spu/dft.spuc -12 +21
    R ./dft/ctsq.c
    M ./dft/indirect-transpose.c -1 +2

Fri Dec  1 17:42:55 EST 2006  athena@fftw.org
  * relaxed conditions of applicability of SPE

    M ./cell/dft-direct-cell.c -31 +42

Fri Dec  1 16:28:10 EST 2006  athena@fftw.org
  * tweaks

    M ./cell/dft-direct-cell.c -3 +2

Fri Dec  1 14:35:17 EST 2006  athena@fftw.org
  * Implemented Cell opcounts

    M ./cell/dft-direct-cell.c -4 +55
    M ./cell/spu/execute.spuc +1

Fri Dec  1 13:38:44 EST 2006  athena@fftw.org
  * minor cleanup

    M ./cell/dft-direct-cell.c -9 +4

Fri Dec  1 11:16:52 EST 2006  athena@fftw.org
  * use [c0 s0 c1 s1] format for Cell twiddle factors, rather than [c0 c1 s0 s1].  This makes life easier and there is no speed penalty on Cell (unlike Altivec).

    M ./cell/copy.c -6 +6
    M ./cell/dft-direct-cell.c -46 +15
    M ./cell/spu/planner.spuc -2 +3
    M ./cell/spu/spu-single.h -4 +4

Wed Nov 29 18:02:54 EST 2006  athena@fftw.org
  * Implemented SPE-accelerated copies

    M ./cell/Makefile.am -2 +2
    A ./cell/copy.c
    M ./cell/fftw-cell.h +14
    M ./cell/spu/copy.spuc -69 +31
    M ./cell/spu/dma.spuc -2 +78
    M ./cell/spu/fftw-spu.h -4 +6
    M ./cell/spu/main.spuc +4
    M ./cell/spu/transpose.spuc -14 +6
    M ./cell/transpose.c -4 +4
    M ./kernel/ifftw.h -1 +3
    M ./rdft/rank0.c +52

Wed Nov 29 12:11:08 EST 2006  athena@fftw.org
  * allow SPEs to compute vrank-0 problems.

    M ./cell/dft-direct-cell.c -10 +8
    M ./cell/spu/dma.spuc -4 +4

Tue Nov 28 18:03:07 EST 2006  athena@fftw.org
  * eliminated DMA lists

    M ./cell/spu/dft.spuc -4 +4
    M ./cell/spu/dma.spuc -119 +62
    M ./cell/spu/fftw-spu.h -3
    M ./cell/spu/main.spuc -2 +2
    M ./cell/spu/transpose.spuc -6 +6

Tue Nov 28 14:22:05 EST 2006  athena@fftw.org
  * Conservatively force all dimensions to be 0 (mod VL) in cell, since otherwise it is too hard to get all cases right.

    M ./cell/dft-direct-cell.c -11 +10
    M ./cell/spu/dft.spuc -1 +2

Tue Nov 28 12:39:01 EST 2006  athena@fftw.org
  * Check alignment of strides when transposing on Cell.

    M ./rdft/rank0.c -1 +10

Tue Nov 28 12:19:09 EST 2006  athena@fftw.org
  * consistent usage of FFT_SIGN

    M ./cell/dft-direct-cell.c -3 +3
    M ./cell/spu/dft.spuc -2 +2

Tue Nov 28 11:35:38 EST 2006  athena@fftw.org
  * clever transposition algorithm without buffering

    M ./cell/spu/copy.spuc -178 +59
    M ./cell/spu/dft.spuc -52 +8
    M ./cell/spu/dma.spuc -54 +97
    M ./cell/spu/fftw-spu.h -13 +3
    M ./cell/spu/transpose.spuc -13 +11

Mon Nov 27 14:08:28 EST 2006  athena@fftw.org
  * Fixed tracking of dependencies

    M ./cell/spu/Makefile.am -1 +3

Mon Nov 27 14:03:53 EST 2006  athena@fftw.org
  * implemented 1D transforms, various tweaks

    M ./cell/cell.c -4 +14
    M ./cell/conf.c +1
    M ./cell/dft-direct-cell.c -15 +196
    M ./cell/fftw-cell.h -2 +13
    M ./cell/spu/Makefile.am +1
    M ./cell/spu/alloc.spuc +1
    M ./cell/spu/copy.spuc -34 +151
    M ./cell/spu/dft.spuc -2 +37
    M ./cell/spu/dma.spuc -13 +9
    M ./cell/spu/fftw-spu.h -5 +9
    M ./cell/spu/main.spuc -6 +3

Wed Nov 22 15:43:36 EST 2006  athena@fftw.org
  * no need to poll mailbox on spu side

    M ./cell/spu/main.spuc -1

Wed Nov 22 14:08:24 EST 2006  athena@fftw.org
  * increased maximum size handled by spe

    M ./cell/fftw-cell.h -2 +2
    M ./cell/plans-double.c -2 +1027
    M ./cell/plans-single.c -2 +514
    M ./cell/spu/alloc.spuc -1 +1
    M ./cell/spu/planner.spuc -1 +1

Tue Nov 21 16:23:17 EST 2006  athena@fftw.org
  * allow vrank<=2 problems in SPEs to avoid the vecloop overhead (grrr...)

    M ./cell/dft-direct-cell.c -40 +114
    M ./cell/fftw-cell.h -1 +15
    M ./cell/spu/dft.spuc -27 +37
    M ./dft/rank-geq2.c +4

Mon Nov 20 14:41:45 EST 2006  athena@fftw.org
  * added emacs mode

    M ./cell/spu/copy.spuc +1

Mon Nov 20 09:34:12 EST 2006  athena@fftw.org
  * revised transpose, cleanup

    M ./cell/spu/Makefile.am -1 +1
    A ./cell/spu/dft.spuc
    M ./cell/spu/fftw-spu.h +5
    M ./cell/spu/main.spuc -224 +2
    A ./cell/spu/transpose.spuc

Sun Nov 19 20:20:23 EST 2006  athena@fftw.org
  * added file

    A ./cell/spu/Makefile.am

Sun Nov 19 20:18:35 EST 2006  athena@fftw.org
  * removed file

    R ./cell/spu/generate.sh

Sun Nov 19 20:15:38 EST 2006  athena@fftw.org
  * better automake integration

    M! ./cell/Makefile.am -9 +4
    R! ./cell/spu/alloc.c
    A! ./cell/spu/alloc.spuc
    R! ./cell/spu/copy.c
    A! ./cell/spu/copy.spuc
    R! ./cell/spu/dma.c
    A! ./cell/spu/dma.spuc
    R! ./cell/spu/execute.c
    A! ./cell/spu/execute.spuc
    R! ./cell/spu/main.c
    A! ./cell/spu/main.spuc
    R! ./cell/spu/planner.c
    A! ./cell/spu/planner.spuc
    R! ./cell/spu/spu_n2fv_10.c
    R! ./cell/spu/spu_n2fv_11.c
    R! ./cell/spu/spu_n2fv_12.c
    R! ./cell/spu/spu_n2fv_13.c
    R! ./cell/spu/spu_n2fv_14.c
    R! ./cell/spu/spu_n2fv_15.c
    R! ./cell/spu/spu_n2fv_16.c
    R! ./cell/spu/spu_n2fv_2.c
    R! ./cell/spu/spu_n2fv_3.c
    R! ./cell/spu/spu_n2fv_32.c
    R! ./cell/spu/spu_n2fv_4.c
    R! ./cell/spu/spu_n2fv_5.c
    R! ./cell/spu/spu_n2fv_6.c
    R! ./cell/spu/spu_n2fv_7.c
    R! ./cell/spu/spu_n2fv_8.c
    R! ./cell/spu/spu_n2fv_9.c
    R! ./cell/spu/spu_t1fv_10.c
    R! ./cell/spu/spu_t1fv_12.c
    R! ./cell/spu/spu_t1fv_15.c
    R! ./cell/spu/spu_t1fv_16.c
    R! ./cell/spu/spu_t1fv_2.c
    R! ./cell/spu/spu_t1fv_3.c
    R! ./cell/spu/spu_t1fv_32.c
    R! ./cell/spu/spu_t1fv_4.c
    R! ./cell/spu/spu_t1fv_5.c
    R! ./cell/spu/spu_t1fv_6.c
    R! ./cell/spu/spu_t1fv_7.c
    R! ./cell/spu/spu_t1fv_8.c
    R! ./cell/spu/spu_t1fv_9.c
    M! ./dft/indirect-transpose.c -1 +1
    M! ./rdft/direct2.c -1 +13

Sat Nov 18 20:14:29 EST 2006  athena@fftw.org
  * changed algorithm for computing chunk size

    M ./cell/spu/main.c -32 +36

Sat Nov 18 19:18:11 EST 2006  athena@fftw.org
  * implemented transpose, various fixes.

    M! ./cell/Makefile.am -2 +2
    M! ./cell/cell.c -2 +10
    M! ./cell/conf.c -1 +1
    M! ./cell/dft-direct-cell.c -13 +29
    M! ./cell/fftw-cell.h -3 +13
    A! ./cell/spu/copy.c
    A! ./cell/spu/dma.c
    M! ./cell/spu/fftw-spu.h +27
    M! ./cell/spu/main.c -169 +83
    A! ./cell/transpose.c
    M! ./configure.ac -2 +5
    M! ./kernel/ifftw.h +5
    M! ./rdft/rank0.c +24
    M! ./tests/fftw-bench.c +4

Thu Nov 16 16:33:50 EST 2006  athena@fftw.org
  * Added explicit destructor to all solvers to help with the cell port.

    M! ./Makefile.am -2 +6
    M! ./cell/cell.c -4 +22
    M! ./cell/dft-direct-cell.c -1 +8
    M! ./cell/fftw-cell.h -1 +3
    M! ./configure.ac +1
    M! ./dft/bluestein.c -1 +1
    M! ./dft/buffered.c -1 +1
    M! ./dft/ct.c -1 +1
    A! ./dft/ctsq.c
    M! ./dft/direct.c -1 +1
    M! ./dft/generic.c -1 +1
    M! ./dft/indirect-transpose.c -1 +1
    M! ./dft/indirect.c -1 +1
    M! ./dft/nop.c -1 +1
    M! ./dft/rader.c -1 +1
    M! ./dft/rank-geq2.c -1 +1
    M! ./dft/vrank-geq1.c -1 +1
    M! ./kernel/ifftw.h +1
    M! ./kernel/solver.c -1 +4
    M! ./mpi/dft-rank-geq2.c -1 +1
    M! ./mpi/dft-serial.c -1 +1
    M! ./mpi/transpose-alltoall.c -1 +1
    M! ./mpi/transpose-pairwise.c -1 +1
    A! ./mpi/transpose-radix2.c
    M! ./rdft/buffered.c -1 +1
    M! ./rdft/buffered2.c -1 +1
    M! ./rdft/dft-r2hc.c -1 +1
    M! ./rdft/dht-r2hc.c -1 +1
    M! ./rdft/dht-rader.c -1 +1
    A! ./rdft/direct.c
    M! ./rdft/direct2.c -1 +1
    M! ./rdft/generic.c -1 +1
    M! ./rdft/hc2hc.c -1 +1
    M! ./rdft/indirect.c -1 +1
    M! ./rdft/nop.c -1 +1
    M! ./rdft/nop2.c -1 +1
    M! ./rdft/rank-geq2-rdft2.c -1 +1
    M! ./rdft/rank-geq2.c -1 +1
    M! ./rdft/rank0-rdft2.c -1 +1
    M! ./rdft/rank0.c -1 +1
    M! ./rdft/rdft-dht.c -1 +1
    A! ./rdft/rdft2-radix2.c
    M! ./rdft/vrank-geq1-rdft2.c -1 +1
    M! ./rdft/vrank-geq1.c -1 +1
    M! ./rdft/vrank3-transpose.c -1 +1
    M! ./reodft/redft00e-r2hc-pad.c -1 +1
    M! ./reodft/redft00e-r2hc.c -1 +1
    M! ./reodft/reodft00e-splitradix.c -1 +1
    M! ./reodft/reodft010e-r2hc.c -1 +1
    M! ./reodft/reodft11e-r2hc-odd.c -1 +1
    M! ./reodft/reodft11e-r2hc.c -1 +1
    M! ./reodft/reodft11e-radix2.c -1 +1
    M! ./reodft/rodft00e-r2hc-pad.c -1 +1
    M! ./reodft/rodft00e-r2hc.c -1 +1
    M! ./tests/fftw-bench.c -1
    M! ./threads/ct.c -1 +1
    M! ./threads/dft-vrank-geq1.c -1 +1
    M! ./threads/hc2hc.c -1 +1
    M! ./threads/rdft-vrank-geq1.c -1 +1
    M! ./threads/vrank-geq1-rdft2.c -1 +1

Thu Nov 16 15:22:15 EST 2006  athena@fftw.org
  * consistent use of #if vs. #ifdef

    M ./api/configure.c +2
    M ./cell/cell.c -1 +1
    M ./cell/conf.c -1 +1
    M ./cell/dft-direct-cell.c -1 +1
    M ./cell/plans-double.c -1 +1
    M ./cell/plans-single.c -1 +1

Thu Nov 16 15:15:34 EST 2006  athena@fftw.org
  * Additional Cell double codelets, better automake integration

    M! ./Makefile.am -7 +5
    M! ./cell/Makefile.am -2 +7
    M! ./cell/cell.c -11 +7
    M! ./cell/conf.c +26
    M! ./cell/dft-direct-cell.c -9 +14
    M! ./cell/fftw-cell.h -2
    M! ./cell/plans-double.c -196 +201
    M! ./cell/plans-single.c -3 +9
    M! ./cell/spu/execute.c +10
    M! ./cell/spu/fftw-spu.h -8 +22
    M! ./cell/spu/generate.sh -1 +6
    M! ./cell/spu/main.c -2 +1
    M! ./cell/spu/planner.c +3
    A! ./cell/spu/spu_n2fv_11.c
    A! ./cell/spu/spu_n2fv_13.c
    A! ./cell/spu/spu_n2fv_15.c
    A! ./cell/spu/spu_n2fv_3.c
    A! ./cell/spu/spu_n2fv_5.c
    A! ./cell/spu/spu_n2fv_7.c
    A! ./cell/spu/spu_n2fv_9.c
    M! ./configure.ac +6
    M! ./dft/buffered.c -1 +14
    M! ./kernel/align.c -1 +1
    M! ./kernel/ifftw.h -2 +2
    M! ./simd/simd.h -4
    M! ./simd/taint.c -1 +1

Thu Nov 16 12:43:34 EST 2006  athena@fftw.org
  * Use dma lists.

    M ./cell/spu/main.c -21 +86

Thu Nov 16 11:03:46 EST 2006  athena@fftw.org
  * converted to automake

    M ./cell/Makefile.am +1
    R ./cell/spu/Makefile.in

Wed Nov 15 18:00:12 EST 2006  athena@fftw.org
  * Initial port to Cell Broadband Engine.

    M! ./Makefile.am -14 +14
    M! ./api/configure.c +1
    A! ./cell/
    A! ./cell/Makefile.am
    A! ./cell/cell.c
    A! ./cell/conf.c
    A! ./cell/dft-direct-cell.c
    A! ./cell/fftw-cell.h
    A! ./cell/plans-double.c
    A! ./cell/plans-single.c
    A! ./cell/spu/
    A! ./cell/spu/Makefile.in
    A! ./cell/spu/alloc.c
    A! ./cell/spu/execute.c
    A! ./cell/spu/fftw-spu.h
    A! ./cell/spu/generate.sh
    A! ./cell/spu/main.c
    A! ./cell/spu/planner.c
    A! ./cell/spu/spu-double.h
    A! ./cell/spu/spu-single.h
    A! ./cell/spu/spu_n2fv_10.c
    A! ./cell/spu/spu_n2fv_12.c
    A! ./cell/spu/spu_n2fv_14.c
    A! ./cell/spu/spu_n2fv_16.c
    A! ./cell/spu/spu_n2fv_2.c
    A! ./cell/spu/spu_n2fv_32.c
    A! ./cell/spu/spu_n2fv_4.c
    A! ./cell/spu/spu_n2fv_6.c
    A! ./cell/spu/spu_n2fv_8.c
    A! ./cell/spu/spu_t1fv_10.c
    A! ./cell/spu/spu_t1fv_12.c
    A! ./cell/spu/spu_t1fv_15.c
    A! ./cell/spu/spu_t1fv_16.c
    A! ./cell/spu/spu_t1fv_2.c
    A! ./cell/spu/spu_t1fv_3.c
    A! ./cell/spu/spu_t1fv_32.c
    A! ./cell/spu/spu_t1fv_4.c
    A! ./cell/spu/spu_t1fv_5.c
    A! ./cell/spu/spu_t1fv_6.c
    A! ./cell/spu/spu_t1fv_7.c
    A! ./cell/spu/spu_t1fv_8.c
    A! ./cell/spu/spu_t1fv_9.c
    M! ./configure.ac +2
    M! ./kernel/ifftw.h -17 +21
    M! ./libbench2/util.c -1 +1
    M! ./tests/fftw-bench.c +1

Wed Mar 14 10:19:53 EDT 2007  athena@fftw.org
  * Remove Codesourcery contributions from commercial tarball.

    M ./commercialize.sh +7

Wed Mar 14 08:59:18 EDT 2007  athena@fftw.org
  * Added FFTW_WISDOM_ONLY, at the request of Phil Dumont.

    M ./api/apiplan.c -19 +29
    M ./api/fftw3.h +1
    M ./tests/fftw-bench.c +1

Tue Mar 13 00:32:05 EDT 2007  stevenj@fftw.org
  * fixed potential MPI deadlock if timer misbehaves

    M ./kernel/timer.c -3 +3

Mon Mar 12 23:31:52 EDT 2007  stevenj@fftw.org
  * more work on MPI documentation

    M ./doc/fftw3.texi -31 +309
    M ./mpi/api.c -3 +4
    M ./mpi/fftw3-mpi.h -19 +19

Tue Feb 27 13:48:43 EST 2007  stevenj@fftw.org
  * index

    M ./doc/fftw3.texi +1

Tue Feb 27 13:46:45 EST 2007  stevenj@fftw.org
  * rename "new-data execute" to "new-array execute", since of course you do not need a new array to have new data

    M ./doc/FAQ/fftw-faq.bfnn -1 +2
    M ./doc/fftw3.texi -12 +12

Tue Feb 27 13:43:55 EST 2007  stevenj@fftw.org
  * consistency with manual (guru execute -> new-data execute)

    M ./doc/FAQ/fftw-faq.bfnn -1 +1

Tue Feb 27 13:42:24 EST 2007  stevenj@fftw.org
  * texinfo fixes; renamed "guru execute" section to "new-data execute", since previously it seemed to lead to endless confusion with the guru planner API

    M ./doc/fftw3.texi -60 +83

Mon Feb 26 18:57:11 EST 2007  stevenj@fftw.org
  * consistently use n0/n1/.. everywhere instead of nx/ny/... (for consistency with d-dimensional case n[0], n[1], ...) ... first start at MPI documentation

    M ./api/fftw3.h -10 +10
    M ./doc/fftw3.texi -138 +374
    M ./mpi/fftw3-mpi.h -27 +27

Sat Mar 10 18:48:05 EST 2007  athena@fftw.org
  * Changed C++-style comment into K&R

    M ./kernel/cycle.h -1 +1

Sat Mar 10 18:47:12 EST 2007  athena@fftw.org
  * Forgot to add file

    A ./simd/simd-mips_ps.h

Sat Mar 10 18:44:39 EST 2007  athena@fftw.org
  * Note removal of K7 support.

    M ./AUTHORS -1 +4

Sat Mar 10 18:41:52 EST 2007  athena@fftw.org
  * Updated manual for MIPS PS

    M ./doc/fftw3.texi -9 +12

Sat Mar 10 18:37:07 EST 2007  athena@fftw.org
  * Adopted MIPS_PS patches from Codesourcery.

    M ./configure.ac +23
    M ./kernel/cycle.h +43
    M ./kernel/ifftw.h -1 +2
    M ./kernel/timer.c -1 +3
    M ./simd/Makefile.am -1 +1
    A ./simd/mips_ps.c
    A ./simd/mips_ps.h
    M ./simd/simd.h +4

Sun Feb 25 11:34:51 EST 2007  athena@fftw.org
  * Incorrect initialization of win32 semaphores

    M ./threads/threads.c -1 +1

Tue Jan 30 11:43:09 EST 2007  stevenj@fftw.org
  * win32 fixes (I think, still untested)

    M ./threads/threads.c -9 +10

Fri Jan 19 17:31:47 EST 2007  stevenj@fftw.org
  * message-size heuristic in tranpose-recurse

    M ./mpi/transpose-recurse.c -3 +15

Tue Jan 30 08:53:55 EST 2007  athena@fftw.org
  * Threading layer for Win32, completely untested.

    M ./threads/threads.c +69

Mon Jan 29 14:26:30 EST 2007  athena@fftw.org
  * Check for EINTR after sem_wait(), as suggested by Chip Salzenberg.

    M ./threads/threads.c -1 +11

Mon Jan 22 13:58:23 EST 2007  athena@fftw.org
  * Force vector recursion by means of a separate function pointer.  I need this for Cell.

    M ./dft/ct.c -3 +7
    M ./dft/ct.h -2 +8
    M ./dft/dft.h -15
    M ./dft/dftw-direct.c -2 +2
    M ./dft/dftw-directsq.c -2 +3
    M ./dft/dftw-generic.c -2 +2
    M ./dft/dftw-genericbuf.c -2 +2
    M ./dft/vrank-geq1.c -4
    M ./threads/ct.c -1 +3
    M ./threads/threads.h -1 +3

Mon Jan 22 09:28:35 EST 2007  athena@fftw.org
  * Merge multiplications by twiddle with multiplications by i for faster r2c transforms.

    M ./genfft/algsimp.ml +4
    M ./genfft/simd.ml +4
    M ./simd/simd-altivec.h +24
    M ./simd/simd-sse.h +18
    M ./simd/simd-sse2.h +18

Sun Jan 21 19:02:44 EST 2007  athena@fftw.org
  * Disabled vector recursion, too messy.

    M ./dft/dft.h -2 +13

Sun Jan 21 14:23:35 EST 2007  athena@fftw.org
  * Changed heuristics for vector recursion.
  
  As in fftw-3.1, NO_VRECURSE disables vector recursion.  As an
  exception, however, vector recursion is allowed when the predicate
  VRECURSE_ANYWAYP is true.  We need some form of vector recursion to
  obtain decent plans on Cell, and this solution captures the common
  cases without increasing planning time too much.
  

    M ./api/fftw3.h -1 +1
    M ./api/mapflags.c -2 +2
    M ./dft/ct.c -10 +6
    M ./dft/dft.h +4
    M ./dft/vrank-geq1.c -6 +3
    M ./kernel/ifftw.h -2 +2
    M ./kernel/planner.c -1 +1
    M ./rdft/ct-hc2c.c -9 +4
    M ./rdft/hc2hc.c -9 +4
    M ./rdft/vrank-geq1.c -7

Sun Dec 17 22:31:17 EST 2006  athena@fftw.org
  * fixed hc2c for vector-recursion branch

    M ./rdft/ct-hc2c.c -2 +7

Tue Dec  5 12:52:36 EST 2006  athena@fftw.org
  * switch to default vector recursion

    M ./api/fftw3.h -1 +1
    M ./api/mapflags.c -2 +2
    M ./dft/ct.c -4 +6
    M ./dft/vrank-geq1.c +7
    M ./kernel/ifftw.h -2 +2
    M ./kernel/planner.c -1 +1
    M ./rdft/hc2hc.c -2 +7
    M ./rdft/vrank-geq1.c -2 +9

Sat Jan 20 23:37:33 EST 2007  athena@fftw.org
  * Smarter algorithm for selection of nbuf.

    M ./kernel/buffered.c -8 +6

Sat Jan 20 22:15:33 EST 2007  athena@fftw.org
  * Increased buffer sizes according to Moore's law.

    M ./kernel/buffered.c -3 +5

Fri Jan 19 16:02:00 EST 2007  stevenj@fftw.org
  * fix another MPI synchronization bug -- several more places where cost_hook must be called to synchronized process timings (sigh)

    M ./api/flops.c -3 +3
    M ./kernel/ifftw.h -4 +5
    M ./kernel/planner.c -10 +6
    M ./kernel/timer.c -4 +15
    M ./mpi/api.c -3 +1

Fri Jan 19 12:08:07 EST 2007  athena@fftw.org
  * Set havewisdom=0 when calling forget_wisdom() in the test program.

    M ./tests/fftw-bench.c -1 +3

Fri Jan 19 10:29:56 EST 2007  stevenj@fftw.org
  * remove redundant check

    M ./kernel/planner.c -4 +1

Thu Jan 18 22:37:59 EST 2007  stevenj@fftw.org
  * fixed potential (unlikely) bug in wisdom import (triggered when importing impatient wisdom after creating more patient plans, but apparently only for nonstandard configure.c configurations)

    M ./kernel/planner.c -1 +5

Thu Jan 18 21:50:14 EST 2007  stevenj@fftw.org
  * added functions to gather/broadcast wisdom for MPI

    M ./configure.ac -3 +8
    M ./mpi/Makefile.am -1 +1
    M ./mpi/api.c -3 +3
    M ./mpi/fftw3-mpi.h -1 +5
    M ./mpi/mpi-bench.c -19 +40
    A ./mpi/wisdom-api.c
    M ./tests/bench.c +10
    M ./tests/fftw-bench.c -3 +3
    M ./tests/fftw-bench.h +2

Thu Jan 11 18:33:17 EST 2007  stevenj@fftw.org
  * whoops, another int/INT bug

    M ./mpi/transpose-pairwise.c -1 +1

Thu Jan 11 17:42:24 EST 2007  stevenj@fftw.org
  * whoops, fixed bug in transpose-recurse for r != m

    M ./mpi/transpose-recurse.c -10 +10

Thu Jan 11 17:25:36 EST 2007  stevenj@fftw.org
  * canonicalize mpi-transposed flags by setting TRANSPOSED_IN/OUT where possible

    M ./mpi/transpose-problem.c -1 +8

Thu Jan 11 17:16:24 EST 2007  stevenj@fftw.org
  * replace transpose-radix2 with much more general transpose-recurse solver

    M ./kernel/Makefile.am -3 +3
    M ./kernel/ifftw.h +5
    M ./kernel/tensor2.c -21
    A ./kernel/tensor3.c
    M ./mpi/Makefile.am -1 +1
    M ./mpi/conf.c -1 +1
    M ./mpi/dft-rank-geq2-transposed.c -1
    M ./mpi/mpi-bench.c +1
    M ./mpi/mpi-transpose.h -1 +1
    R ./mpi/transpose-radix2.c
    A ./mpi/transpose-recurse.c

Wed Jan 10 20:23:48 EST 2007  stevenj@fftw.org
  * rename transpose-inplace to transpose-pairwise, as the algorithm is not restricted to inplace operation

     ./mpi/transpose-inplace.c -> ./mpi/transpose-pairwise.c
    M ./mpi/Makefile.am -1 +1
    M ./mpi/conf.c -1 +1
    M ./mpi/mpi-transpose.h -1 +1
    M ./mpi/testsched.c -1 +1
    M ./mpi/transpose-pairwise.c -9 +9

Wed Jan 10 14:39:08 EST 2007  stevenj@fftw.org
  * whoops, some int/INT bugs

    M ./mpi/api.c -2 +2
    M ./mpi/block.c -3 +3
    M ./mpi/ifftw-mpi.h -5 +5

Tue Jan  9 18:50:07 EST 2007  stevenj@fftw.org
  * fix FAQ Makefile for vpath builds

    M ./doc/FAQ/Makefile.am -4 +7
    M ./doc/FAQ/fftw-faq.bfnn -1 +1

Tue Jan  9 20:22:11 EST 2007  athena@fftw.org
  * Missing ``static'' keyword.

    M ./rdft/direct-r2c.c -2 +2

Tue Jan  9 20:13:18 EST 2007  athena@fftw.org
  * Minor cleanup.

    M ./dft/direct.c -27 +16

Tue Jan  9 00:04:03 EST 2007  stevenj@fftw.org
  * interleave twiddle mults with DFTs (should we use dftw?)

    M ./mpi/dft-rank1.c -41 +44

Mon Jan  8 18:35:41 EST 2007  stevenj@fftw.org
  * simplified (and somewhat sped up) dft-rank1 by exploiting dft-rank1-bigvec

    M ./mpi/dft-rank-geq2-transposed.c -1 +1
    M ./mpi/dft-rank-geq2.c -1 +1
    M ./mpi/dft-rank1-bigvec.c -2 +4
    M ./mpi/dft-rank1.c -175 +181
    M ./mpi/transpose-alltoall.c -6 +3
    M ./mpi/transpose-inplace.c -6 +3
    M ./mpi/transpose-radix2.c -7 +2

Sun Jan  7 00:31:31 EST 2007  stevenj@fftw.org
  * rearranged TRANSPOSED format, numerous speedups
  
  Split the TRANSPOSED and non-TRANSPOSED rank-geq2 solvers, and changed
  the DFT TRANSPOSED format to be more like fftw2 (both globally and
  locally transposed).  In general, more emphasis on arranging the data
  contiguously for the DFTs, and more flexibility in intermediate
  transposed formats.  Also disable NO_SLOW when planning transposes,
  since otherwise non-square in-place transposes gratuitously put the
  planner in SLOW mode.
  
  Currently, dft-rank1-bigvec has 5 variants (or 10, if DESTROY_INPUT).
  It looks like only 2 of these are commonly used, so I should probably
  add some UGLY tags once I do more benchmarking.

    M ./mpi/Makefile.am -1 +1
    M ./mpi/api.c -14 +34
    M ./mpi/conf.c +1
    M ./mpi/dft-problem.c -2 +12
    A ./mpi/dft-rank-geq2-transposed.c
    M ./mpi/dft-rank-geq2.c -131 +60
    M ./mpi/dft-rank1-bigvec.c -77 +123
    M ./mpi/dft-rank1.c -2 +2
    M ./mpi/ifftw-mpi.h -2 +3
    M ./mpi/mpi-bench.c +13
    M ./mpi/mpi-dft.h -1 +2
    M ./mpi/transpose-alltoall.c -32 +39
    M ./mpi/transpose-inplace.c -53 +69
    M ./mpi/transpose-radix2.c -37 +43

Thu Jan  4 19:13:17 EST 2007  stevenj@fftw.org
  * add bench_cost_postprocess to prevent deadlocks in mpi-bench

    M ./libbench2/Makefile.am -5 +6
    A ./libbench2/bench-cost-postprocess.c
    M ./libbench2/bench-user.h +1
    M ./libbench2/speed.c -2 +2
    M ./mpi/mpi-bench.c +7

Thu Jan  4 16:46:29 EST 2007  stevenj@fftw.org
  * whoops

    M ./m4/acx_pthread.m4 -1 +1

Wed Jan  3 14:23:42 EST 2007  stevenj@fftw.org
  * pass proper pointer types as arguments, so that ACX_PTHREAD still works with C++ and -Werror (thanks to Ewald Arnold for the suggestion)

    M ./m4/acx_pthread.m4 -3 +6

Mon Jan  1 19:30:43 EST 2007  athena@fftw.org
  * Renamed [io]vs => [io]vs_by_nbuf, which is more appropriate and would have saved me 30mins debugging.

    M ./dft/buffered.c -6 +6

Mon Jan  1 18:52:38 EST 2007  stevenj@fftw.org
  * add --with-g77-wrappers option & always include g77 wrappers on GNU systems and/or with gfortran
  
  Upcoming GNU/Linux distros will most likely switch to configuring FFTW 
  with gfortran by default, since g77 isn't even included with recent gcc 
  versions.  However, we still want to include g77-compatible wrappers in
  this case (two underscores) in addition to gfortran wrappers (one
  underscore) lest we silently break binary compatibility and provoke
  lots of annoying emails.

    M ./api/x77.h +6
    M ./configure.ac +11

Mon Jan  1 16:48:36 EST 2007  stevenj@fftw.org
  * use AC_HELP_STRING for --disable-fortran

    M ./configure.ac -1 +1

Mon Jan  1 15:56:12 EST 2007  stevenj@fftw.org
  * terminology

    M ./doc/FAQ/fftw-faq.bfnn -1 +1

Sat Dec 30 16:18:35 EST 2006  athena@fftw.org
  * Free buffers before calling cldrest.

    M ./dft/buffered.c -2 +2
    M ./rdft/buffered.c -4 +4

Fri Dec 29 10:52:15 EST 2006  athena@fftw.org
  * Removed obsolete code.

    M ./simd/simd-sse.h -22 +9

Thu Dec 28 21:37:48 EST 2006  athena@fftw.org
  * Attempt to work-around old gcc bugs in a more efficient fashion that does not lose performance on newer gcc's.

    M ./simd/simd-sse.h -13 +24

Thu Dec 28 16:10:33 EST 2006  athena@fftw.org
  * Make sure that the speed() input is zero even in paranoid mode.

    M ./libbench2/speed.c +6

Thu Dec 28 11:41:46 EST 2006  athena@fftw.org
  * cld0 and cldm problems must be tainted because they are used in a v-loop.

    M ./rdft/ct-hc2c-direct.c -2 +5
    M ./rdft/hc2hc-direct.c -2 +3

Wed Dec 27 17:17:45 EST 2006  athena@fftw.org
  * Run paranoid-check in patient mode.

    M ./tests/Makefile.am -5 +5

Wed Dec 27 10:51:42 EST 2006  athena@fftw.org
  * Fixed incorrect initialization to zero.

    M ./rdft/problem2.c -1 +1

Wed Dec 27 09:33:02 EST 2006  athena@fftw.org
  * Fixed wrong TAINT()

    M ./rdft/buffered2.c -1 +1

Tue Dec 26 22:50:28 EST 2006  athena@fftw.org
  * Grrrrr...

    M ./libbench2/verify-rdft2.c -1 +1

Tue Dec 26 22:48:44 EST 2006  athena@fftw.org
  * Give up trying to verify rdft2 when vrank=-infinity.

    M ./libbench2/verify-rdft2.c +3

Tue Dec 26 22:31:38 EST 2006  athena@fftw.org
  * typo

    M ./dft/direct.c -1 +2

Tue Dec 26 21:54:53 EST 2006  athena@fftw.org
  * Correctly verify rdft2 when vrank = -infinity.

    M ./libbench2/verify-rdft2.c -1 +1

Tue Dec 26 21:25:02 EST 2006  athena@fftw.org
  * rdft/buffered2.c now generates rdft2 subproblems, not rdft.
  
  The old rdft2->rdft reduction is now in rdft/rdft2-rdft.c
  and still does way too much.

    M ./TODO -3
    M ./rdft/Makefile.am -1 +1
    M ./rdft/buffered.c -1 +1
    M ./rdft/buffered2.c -190 +200
    M ./rdft/conf.c +1
    M ./rdft/problem2.c -5 +6
    M ./rdft/rdft.h -1 +2
    M ./rdft/rdft2-inplace-strides.c -5 +5
    A ./rdft/rdft2-rdft.c
    M ./rdft/rdft2-strides.c -5 +5
    M ./rdft/vrank-geq1-rdft2.c -11 +10

Tue Dec 26 14:03:27 EST 2006  athena@fftw.org
  * Buffer the input in hc2r problems, as opposed to the output.

    M ./rdft/buffered.c -34 +104
    M ./rdft/buffered2.c -1

Tue Dec 26 10:02:59 EST 2006  athena@fftw.org
  * streamlined buffered solvers

    M ./dft/buffered.c -66 +14
    M ./kernel/buffered.c -4 +25
    M ./kernel/ifftw.h -1 +4
    M ./kernel/primes.c +11
    M ./rdft/buffered.c -63 +13
    M ./rdft/buffered2.c -54 +7

Mon Dec 25 16:08:22 EST 2006  athena@fftw.org
  * c++ compatibility

    M ./libbench2/verify-r2r.c -2 +2

Sun Dec 24 20:27:23 EST 2006  athena@fftw.org
  * Gratuitous renaming of directories and files since the old naming was becoming too inconsistent for my taste.

     ./dft/codelets -> ./dft/scalar
     ./dft/scalar/standard -> ./dft/scalar/codelets
     ./rdft/codelets -> ./rdft/scalar
    M ./Makefile.am -14 +15
    M ./configure.ac -6 +6
    M ./dft/Makefile.am -1 +1
    M ./dft/scalar/Makefile.am -3 +3
    M ./dft/scalar/codelets/Makefile.am -3 +3
    M ./dft/simd/codelets/Makefile.am -2 +2
    M ./doc/fftw3.texi -4 +4
    M ./rdft/Makefile.am -1 +1
    M ./rdft/scalar/Makefile.am -2 +2
    M ./rdft/scalar/r2cb/Makefile.am -3 +3
    M ./rdft/scalar/r2cf/Makefile.am -3 +3
    M ./rdft/scalar/r2r/Makefile.am -3 +3

Sun Dec 24 20:11:50 EST 2006  athena@fftw.org
  * Fixed another dftw bug (sigh)

    M ./threads/ct.c -7 +3

Sun Dec 24 11:48:01 EST 2006  athena@fftw.org
  * Removed debugging leftovers.

    M ./dft/dftw-genericbuf.c -2 +2

Sun Dec 24 11:34:17 EST 2006  athena@fftw.org
  * Moved dftw-generic* to new dftw protocol.

    M ./dft/dftw-generic.c -30 +24
    M ./dft/dftw-genericbuf.c -13 +13

Sun Dec 24 09:37:19 EST 2006  athena@fftw.org
  * Oops

    M ./tests/hook.c -1 +1

Sun Dec 24 09:31:46 EST 2006  athena@fftw.org
  * Fixed wrong verification of rank-1 rdft2

    M ./tests/hook.c -4 +6

Sat Dec 23 20:11:29 EST 2006  athena@fftw.org
  * minor tweaks

    M ./dft/dftw-direct.c -2 +4

Sat Dec 23 19:50:03 EST 2006  athena@fftw.org
  * Removed obsolete items.

    M ./TODO -13

Sat Dec 23 17:56:37 EST 2006  athena@fftw.org
  * Modified the problem_dftw invocation protocol.
  
  apply() now requires pointers to the beginning of the full array.
  Each thread processes a slice mb <= m < me.  This protocol is
  consistent with the one used in hc2hc, where there is no other choice.
  
  

    M ./dft/dftw-direct.c -27 +31
    M ./dft/dftw-directsq.c -1 +3
    M ./threads/ct.c -7 +2

Sat Dec 23 16:18:25 EST 2006  athena@fftw.org
  * typo

    M ./simd/simd-altivec.h -1 +1

Sat Dec 23 16:06:56 EST 2006  athena@fftw.org
  * changed hc2hc twiddle storage to be the same as hc2c

    M ./genfft/gen_hc2hc.ml -2 +3
    M ./rdft/hc2hc-direct.c -14 +11

Sat Dec 23 15:16:36 EST 2006  athena@fftw.org
  * Allowed extra_iter in dftw-direct.  Rationalized twiddle factors in hc2c.

    M ./dft/dftw-direct.c -10 +38
    M ./dft/simd/Makefile.am -1 +1
    M ./dft/simd/codelets/Makefile.am -1 +12
    M ./dft/simd/t.c -2 +45
    A ./dft/simd/t1bu.h
    A ./dft/simd/t1fu.h
    M ./genfft/gen_hc2c.ml -2 +3
    M ./genfft/gen_hc2cdft.ml -2 +3
    M ./genfft/gen_hc2cdft_c.ml -1 +1
    M ./genfft/gen_hc2hc.ml -1 +1
    M ./genfft/gen_twiddle.ml -1 +1
    M ./genfft/gen_twiddle_c.ml -1 +1
    M ./genfft/gen_twidsq.ml -1 +1
    M ./genfft/gen_twidsq_c.ml -1 +1
    M ./genfft/twiddle.ml -12 +10
    M ./genfft/twiddle.mli -1 +1
    M ./kernel/twiddle.c -4 +8
    M ./rdft/ct-hc2c-direct.c -4 +7
    M ./rdft/simd/hc2cbv.h -2 +2
    M ./rdft/simd/hc2cfv.h -2 +2
    M ./simd/simd-altivec.h -12 +9
    M ./simd/simd-sse.h -12 +9
    M ./simd/simd-sse2.h -11 +6

Sat Dec 23 10:37:11 EST 2006  athena@fftw.org
  * Implemented unmentionable hack to use 4-way SIMD with an odd number of
  iterations.

    M ./dft/direct.c -9 +34
    M ./rdft/ct-hc2c-direct.c -43 +88
    M ./simd/simd-altivec.h -1 +3
    M ./simd/simd-sse.h -1 +3

Fri Dec 22 22:13:30 EST 2006  athena@fftw.org
  * altivec support for new codelets

    M ./simd/simd-altivec.h -7 +28

Fri Dec 22 19:09:15 EST 2006  athena@fftw.org
  * fixed incorrect computation of W

    M ./genfft/gen_hc2cdft_c.ml -1 +1

Fri Dec 22 18:51:22 EST 2006  athena@fftw.org
  * Implemented 4-way simd hc2cdftv
  
  Also eliminated the twiddle_shift hack.  A zillion changes dictated 
  by this choice, which was in turn necessary for the hc2cdftv thing
  to work.
  

    M ./Makefile.am -13 +8
    M ./configure.ac -3
    M ./dft/codelet-dft.h -9 +9
    M ./dft/codelets/t.c -4 +4
    M ./dft/dftw-direct.c -35 +30
    M ./dft/dftw-directsq.c -7 +4
    M ./dft/simd/q1b.c -6 +6
    M ./dft/simd/q1f.c -6 +6
    M ./dft/simd/t.c -14 +14
    M ./dft/simd/t3b.h +1
    M ./dft/simd/t3f.h +1
    M ./dft/simd/ts.c -6 +6
    M ./dft/simd/ts.h +1
    M ./genfft/Makefile.am -17 +10
    R ./genfft/gen_conv.ml
    M ./genfft/gen_hc2c.ml -25 +19
    M ./genfft/gen_hc2cdft.ml -19 +19
    M ./genfft/gen_hc2cdft_c.ml -20 +24
    M ./genfft/gen_hc2hc.ml -23 +17
    M ./genfft/gen_mdct.ml -9 +9
    M ./genfft/gen_notw.ml -8 +8
    M ./genfft/gen_notw_c.ml -6 +6
    M ./genfft/gen_r2cb.ml -9 +9
    M ./genfft/gen_r2cf.ml -9 +9
    M ./genfft/gen_r2r.ml -6 +6
    M ./genfft/gen_twiddle.ml -37 +39
    M ./genfft/gen_twiddle_c.ml -38 +42
    M ./genfft/gen_twidsq.ml -42 +44
    M ./genfft/gen_twidsq_c.ml -44 +47
    M ./genfft/genutil.ml -6 +6
    M ./genfft/simd.ml -6 +7
    M ./genfft/simd.mli -2 +1
    M ./genfft/variable.ml -7 +12
    M ./genfft/variable.mli -1 +3
    M ./kernel/ifftw.h -7
    M ./kernel/twiddle.c -14
    M ./rdft/codelet-rdft.h -5 +5
    M ./rdft/codelets/hc2c.c -2 +2
    M ./rdft/conf.c -1 +1
    M ./rdft/ct-hc2c-direct.c -47 +36
    M ./rdft/ct-hc2c.c -1 +3
    M ./rdft/hc2hc-direct.c -39 +31
    M ./rdft/simd/codelets/Makefile.am -2 +2
    M ./rdft/simd/hc2cbv.c -7 +8
    M ./rdft/simd/hc2cbv.h -4 +3
    M ./rdft/simd/hc2cfv.c -7 +8
    M ./rdft/simd/hc2cfv.h -4 +3
    M ./simd/simd-sse.h +4
    M ./simd/simd-sse2.h -3 +5
    M ./simd/simd.h -2
    M ./tests/Makefile.am +9

Fri Dec 22 08:45:46 EST 2006  athena@fftw.org
  * Fixed verification of rdft2 problems with new format.

    M ./tests/hook.c -1 +5

Fri Dec 22 00:05:59 EST 2006  athena@fftw.org
  * Added file

    A ./rdft/simd/Makefile.am

Fri Dec 22 00:02:50 EST 2006  athena@fftw.org
  * Hmm, previous commit did not work

     ./rdft/simd/hc2hcv.h -> ./rdft/simd/hc2cfv.h
     ./rdft/simd/hc2cv.c -> ./rdft/simd/hc2cfv.c
    A ./rdft/simd/
    A ./rdft/simd/codelets/
    A ./rdft/simd/codelets/Makefile.am
    A ./rdft/simd/hc2cbv.c
    A ./rdft/simd/hc2cbv.h
    M ./rdft/simd/hc2cfv.c +41
    M ./rdft/simd/hc2cfv.h +29
    A ./rdft/simd/hc2cv.c
    A ./rdft/simd/hc2hcv.h

Thu Dec 21 23:58:33 EST 2006  athena@fftw.org
  * Added SIMD r2cdft codelets.

    M ./Makefile.am -14 +22
    M ./configure.ac +5
    M ./dft/simd/n1b.h -1
    M ./dft/simd/n1f.h -1
    M ./dft/simd/n2b.h -1
    M ./dft/simd/n2f.h -1
    M ./dft/simd/n2s.h -1
    M ./genfft/Makefile.am -8 +14
    M ./genfft/algsimp.ml -2 +12
    M ./genfft/c.ml +1
    M ./genfft/expr.ml -1 +3
    M ./genfft/expr.mli -1 +1
    A ./genfft/gen_hc2cdft_c.ml
    M ./genfft/simd.ml -2 +9
    M ./genfft/to_alist.ml +1
    M ./kernel/ifftw.h +6
    M ./rdft/Makefile.am -1 +1
    M ./rdft/codelet-rdft.h +5
    M ./rdft/codelets/hc2c.c -2 +12
    M ./rdft/conf.c +4
    M ./rdft/ct-hc2c-direct.c -5 +60
    M ./rdft/hc2hc-direct.c -5
    M ./rdft/hc2hc.h -2
    M ./rdft/khc2hc.c -1
    M ./simd/nonportable/sse.c -9 +4
    M ./simd/nonportable/sse2.c -9 +4
    M ./simd/simd-sse.h -4 +4
    M ./simd/simd-sse2.h -4 +7
    M ./simd/sse.c -2 +2
    M ./simd/sse2.c -2 +2
    M ./support/Makefile.codelets +1

Thu Dec 21 21:19:21 EST 2006  athena@fftw.org
  * Bug in buffering, grrr...

    M ./rdft/ct-hc2c-direct.c -1 +1

Thu Dec 21 20:58:14 EST 2006  athena@fftw.org
  * Oops, memory leak.

    M ./rdft/hc2hc-direct.c +1

Thu Dec 21 17:12:31 EST 2006  athena@fftw.org
  * minor changes, cleanup.

    M ./rdft/ct-hc2c.c -2
    M ./rdft/hc2hc.c -16 +10
    M ./threads/hc2hc.c -17 +12

Wed Dec 20 22:09:28 EST 2006  athena@fftw.org
  * Unified hc2hc-direct, hc2hc-directbuf.  Cleanup.

    M ./rdft/Makefile.am -4 +3
    M ./rdft/ct-hc2c-direct.c -8 +8
    R ./rdft/hc2hc-common.c
    M ./rdft/hc2hc-direct.c -44 +153
    R ./rdft/hc2hc-directbuf.c
    M ./rdft/hc2hc.h -4

Wed Dec 20 17:55:56 EST 2006  athena@fftw.org
  * removed obsolete rdft2-radix2

    M ./rdft/Makefile.am -1 +1
    M ./rdft/conf.c -1
    M ./rdft/rdft.h -1
    R ./rdft/rdft2-radix2.c

Wed Dec 20 17:51:20 EST 2006  athena@fftw.org
  * implemented reduction rdft2->dft

    M ./genfft/Makefile.am -9 +16
    M ./genfft/gen_hc2c.ml -1 +1
    A ./genfft/gen_hc2cdft.ml
    M ./rdft/codelet-rdft.h -2 +7
    M ./rdft/codelets/r2cb/Makefile.am -1 +12
    M ./rdft/codelets/r2cf/Makefile.am -1 +12
    M ./rdft/ct-hc2c-direct.c -5 +8
    M ./rdft/ct-hc2c.c -24 +95
    M ./rdft/ct-hc2c.h -2 +6
    M ./rdft/khc2c.c -2 +3
    M ./support/Makefile.codelets +1

Wed Dec 20 09:29:39 EST 2006  athena@fftw.org
  * Implemented buffered direct-r2c, direct-hc2c.
  Also, removed some old cruft:
  
  * okp() functions were never used and a pain to maintain---now they
    are gone.
  
  * ``m'' in hc2hc and hc2c codelets is now the number of iterations,
    not the ``logical'' m.

    M ./genfft/gen_hc2c.ml -5 +3
    M ./genfft/gen_hc2hc.ml -9 +9
    M ./genfft/gen_r2cb.ml -4 +1
    M ./genfft/gen_r2cf.ml -4 +1
    M ./genfft/gen_r2r.ml -5 +1
    M ./rdft/codelet-rdft.h -30 +4
    M ./rdft/codelets/hc2c.c -14 +2
    M ./rdft/codelets/hfb.c -14 +2
    M ./rdft/codelets/r2c.c -18 +4
    M ./rdft/codelets/r2r.c -15 +1
    M ./rdft/ct-hc2c-direct.c -37 +127
    M ./rdft/direct-r2c.c -41 +189
    M ./rdft/direct-r2r.c -15 +6
    M ./rdft/direct2.c -20 +11
    M ./rdft/hc2hc-direct.c -23 +9
    M ./rdft/hc2hc-directbuf.c -79 +42
    M ./rdft/kr2c.c +1
    M ./rdft/rdft.h +1

Tue Dec 19 17:07:04 EST 2006  stevenj@fftw.org
  * added memcpy-loop rank0 solver (it makes a 5-20% difference for transposes of large tuples)

    M ./rdft/rank0.c +33

Tue Dec 19 16:15:54 EST 2006  stevenj@fftw.org
  * new variable to disable libbench2's problem allocation during speed benchmarking (to benchmark MPI transforms where the array does not fit into the memory of a single process)

    M ./libbench2/bench-user.h +2
    M ./libbench2/speed.c -3 +8
    M ./mpi/mpi-bench.c -5 +15

Tue Dec 19 14:55:08 EST 2006  stevenj@fftw.org
  * allow transpose-inplace to use input as scratch for DESTROY_INPUT plans (to avoid non-square in-place transpositions) ... on supersgj, the planner often prefers transpose-inplace to transpose-alltoall in this case (apparently MPI_Alltoall in LAM MPI isn't that great)

    M ./mpi/transpose-inplace.c -52 +99

Tue Dec 19 17:07:14 EST 2006  athena@fftw.org
  * For some reason HB2 codelets were not generated.

    M ./rdft/codelets/r2cb/Makefile.am -2 +2
    M ./rdft/codelets/r2cf/Makefile.am -1 +1

Tue Dec 19 15:12:39 EST 2006  athena@fftw.org
  * split rdft/direct.c into direct-r2r and direct-r2c, since the file was getting out of control.

    M ./rdft/Makefile.am -4 +5
    A ./rdft/direct-r2c.c
    A ./rdft/direct-r2r.c
    R ./rdft/direct.c

Tue Dec 19 02:59:35 EST 2006  stevenj@fftw.org
  * added dft-rank1 solver - MPI now supports 1d complex DFTs!

    M ./mpi/Makefile.am -2 +2
    M ./mpi/api.c -9 +54
    A ./mpi/choose-radix.c
    M ./mpi/conf.c +1
    M ./mpi/dft-problem.c -2 +2
    A ./mpi/dft-rank1.c
    M ./mpi/fftw3-mpi.h -2 +8
    M ./mpi/ifftw-mpi.h +4
    M ./mpi/mpi-bench.c -25 +24
    M ./mpi/mpi-dft.h -4 +5
    M ./mpi/mpi-transpose.h -3 +3
    M ./mpi/transpose-problem.c -1 +1
    M ./tests/bench.c -8 +8
    M ./tests/fftw-bench.h -1 +1

Tue Dec 19 01:27:20 EST 2006  stevenj@fftw.org
  * fftw_flops must call cost_hook directly; iestimate_cost always uses COST_MAX

    M ./api/flops.c -1 +7
    M ./kernel/ifftw.h -2 +2
    M ./kernel/planner.c -4 +3

Tue Dec 19 01:16:54 EST 2006  stevenj@fftw.org
  * fftw_flops and fftw_estimate_cost must now be called from every process, to prevent deadlocks in the MPI code (since they sum/max the cost over all processes)

    M ./tests/fftw-bench.c -7 +11

Tue Dec 19 00:55:34 EST 2006  stevenj@fftw.org
  * whoops, typo in assert

    M ./mpi/block.c -1 +1

Tue Dec 19 00:51:07 EST 2006  stevenj@fftw.org
  * remove multiplication by FFT_SIGN

    M ./kernel/trig.c -2 +7

Mon Dec 18 22:51:45 EST 2006  stevenj@fftw.org
  * need to synchronize ESTIMATE costs in MPI planner, and sum ESTIMATE costs for flop reporting: generalize measure_hook to cost_hook(..., {COST_SUM, COST_MAX})

    M ./api/flops.c -1 +1
    M ./kernel/ifftw.h -3 +6
    M ./kernel/planner.c -8 +12
    M ./mpi/api.c -6 +7

Mon Dec 18 15:36:15 EST 2006  stevenj@fftw.org
  * previous patch slowed down transpose-alltoall when TRANSPOSED_IN and DESTROY_INPUT; now allow planner to choose old behavior in this case 

    M ./mpi/transpose-alltoall.c -11 +31

Mon Dec 18 15:15:39 EST 2006  stevenj@fftw.org
  * transpose-alltoall doesn't require input to be destroyed if TRANSPOSED_IN is set

    M ./mpi/transpose-alltoall.c -26 +41

Mon Dec 18 17:41:25 EST 2006  athena@fftw.org
  * Added t2-style hc2c codelets, fixed typos.

    M ./api/plan-guru-dft-c2r.h -1 +1
    M ./api/plan-guru-dft-r2c.h -1 +1
    M ./api/plan-guru-dft.h -2 +2
    M ./rdft/codelets/r2cb/Makefile.am -1 +9
    M ./rdft/codelets/r2cf/Makefile.am -1 +9

Mon Dec 18 16:02:42 EST 2006  athena@fftw.org
  * Renamed certain variables to avoid calling an output stride `is'.

    M ./rdft/codelet-rdft.h -1 +1
    M ./rdft/direct.c -17 +17
    M ./rdft/direct2.c -7 +7

Mon Dec 18 15:54:43 EST 2006  athena@fftw.org
  * Oops---wrong stride

    M ./rdft/ct-hc2c.c -1 +1

Mon Dec 18 14:59:16 EST 2006  athena@fftw.org
  * Oops, forgot to add file

    A ./rdft/kr2c.c

Mon Dec 18 14:17:02 EST 2006  athena@fftw.org
  * Renamed r2hc/hc2r codelets to r2c
  After the recent changes, r2hc/hc2r codelets became rdft2
  problems, so I renamed them accordingly to r2cf/r2cb. 
  Codelet parameters are now a real array and a complex array, instead
  of an input array and an output array, and forward and backward
  codelets have the same type, which removes some clutter from the rdft
  code.

     ./genfft/gen_hc2r.ml -> ./genfft/gen_r2cb.ml
     ./genfft/gen_r2hc.ml -> ./genfft/gen_r2cf.ml
     ./rdft/codelets/hc2r -> ./rdft/codelets/r2cb
     ./rdft/codelets/r2hc -> ./rdft/codelets/r2cf
    M ./Makefile.am -2 +2
    M ./configure.ac -2 +2
    M ./doc/fftw3.texi -1 +1
    M ./genfft/Makefile.am -9 +9
    M ./genfft/gen_r2cb.ml -58 +51
    M ./genfft/gen_r2cf.ml -58 +51
    M ./rdft/Makefile.am -3 +3
    M ./rdft/codelet-rdft.h -59 +16
    M ./rdft/codelets/Makefile.am -3 +3
    R ./rdft/codelets/hc2r.c
    R ./rdft/codelets/hc2r.h
    R ./rdft/codelets/hc2rIII.h
    A ./rdft/codelets/r2c.c
    A ./rdft/codelets/r2cb.h
    M ./rdft/codelets/r2cb/Makefile.am -21 +21
    A ./rdft/codelets/r2cbIII.h
    A ./rdft/codelets/r2cf.h
    M ./rdft/codelets/r2cf/Makefile.am -20 +20
    A ./rdft/codelets/r2cfII.h
    R ./rdft/codelets/r2hc.c
    R ./rdft/codelets/r2hc.h
    R ./rdft/codelets/r2hcII.h
    M ./rdft/conf.c -2 +2
    M ./rdft/ct-hc2c.c -2 +2
    M ./rdft/direct.c -46 +28
    M ./rdft/direct2.c -72 +23
    R ./rdft/khc2r.c
    R ./rdft/kr2hc.c
    M ./rdft/rdft.h -4 +2
    M ./support/Makefile.codelets -2 +2

Mon Dec 18 10:48:07 EST 2006  athena@fftw.org
  * Implemented backward radix-2k rdft2.

    M ./genfft/gen_hc2c.ml -26 +30
    M ./rdft/codelets/Makefile.am -1 +1
    M ./rdft/codelets/hc2c.c -1 +5
    R ./rdft/codelets/hc2c.h
    A ./rdft/codelets/hc2cb.h
    A ./rdft/codelets/hc2cf.h
    M ./rdft/codelets/hc2r/Makefile.am -1 +11
    M ./rdft/codelets/r2hc/Makefile.am -7 +7
    M ./rdft/ct-hc2c.c -3 +25
    M ./rdft/rdft2-radix2.c -72 +1

Mon Dec 18 13:56:09 EST 2006  stevenj@fftw.org
  * move extract_reim into kernel, since it is used by internal MPI stuff and not just in the API code any more

     ./api/extract-reim.c -> ./kernel/extract-reim.c
    M ./api/Makefile.am -1 +1
    M ./api/api.h -1 +1
    M ./api/plan-many-dft-c2r.c -1 +1
    M ./api/plan-many-dft-r2c.c -1 +1
    M ./api/plan-many-dft.c -2 +2
    M ./kernel/Makefile.am -5 +6
    M ./kernel/extract-reim.c -6 +6
    M ./kernel/ifftw.h +1
    M ./mpi/dft-rank-geq2.c -3
    M ./mpi/dft-rank1-bigvec.c -3
    M ./mpi/dft-serial.c -3

Mon Dec 18 08:40:14 EST 2006  athena@fftw.org
  * Do not check r1==cr unless rnk>0

    M ./rdft/problem2.c -1 +5

Sun Dec 17 21:03:50 EST 2006  athena@fftw.org
  * Implemented radix-2k RDFT2, forward only for now

    M ./api/execute-dft-c2r.c -1 +2
    M ./api/execute-dft-r2c.c -1 +2
    M ./api/execute-split-dft-c2r.c -1 +2
    M ./api/execute-split-dft-r2c.c -1 +2
    M ./api/f77funcs.h -4 +8
    M ./api/plan-guru-dft-c2r.h -8 +8
    M ./api/plan-guru-dft-r2c.h -9 +9
    M ./api/plan-guru-split-dft-c2r.h -6 +6
    M ./api/plan-guru-split-dft-r2c.h -9 +9
    M ./api/plan-many-dft-c2r.c -3 +3
    M ./api/plan-many-dft-r2c.c -1 +1
    M ./dft/problem.c -3 +5
    M ./genfft/Makefile.am -5 +11
    A ./genfft/gen_hc2c.ml
    M ./genfft/gen_hc2hc.ml -30 +30
    M ./genfft/gen_hc2r.ml -7 +16
    M ./genfft/gen_r2hc.ml -8 +18
    M ./rdft/Makefile.am -1 +2
    M ./rdft/buffered2.c -31 +45
    M ./rdft/codelet-rdft.h -11 +41
    M ./rdft/codelets/Makefile.am -1 +1
    A ./rdft/codelets/hc2c.c
    A ./rdft/codelets/hc2c.h
    M ./rdft/codelets/hc2r.c -4 +5
    M ./rdft/codelets/hfb.c -4 +4
    M ./rdft/codelets/r2hc.c -4 +5
    M ./rdft/codelets/r2hc/Makefile.am -1 +11
    A ./rdft/ct-hc2c-direct.c
    A ./rdft/ct-hc2c.c
    A ./rdft/ct-hc2c.h
    M ./rdft/direct.c -16 +21
    M ./rdft/direct2.c -15 +32
    M ./rdft/hc2hc-common.c -2 +2
    M ./rdft/hc2hc-direct.c -4 +4
    M ./rdft/hc2hc-directbuf.c -8 +8
    M ./rdft/hc2hc-generic.c -4 +3
    M ./rdft/hc2hc.c -4 +4
    A ./rdft/khc2c.c
    M ./rdft/nop2.c -7 +10
    M ./rdft/problem.c -2 +1
    M ./rdft/problem2.c -38 +117
    M ./rdft/rank-geq2-rdft2.c -13 +17
    M ./rdft/rank0-rdft2.c -35 +44
    M ./rdft/rdft.h -8 +27
    M ./rdft/rdft2-inplace-strides.c -2 +6
    M ./rdft/rdft2-radix2.c -131 +37
    M ./rdft/solve2.c -1 +3
    M ./rdft/vrank-geq1-rdft2.c -7 +7
    M ./support/Makefile.codelets +1
    M ./tests/hook.c -8 +23
    M ./threads/vrank-geq1-rdft2.c -10 +10

Mon Dec 18 01:23:45 EST 2006  stevenj@fftw.org
  * separate TRANSPOSED/SCRAMBLED flags internally (this is required so that dft-rank1-bigvec and the future dft-rank1 won't have incompatible SCRAMBLED formats)

    M ./mpi/api.c -16 +2
    M ./mpi/dft-rank-geq2.c -7 +7
    M ./mpi/dft-rank1-bigvec.c -8 +9
    M ./mpi/dft-serial.c -1 +1
    M ./mpi/ifftw-mpi.h -1 +8
    M ./mpi/mpi-dft.h -1 +2
    M ./mpi/mpi-transpose.h -2 +2
    M ./mpi/transpose-alltoall.c -3 +4
    M ./mpi/transpose-inplace.c -6 +7
    M ./mpi/transpose-radix2.c -5 +6

Mon Dec 18 01:02:27 EST 2006  stevenj@fftw.org
  * ops_add -> ops_add2 where possible, to shrink code

    M ./mpi/dft-rank-geq2.c -8 +4
    M ./mpi/dft-rank1-bigvec.c -4 +2
    M ./mpi/transpose-alltoall.c -6 +3
    M ./mpi/transpose-inplace.c -8 +4
    M ./mpi/transpose-radix2.c -10 +5
    M ./rdft/vrank3-transpose.c -9 +5

Mon Dec 18 00:43:02 EST 2006  stevenj@fftw.org
  * added dft-rank1-bigvec solver (easy case for 1d parallel transforms)

    M ./mpi/Makefile.am -1 +1
    M ./mpi/api.c -2 +14
    M ./mpi/conf.c +1
    A ./mpi/dft-rank1-bigvec.c
    M ./mpi/mpi-dft.h +1

Sun Dec 17 20:42:21 EST 2006  stevenj@fftw.org
  * rewrote MPI stuff to use dtensor data structure
  
  A dtensor is an ordered tuple of triplets (n, ib, ob) giving the size of
  a dimension (n) and its input and output block sizes of a distributed
  row-major multi-dimensional array.  An MPI DFT (etc.) is now specified
  in terms of dtensors, which provide a much more flexible data layout. 
  
  For example, we can now describe multidimensional block distributions,
  which are important if the number of processors is greater than the
  size of any given dimension.  Currently, we only have solvers for
  1d slab distributions, and this is all that is supported in the basic
  and advanced APIs.  The guru API allows one to specify more general
  distributions, however, which will be useful when/if we have solvers
  for this case.
  
  We now also don't need a TRANSPOSED flag, at least internally, since
  TRANSPOSED multi-dimensional DFT plans just correspond to dtensors
  where the input and output block distributions are different.
  
  Other changes include the use of the XM(foo) macro for X(mpi_foo).
  

    M ./mpi/Makefile.am -1 +1
    M ./mpi/any-true.c -1 +1
    M ./mpi/api.c -129 +335
    M ./mpi/block.c -32 +95
    M ./mpi/conf.c -6 +6
    M ./mpi/dft-problem.c -46 +33
    M ./mpi/dft-rank-geq2.c -60 +72
    M ./mpi/dft-serial.c -26 +20
    M ./mpi/dft-solve.c -1 +1
    A ./mpi/dtensor.c
    M ./mpi/fftw3-mpi.h -24 +38
    M ./mpi/ifftw-mpi.h -22 +60
    M ./mpi/mpi-bench.c -115 +289
    M ./mpi/mpi-dft.h -12 +13
    M ./mpi/mpi-transpose.h -10 +11
    M ./mpi/transpose-alltoall.c -17 +16
    M ./mpi/transpose-inplace.c -24 +21
    M ./mpi/transpose-problem.c -19 +18
    M ./mpi/transpose-radix2.c -13 +11
    M ./mpi/transpose-solve.c -1 +1
    M ./tests/bench.c +4
    M ./tests/fftw-bench.c +2
    M ./tests/fftw-bench.h +1

Fri Dec 15 16:01:23 EST 2006  athena@fftw.org
  * Distinguished mutexes from semaphores.  
  The distinction is useful because the linux implementation of
  sem_post() in unnecessarily slow when semaphores are used for mutual
  exclusion.  This change made spinlocks messier to implement, so I
  excised them.

    M ./tests/fftw-bench.c -8
    M ./threads/threads.c -105 +40

Fri Dec 15 12:46:11 EST 2006  athena@fftw.org
  * Use posix semaphores where available.  
  Paranoid declaration of all shared variables as ``volatile''.  Paranoid
  initialization of all shared variables within locks.

    M ./threads/threads.c -36 +68

Wed Dec 13 20:12:13 EST 2006  Matteo Frigo <athena@fftw.org>
  * paranoia

    M ./threads/threads.c -2 +2

Tue Dec 12 17:28:13 EST 2006  stevenj@fftw.org
  * punt on detecting unsolvable rdft2 problems; make r==iio rdft2 problems unsolvable, since it doesn't look like we've consistently checked for this case and it's not clear why we would want to support it (it was also not documented in the manual)

    M ./doc/fftw3.texi -1 +2
    M ./rdft/problem2.c -30 +2

Sat Dec  9 12:14:13 EST 2006  athena@fftw.org
  * Obey stupid const rules

    M ./api/api.h -2 +2
    M ./api/apiplan.c -1 +1
    M ./dft/dft.h -3 +3
    M ./dft/indirect.c -4 +4
    M ./dft/problem.c -9 +8
    M ./kernel/ifftw.h -5 +5
    M ./kernel/planner.c -2 +2
    M ./kernel/problem.c -4 +4
    M ./rdft/buffered2.c -1 +1
    M ./rdft/dht-rader.c -1 +1
    M ./rdft/indirect.c -4 +4
    M ./rdft/problem.c -14 +13
    M ./rdft/problem2.c -9 +8
    M ./rdft/rank-geq2-rdft2.c -1 +1
    M ./rdft/rdft-dht.c -1 +1
    M ./rdft/rdft.h -13 +13
    M ./rdft/rdft2-radix2.c -5 +5

Fri Dec  8 18:21:50 EST 2006  stevenj@fftw.org
  * added unsolvable check for rdft2 problem
  
  An in-place rdft2 problem is ill-formed if the real data, including the 
  extra "padding" elements, do not coincide with the complex data.
  
  CHANGE: the new code considers all in-place split r2c and c2r problems 
  to be ill-formed.  Previously, these could be done, but only if the
  entire multi-dimensional array fit into the buffer, which is kind of 
  stupid.  I'm not sure it's worth it to even try to support the
  split in-place r2c case.

    M ./rdft/problem2.c -1 +33

Fri Dec  8 13:47:53 EST 2006  stevenj@fftw.org
  * check in-placeness after joining taints

    M ./dft/problem.c -9 +9

Fri Dec  8 13:43:44 EST 2006  athena@fftw.org
  * Grrr... paranoid-check was not testing in exhaustive mode

    M ./tests/Makefile.am -5 +5

Fri Dec  8 10:00:30 EST 2006  Matteo Frigo <athena@fftw.org>
  * Implemented PROBLEM_UNSOLVABLE.  
  In-place DFT and RDFT problems with inconsistent I/O strides are
  now unsolvable, and we don't check for them any longer in solvers.
  
  While I was at it, declared all problem pointers to be ``const''
  for extra safety.

    M ./api/api.h -2 +2
    M ./api/apiplan.c -3 +5
    M ./dft/buffered.c -4 +1
    M ./dft/dft.h -4 +4
    M ./dft/direct.c -8 +6
    M ./dft/indirect.c -4 +4
    M ./dft/problem.c -11 +15
    M ./dft/vrank-geq1.c -3
    M ./kernel/ifftw.h -6 +10
    M ./kernel/planner.c -6 +6
    M ./kernel/problem.c -1 +40
    M ./rdft/buffered.c -4 +1
    M ./rdft/buffered2.c -1 +1
    M ./rdft/dht-rader.c -1 +1
    M ./rdft/direct.c -4 +3
    M ./rdft/indirect.c -4 +4
    M ./rdft/problem.c -14 +17
    M ./rdft/problem2.c -10 +10
    M ./rdft/rank-geq2-rdft2.c -1 +1
    M ./rdft/rdft-dht.c -1 +1
    M ./rdft/rdft.h -13 +13
    M ./rdft/rdft2-radix2.c -5 +5
    M ./rdft/vrank-geq1.c -2

Thu Dec  7 20:13:46 EST 2006  Matteo Frigo <athena@fftw.org>
  * Avoid qsort'ing one element.

    M ./kernel/tensor7.c -6 +2

Thu Dec  7 18:25:47 EST 2006  Matteo Frigo <athena@fftw.org>
  * In-place vrank>=1 is now applicable only if the problem is really in-place.

    M ./dft/buffered.c -7 +12
    M ./dft/direct.c -11 +11
    M ./dft/vrank-geq1.c +3
    M ./kernel/ifftw.h +2
    M ./kernel/tensor7.c +41
    M ./rdft/buffered.c -7 +12
    M ./rdft/direct.c -7 +5
    M ./rdft/vrank-geq1.c +2

Tue Dec  5 12:21:38 EST 2006  athena@fftw.org
  * unused variable

    M ./kernel/align.c +1

Sun Dec  3 19:16:33 EST 2006  Matteo Frigo <athena@fftw.org>
  * Removed CVS $Id$ everywhere, since darcs does not update them.

    M ./api/fftw3.h -1
    M ./api/version.c -1
    M ./commercialize.sh +1
    M ./dft/buffered.c -1
    M ./dft/codelet-dft.h -1
    M ./dft/codelets/standard/Makefile.am +1
    M ./dft/conf.c -1
    M ./dft/ct.c -1
    M ./dft/dft.h -1
    M ./dft/dftw-direct.c -1
    M ./dft/dftw-directsq.c -1
    M ./dft/direct.c -1
    M ./dft/indirect.c -1
    M ./dft/kdft-dif.c -1
    M ./dft/kdft-difsq.c -1
    M ./dft/kdft-dit.c -1
    M ./dft/kdft.c -1
    M ./dft/nop.c -1
    M ./dft/plan.c -1
    M ./dft/problem.c -1
    M ./dft/rank-geq2.c -1
    M ./dft/solve.c -1
    M ./dft/vrank-geq1.c -1
    M ./dft/zero.c -1
    M ./doc/fftw3.texi -1
    M ./genfft/algsimp.ml -2
    M ./genfft/algsimp.mli -2
    M ./genfft/annotate.ml -2
    M ./genfft/annotate.mli -1
    M ./genfft/assoctable.ml -1
    M ./genfft/assoctable.mli -1
    M ./genfft/c.ml -1
    M ./genfft/c.mli -1
    M ./genfft/complex.ml -1
    M ./genfft/complex.mli -1
    M ./genfft/conv.mli -1
    M ./genfft/dag.ml -1
    M ./genfft/dag.mli -1
    M ./genfft/expr.ml -1
    M ./genfft/expr.mli -1
    M ./genfft/fft.ml -2
    M ./genfft/fft.mli -2
    M ./genfft/gen_conv.ml -3 +1
    M ./genfft/gen_hc2hc.ml -3 +1
    M ./genfft/gen_hc2r.ml -3 +1
    M ./genfft/gen_mdct.ml -3 +1
    M ./genfft/gen_notw.ml -3 +1
    M ./genfft/gen_notw_c.ml -3 +1
    M ./genfft/gen_r2hc.ml -3 +1
    M ./genfft/gen_r2r.ml -3 +1
    M ./genfft/gen_twiddle.ml -3 +1
    M ./genfft/gen_twiddle_c.ml -3 +1
    M ./genfft/gen_twidsq.ml -3 +1
    M ./genfft/gen_twidsq_c.ml -3 +1
    M ./genfft/genutil.ml -8 +1
    M ./genfft/littlesimp.ml -1
    M ./genfft/littlesimp.mli -1
    M ./genfft/magic.ml -1
    M ./genfft/monads.ml -1
    M ./genfft/number.ml -1
    M ./genfft/number.mli -1
    M ./genfft/oracle.ml -1
    M ./genfft/oracle.mli -1
    M ./genfft/schedule.ml -1
    M ./genfft/schedule.mli -1
    M ./genfft/simd.ml -1
    M ./genfft/simd.mli -1
    M ./genfft/simdmagic.ml -1
    M ./genfft/to_alist.ml -1
    M ./genfft/to_alist.mli -1
    M ./genfft/trig.ml -1
    M ./genfft/trig.mli -1
    M ./genfft/twiddle.ml -1
    M ./genfft/twiddle.mli -1
    M ./genfft/unique.ml -1
    M ./genfft/unique.mli -1
    M ./genfft/util.ml -1
    M ./genfft/util.mli -1
    M ./genfft/variable.ml -1
    M ./genfft/variable.mli -1
    M ./kernel/align.c -1
    M ./kernel/alloc.c -1
    M ./kernel/assert.c -1
    M ./kernel/awake.c -1
    M ./kernel/cycle.h -1
    M ./kernel/debug.c -1
    M ./kernel/iabs.c -1
    M ./kernel/ifftw.h -1
    M ./kernel/kalloc.c -1
    M ./kernel/minmax.c -1
    M ./kernel/ops.c -1
    M ./kernel/pickdim.c -1
    M ./kernel/plan.c -1
    M ./kernel/planner.c -1
    M ./kernel/primes.c -1
    M ./kernel/print.c -1
    M ./kernel/problem.c -1
    M ./kernel/scan.c -1
    M ./kernel/solver.c -1
    M ./kernel/solvtab.c -1
    M ./kernel/stride.c -1
    M ./kernel/tensor.c -1
    M ./kernel/tensor1.c -1
    M ./kernel/tensor2.c -1
    M ./kernel/tensor4.c -1
    M ./kernel/tensor5.c -1
    M ./kernel/tensor7.c -1
    M ./kernel/tensor8.c -1
    M ./kernel/tensor9.c -1
    M ./kernel/timer.c -1
    M ./kernel/trig.c -1
    M ./kernel/twiddle.c -1
    M ./libbench/accopy-from.c -1
    M ./libbench/accopy-to.c -1
    M ./libbench/allocate.c -1
    M ./libbench/bench-main.c -1
    M ./libbench/bench-user.h -1
    M ./libbench/bench.h -1
    M ./libbench/can-do.c -1
    M ./libbench/ccopy-from.c -1
    M ./libbench/ccopy-to.c -1
    M ./libbench/deallocate.c -1
    M ./libbench/getopt-utils.c -1
    M ./libbench/info.c -1
    M ./libbench/main.c -1
    M ./libbench/prime.c -1
    M ./libbench/problem.c -1
    M ./libbench/report.c -1
    M ./libbench/speed.c -1
    M ./libbench/timer.c -1
    M ./libbench/verify.c -1
    M ./libbench/zero.c -1
    M ./libbench2/aligned-main.c -1
    M ./libbench2/allocate.c -1
    M ./libbench2/bench-main.c -1
    M ./libbench2/bench-user.h -1
    M ./libbench2/bench.h -1
    M ./libbench2/can-do.c -1
    M ./libbench2/dotens2.c -1
    M ./libbench2/info.c -1
    M ./libbench2/main.c -1
    M ./libbench2/problem.c -1
    M ./libbench2/report.c -1
    M ./libbench2/speed.c -1
    M ./libbench2/tensor.c -1
    M ./libbench2/timer.c -1
    M ./libbench2/useropt.c -1
    M ./libbench2/verify-dft.c -1
    M ./libbench2/verify-lib.c -1
    M ./libbench2/verify-rdft2.c -1
    M ./libbench2/verify.c -1
    M ./libbench2/zero.c -1
    M ./mpi/conf.c -1
    M ./rdft/buffered.c -1
    M ./rdft/buffered2.c -1
    M ./rdft/codelets/hc2r/Makefile.am +1
    M ./rdft/codelets/r2hc/Makefile.am +1
    M ./rdft/conf.c -1
    M ./rdft/dft-r2hc.c -1
    M ./rdft/dht-r2hc.c -1
    M ./rdft/direct.c -1
    M ./rdft/direct2.c -1
    M ./rdft/hc2hc-direct.c -1
    M ./rdft/hc2hc-directbuf.c -1
    M ./rdft/indirect.c -1
    M ./rdft/khc2hc.c -1
    M ./rdft/khc2r.c -1
    M ./rdft/kr2hc.c -1
    M ./rdft/kr2r.c -1
    M ./rdft/nop.c -1
    M ./rdft/nop2.c -1
    M ./rdft/plan.c -1
    M ./rdft/plan2.c -1
    M ./rdft/problem.c -1
    M ./rdft/problem2.c -1
    M ./rdft/rank-geq2-rdft2.c -1
    M ./rdft/rank-geq2.c -1
    M ./rdft/rank0-rdft2.c -1
    M ./rdft/rank0.c -1
    M ./rdft/rdft-dht.c -1
    M ./rdft/rdft2-inplace-strides.c -1
    M ./rdft/rdft2-radix2.c -1
    M ./rdft/rdft2-tensor-max-index.c -1
    M ./rdft/solve.c -1
    M ./rdft/solve2.c -1
    M ./rdft/vrank-geq1-rdft2.c -1
    M ./rdft/vrank-geq1.c -1
    M ./rdft/vrank3-transpose.c -1
    M ./reodft/conf.c -1
    M ./reodft/redft00e-r2hc-pad.c -1
    M ./reodft/redft00e-r2hc.c -1
    M ./reodft/reodft00e-splitradix.c -1
    M ./reodft/reodft010e-r2hc.c -1
    M ./reodft/reodft11e-r2hc-odd.c -1
    M ./reodft/reodft11e-r2hc.c -1
    M ./reodft/reodft11e-radix2.c -1
    M ./reodft/rodft00e-r2hc-pad.c -1
    M ./reodft/rodft00e-r2hc.c -1
    M ./simd/altivec.c -1
    M ./simd/nonportable/sse.c -1
    M ./simd/nonportable/sse2.c -1
    M ./simd/sse.c -1
    M ./simd/sse2.c -1
    M ./simd/taint.c -1
    M ./simd/x86-cpuid.h -1
    M ./threads/conf.c -1
    M ./threads/ct.c -1
    M ./threads/dft-vrank-geq1.c -1
    M ./threads/rdft-vrank-geq1.c -1
    M ./threads/vrank-geq1-rdft2.c -1

Sun Dec  3 16:11:17 EST 2006  Matteo Frigo <athena@fftw.org>
  * generalized dftw to encompass q codelets.  As a side effect, q codelets are now threaded.

    M ./dft/Makefile.am -2 +2
    M ./dft/ct.c -25 +55
    M ./dft/ct.h -6 +9
    R ./dft/ctsq.c
    M ./dft/dftw-direct.c -59 +72
    A ./dft/dftw-directsq.c
    M ./dft/dftw-generic.c -24 +32
    M ./dft/dftw-genericbuf.c -30 +37
    M ./dft/indirect-transpose.c -1 +1
    M ./dft/kdft-difsq.c -1 +1
    M ./libbench2/my-getopt.c -3 +3
    M ./threads/ct.c -28 +53

Sat Nov 25 16:34:38 EST 2006  stevenj@fftw.org
  * add missing __declspec attribute to threads API functions when compiling for Windows (thanks to Robert O. Morris for the bug report)

    M ./api/f77api.c -29 +1
    M ./api/x77.h +28
    M ./threads/f77api.c +13
    M ./threads/f77funcs.h -3 +3

Mon Nov 20 17:39:20 EST 2006  stevenj@fftw.org
  * add AC_SUBST to AX_OPENMP, thanks to Sebastien Maret for the suggestion

    M ./m4/ax_openmp.m4 -1 +2

Mon Oct 16 23:02:29 EDT 2006  stevenj@fftw.org
  * not gcc bug for MIPS (thanks to Jonathan Day)

    M ./doc/FAQ/fftw-faq.bfnn +4

Sat Sep 23 17:52:36 EDT 2006  stevenj@fftw.org
  * in maintainer/debug mode, don't modify CFLAGS if they were explicitly set (-pedantic seems to cause problems with LAM's mpicc, so I need a way to override)

    M ./configure.ac +2

Wed Nov 22 18:14:47 EST 2006  athena@fftw.org
  * Removed obsolete comment.

    M ./dft/dftw-generic.c -1

Sun Nov 19 11:21:44 EST 2006  athena@fftw.org
  * Use p->v when comparing TW_FULL fields.

    M ./kernel/twiddle.c -2 +1

Thu Nov 16 14:49:05 EST 2006  athena@fftw.org
  * removed useless definition

    M ./simd/simd.h -1

Mon Nov 13 09:18:32 EST 2006  athena@fftw.org
  * paranoid avoidance of integer overflows

    M ./libbench2/timer.c -3 +3

Mon Nov 13 09:00:11 EST 2006  athena@fftw.org
  * avoid potential overflows in cycle counters
  At the suggestion of Alex Cichowski, convert all ticks
  to double before operating on them, to avoid potential
  signed/unsigned confusion and integer overflow.

    M ./kernel/cycle.h -5 +8

Sun Nov  5 09:00:52 EST 2006  Matteo Frigo <athena@fftw.org>
  * Removed unused struct field

    M ./threads/threads.c -1

Sat Nov  4 09:43:13 EST 2006  Matteo Frigo <athena@fftw.org>
  * use pthread condition variables instead of semaphores
  Condition variables are more likely to be portable everywhere, and
  somehow they appear to introduce less overhead at least on my
  linux box.

    M ./threads/threads.c -6 +19

Tue Oct 31 20:45:24 EST 2006  Matteo Frigo <athena@fftw.org>
  * Imprecise help message.

    M ./libbench2/my-getopt.c -1 +1

Mon Oct 30 20:13:35 EST 2006  athena@fftw.org
  * Experimental implementation of spinlocks.
  This patch implements spinlocks via a semi-portable hack, and adds
  the -ospinlocks option to the bench program so that we can play with them.

    M ./tests/fftw-bench.c +8
    M ./threads/threads.c -28 +104

Thu Oct 26 22:29:18 EDT 2006  athena@fftw.org
  * Updated manual for new openmp configure options.

    M ./doc/fftw3.texi -20 +17

Thu Oct 26 21:52:39 EDT 2006  athena@fftw.org
  * Added back openmp.
  Rationalized threads naming conventions:
  
    * threads explicitly managed by us are enabled by --enable-threads,
      predicated on HAVE_THREADS, etc.
    * openmp is enabled by --enable-openmp, predicated on HAVE_OPENMP, etc.
    * SMP denotes either THREADS or OPENMP.

    M ./Makefile.am -1 +1
    M ./configure.ac -10 +27
    M ./kernel/alloc.c -1 +1
    M ./kernel/ifftw.h -1 +1
    M ./mpi/Makefile.am -1 +1
    M ./tests/Makefile.am -5 +5
    M ./tests/fftw-bench.c -3 +7
    M ./threads/Makefile.am -2 +2
    M ./threads/api.c -1 +16
    M ./threads/conf.c -2 +2
    A ./threads/openmp.c
    M ./threads/threads.c -13 +19
    M ./threads/threads.h -2 +2
    M ./tools/Makefile.am -1 +1
    M ./tools/fftw-wisdom.c -5 +9

Mon Oct 23 20:14:31 EDT 2006  athena@fftw.org
  * different thread protocols

    M ./threads/threads.c -80 +71

Sun Oct 22 14:49:32 EDT 2006  athena@fftw.org
  * fix memory leak
  Added pthread_attr_destroy to avoid memory leak.

    M ./threads/threads.c +1

Sun Oct 22 14:23:30 EDT 2006  athena@fftw.org
  * Experimental new pthread implementation that recycles threads.

    M ./threads/threads.c -528 +155

Tue Oct 24 23:28:10 EDT 2006  athena@fftw.org
  * switched buddies
  Switched order of buddies in rdft2 rank-geq2 for consistency
  with analogous dft and rdft solvers.  Furthermore, this change reduces
  the MEASURE planning time for rank == 3.

    M ./rdft/rank-geq2-rdft2.c -4 +1

Sat Oct 21 10:10:00 EDT 2006  Matteo Frigo <athena@fftw.org>
  * Typo.

    M ./tools/fftw_wisdom.1.in -1 +1

Sat Oct 21 09:56:50 EDT 2006  Matteo Frigo <athena@fftw.org>
  * Out of place is the default.  Thanks to Kirk Kern for pointing this out.

    M ./tests/README -2 +2

Fri Sep 29 01:36:11 EDT 2006  stevenj@fftw.org
  * rename "test" to "tst", since a user (Igor Levicki) reports that "test" is a reserved words in some x86 assemblers

    M ./simd/x86-cpuid.h -10 +10

Tue Sep 26 09:01:08 EDT 2006  Matteo Frigo <athena@fftw.org>
  * Stylistic change.

    M ./kernel/timer.c -2 +1

Tue Sep 26 08:45:37 EDT 2006  athena@fftw.org
  * Do not set tmin=1e10, since a large FFT may take longer than that.

    M ./kernel/timer.c -5 +4

Sat Sep 23 22:07:10 EDT 2006  athena@fftw.org
  * Disable certain gcc optimizations.
  When PRECOMPUTE_ARRAY_INDICES is #define'd, array indices have the
  form array[stride[k]] for compile-time constant k.  Apparently new
  gcc's copy stride[k] onto the stack before the codelet loop, which is
  an idiotic optimization if ever there was one.  This patch confuses
  gcc enough to prevent this optimization.

    M ./kernel/ifftw.h -3 +6
    M ./kernel/stride.c -1 +1

Sat Sep 23 13:02:58 EDT 2006  stevenj@fftw.org
  * re-enable TOMS algorithm - it is the best for large vector lengths, since for such sizes the cache line is not an issue and the bookkeeping overhead is negligible

    M ./rdft/vrank3-transpose.c -18 +15

Thu Sep 21 15:40:15 EDT 2006  stevenj@fftw.org
  * add measure_hook so that MPI can synchronize timing measurements (otherwise different processors might end up with different MPI plans, yikes!)

    M ./kernel/ifftw.h +2
    M ./kernel/planner.c +5
    M ./mpi/api.c -2 +26

Tue Sep 19 21:26:19 EDT 2006  stevenj@fftw.org
  * added O(p log p) transpose algorithm (radix 2)

    M ./mpi/Makefile.am -1 +1
    M ./mpi/conf.c +1
    M ./mpi/mpi-transpose.h +1
    A ./mpi/transpose-radix2.c

Tue Sep 19 21:05:09 EDT 2006  stevenj@fftw.org
  * comments

    M ./mpi/testsched.c -8 +10

Tue Sep 19 19:54:58 EDT 2006  stevenj@fftw.org
  * whoops

     ./mpi/any_true.c -> ./mpi/any-true.c
    M ./mpi/Makefile.am -1 +1

Tue Sep 19 19:49:01 EDT 2006  stevenj@fftw.org
  * synchronize planning so that if one process fails to create a plan then all of them do.

    M ./mpi/Makefile.am -1 +1
    A ./mpi/any_true.c
    M ./mpi/dft-rank-geq2.c -4 +4
    M ./mpi/dft-serial.c -1 +1
    M ./mpi/ifftw-mpi.h +3
    M ./mpi/transpose-alltoall.c -5 +5
    M ./mpi/transpose-inplace.c -5 +5

Tue Sep 19 18:17:38 EDT 2006  stevenj@fftw.org
  * call MPI_Alltoall instead of MPI_Alltoallv for equal-blocks case, in case MPI implementation has special optimizations for the common case of equal sizes

    M ./mpi/transpose-alltoall.c -6 +19

Tue Sep 19 12:07:35 EDT 2006  stevenj@fftw.org
  * whoops

    M ./tools/Makefile.am -1 +1

Tue Sep 19 02:20:06 EDT 2006  stevenj@fftw.org
  * typo in comment

    M ./mpi/testsched.c -3 +3

Tue Sep 19 01:58:55 EDT 2006  stevenj@fftw.org
  * more filename simplifications

     ./mpi/mpi-dft-rank-geq2.c -> ./mpi/dft-rank-geq2.c
     ./mpi/mpi-dft-serial.c -> ./mpi/dft-serial.c
     ./mpi/mpi-transpose-alltoall.c -> ./mpi/transpose-alltoall.c
     ./mpi/mpi-transpose-inplace.c -> ./mpi/transpose-inplace.c
     ./mpi/problem.c -> ./mpi/dft-problem.c
     ./mpi/solve.c -> ./mpi/dft-solve.c
     ./mpi/tproblem.c -> ./mpi/transpose-problem.c
     ./mpi/tsolve.c -> ./mpi/transpose-solve.c
    M ./mpi/Makefile.am -3 +3

Tue Sep 19 01:49:52 EDT 2006  stevenj@fftw.org
  * canonicalize file names (hyphens, not underscores)

     ./mpi/fftw3_mpi.h -> ./mpi/fftw3-mpi.h
     ./mpi/ifftw_mpi.h -> ./mpi/ifftw-mpi.h
     ./mpi/mpi_bench.c -> ./mpi/mpi-bench.c
     ./mpi/mpi_dft.h -> ./mpi/mpi-dft.h
     ./mpi/mpi_transpose.h -> ./mpi/mpi-transpose.h
     ./mpi/mpi_transpose_alltoall.c -> ./mpi/mpi-transpose-alltoall.c
     ./mpi/mpi_transpose_inplace.c -> ./mpi/mpi-transpose-inplace.c
     ./tests/fftw_bench.h -> ./tests/fftw-bench.h
     ./tests/fftw_bench_common.c -> ./tests/fftw-bench.c
    M ./mpi/Makefile.am -5 +5
    M ./mpi/api.c -4 +4
    M ./mpi/block.c -1 +1
    M ./mpi/conf.c -2 +2
    M ./mpi/mpi-bench.c -2 +2
    M ./mpi/mpi-dft-rank-geq2.c -2 +2
    M ./mpi/mpi-dft-serial.c -1 +1
    M ./mpi/mpi-dft.h -1 +1
    M ./mpi/mpi-transpose-alltoall.c -1 +1
    M ./mpi/mpi-transpose-inplace.c -1 +1
    M ./mpi/mpi-transpose.h -1 +1
    M ./mpi/problem.c -1 +1
    M ./mpi/solve.c -1 +1
    M ./mpi/tproblem.c -1 +1
    M ./mpi/tsolve.c -1 +1
    M ./tests/Makefile.am -1 +1
    M ./tests/bench.c -2 +2
    M ./tests/fftw-bench.c -1 +1

Tue Sep 19 01:34:07 EDT 2006  stevenj@fftw.org
  * add mpi-dft-serial

    M ./mpi/Makefile.am -1 +1
    M ./mpi/conf.c +1
    M ./mpi/mpi-dft-rank-geq2.c -3 +9
    A ./mpi/mpi-dft-serial.c
    M ./mpi/mpi_dft.h +1
    M ./mpi/mpi_transpose_alltoall.c -1 +1
    M ./mpi/mpi_transpose_inplace.c -1 +1

Tue Sep 19 01:21:47 EDT 2006  stevenj@fftw.org
  * silence warnings

    M ./dft/indirect-transpose.c -1
    M ./libbench2/problem.c -2

Tue Sep 19 00:31:59 EDT 2006  stevenj@fftw.org
  * make "t" problem semantics match FFTW_MPI_TRANSPOSED

    M ./libbench2/problem.c -4 +3
    M ./mpi/mpi_bench.c -8 +18

Mon Sep 18 23:50:43 EDT 2006  stevenj@fftw.org
  * whoops, fixed backwards mpi_dft

    M ./mpi/mpi-dft-rank-geq2.c -7 +7

Mon Sep 18 22:26:31 EDT 2006  stevenj@fftw.org
  * initial stab at rank-geq2 mpi-dft; seems to be mostly working

    M ./libbench2/bench-user.h -1 +1
    M ./mpi/Makefile.am -1 +4
    M ./mpi/api.c -26 +180
    M ./mpi/conf.c +2
    M ./mpi/fftw3_mpi.h -11 +51
    M ./mpi/ifftw_mpi.h -4 +1
    A ./mpi/mpi-dft-rank-geq2.c
    M ./mpi/mpi_bench.c -55 +166
    M ./mpi/mpi_dft.h -2 +2
    M ./mpi/mpi_transpose.h -6 +1
    M ./mpi/mpi_transpose_alltoall.c -7 +10
    M ./mpi/mpi_transpose_inplace.c -7 +8
    M ./mpi/problem.c -2 +7
    A ./mpi/solve.c
    M ./mpi/tproblem.c -2 +2

Sun Sep 17 13:41:32 EDT 2006  stevenj@fftw.org
  * support SCRAMBLED_OUT in alltoall transpose

    M ./kernel/ifftw.h +4
    M ./kernel/tensor2.c +20
    M ./mpi/ifftw_mpi.h -1 +16
    M ./mpi/mpi_dft.h -1 +1
    M ./mpi/mpi_transpose_alltoall.c -23 +48
    M ./mpi/mpi_transpose_inplace.c -23 +2
    M ./mpi/problem.c -2 +3

Sun Sep 17 12:34:30 EDT 2006  stevenj@fftw.org
  * skeleton of future support for block-cyclic

    M ./mpi/block.c -7 +27
    M ./mpi/ifftw_mpi.h +1
    M ./mpi/mpi_transpose_alltoall.c +2
    M ./mpi/mpi_transpose_inplace.c -2 +5

Sun Sep 17 12:11:19 EDT 2006  stevenj@fftw.org
  * test program now checks scrambled in/out via -obflag=28/29

    M ./mpi/api.c -1 +1
    M ./mpi/fftw3_mpi.h -1 +1
    M ./mpi/mpi_bench.c -13 +59
    M ./mpi/problem.c -1

Sun Sep 17 11:58:36 EDT 2006  stevenj@fftw.org
  * added -obflag to make it easier to set high-order bits

    M ./tests/fftw_bench_common.c +1

Sun Sep 17 01:30:51 EDT 2006  stevenj@fftw.org
  * use proper child plans for 2nd transpose in transpose_alltoall; implement opcount in transpose_inplace

    M ./mpi/mpi_transpose_alltoall.c -47 +47
    M ./mpi/mpi_transpose_inplace.c -1 +10

Sun Sep 17 01:08:01 EDT 2006  stevenj@fftw.org
  * fix in test program for transposes of vectors -- transpose routines seem to completely work now (except for scrambled in/out, which is untested)

    M ./mpi/mpi_bench.c -1 +1

Sun Sep 17 01:01:16 EDT 2006  stevenj@fftw.org
  * fixed bug in transpose_alltoall for unequal blocks

    M ./mpi/mpi_transpose_alltoall.c -2 +2
    M ./mpi/mpi_transpose_inplace.c -2 +2

Sat Sep 16 15:29:46 EDT 2006  stevenj@fftw.org
  * correctly handle cld2rest

    M ./mpi/mpi_transpose_inplace.c -24 +28

Sat Sep 16 15:29:31 EDT 2006  stevenj@fftw.org
  * some debugging code and other fixes

    M ./mpi/mpi_bench.c -13 +34

Sat Sep 16 14:54:30 EDT 2006  stevenj@fftw.org
  * whoops, forgot to check in mpi_bench.c file

    A ./mpi/mpi_bench.c

Sat Sep 16 14:54:02 EDT 2006  stevenj@fftw.org
  * added bench_exit routine so that it can be overridden (by MPI_Abort) if needed

    M ./libbench2/Makefile.am -5 +5
    A ./libbench2/bench-exit.c
    M ./libbench2/bench-user.h +1
    M ./libbench2/util.c -1 +1
    M ./libbench2/verify-lib.c -1 +1
    M ./libbench2/verify-r2r.c -1 +1

Sat Sep 16 14:52:56 EDT 2006  stevenj@fftw.org
  * bug fix in mpi_transpose_inplace for case where some processors are idle

    M ./mpi/mpi_transpose_inplace.c -3 +4

Fri Sep 15 18:47:13 EDT 2006  stevenj@fftw.org
  * allow vecloop for sz->rnk==0 in exceptional (SLOW) cases, e.g. it is necessary for loops of non-square transposes (otherwise e.g. ik1v5:200:200x10:20:1x20:1:10 planning fails)

    M ./rdft/vrank-geq1.c -2 +6

Thu Sep 14 23:36:48 EDT 2006  stevenj@fftw.org
  * first pass at working mpi_bench test program; transpose seems to work iff dimensions are divisible by #processors

    M ./libbench2/Makefile.am -1 +3
    A ./libbench2/after-ccopy-from.c
    A ./libbench2/after-ccopy-to.c
    A ./libbench2/after-hccopy-from.c
    A ./libbench2/after-hccopy-to.c
    A ./libbench2/after-rcopy-from.c
    A ./libbench2/after-rcopy-to.c
    M ./libbench2/bench-main.c -4 +6
    M ./libbench2/bench-user.h +10
    M ./libbench2/verify-dft.c +2
    M ./libbench2/verify-r2r.c +4
    M ./libbench2/verify-rdft2.c +4
    M ./mpi/api.c -2 +6

Wed Sep 13 17:28:07 EDT 2006  stevenj@fftw.org
  * whoops

    M ./mpi/mpi_transpose_inplace.c -2 +2

Tue Sep 12 22:27:03 EDT 2006  stevenj@fftw.org
  * initial stub for mpi_bench

    M ./Makefile.am -2 +2
    M ./libbench2/bench-main.c +3
    M ./libbench2/bench-user.h +1
    M ./libbench2/verify-lib.c -1 +1
    M ./mpi/Makefile.am -1 +14
    M ./tests/bench.c +9
    M ./tests/fftw_bench.h +1
    M ./tests/fftw_bench_common.c +2

Tue Sep 12 21:54:31 EDT 2006  stevenj@fftw.org
  * do no output at all if verbose < 0 (for use with MPI, where we only want output from process 0)

    M ./libbench2/bench-main.c -1 +1
    M ./libbench2/bench.h +1
    M ./libbench2/ovtpvt.c -1 +15
    M ./libbench2/useropt.c -1 +1
    M ./libbench2/util.c -2 +1
    M ./libbench2/verify-lib.c -5 +4
    M ./libbench2/verify-r2r.c -4 +4

Tue Sep 12 21:39:15 EDT 2006  stevenj@fftw.org
  * whoops

    M ./tests/fftw_bench_common.c +3

Tue Sep 12 21:31:40 EDT 2006  stevenj@fftw.org
  * split bench.c into bench.c and fftw_bench_common.c so that we can re-use some of the code in the MPI test program

    M ./tests/Makefile.am -1 +1
    M ./tests/bench.c -210 +6
    A ./tests/fftw_bench.h
    A ./tests/fftw_bench_common.c
    M ./tools/Makefile.am -1 +2

Tue Sep 12 21:00:36 EDT 2006  stevenj@fftw.org
  * MPI stuff at least compiles now

    M ./configure.ac -9 +11
    M ./kernel/ifftw.h +7
    M ./mpi/api.c -3 +4
    M ./mpi/fftw3_mpi.h +1
    M ./mpi/mpi_transpose_alltoall.c -10 +12
    M ./mpi/mpi_transpose_inplace.c -11 +14
    M ./mpi/problem.c -5 +4
    M ./mpi/tproblem.c -4 +3

Mon Sep 11 22:26:36 EDT 2006  stevenj@fftw.org
  * initial (nonfunctional) start at MPI support (similar to FFTW 2.x in spirit, but mostly rewritten)

    M ./Makefile.am -1 +1
    M ./configure.ac +11
    A ./m4/acx_mpi.m4
    A ./mpi/
    A ./mpi/Makefile.am
    A ./mpi/api.c
    A ./mpi/block.c
    A ./mpi/conf.c
    A ./mpi/fftw3_mpi.h
    A ./mpi/ifftw_mpi.h
    A ./mpi/mpi_dft.h
    A ./mpi/mpi_transpose.h
    A ./mpi/mpi_transpose_alltoall.c
    A ./mpi/mpi_transpose_inplace.c
    A ./mpi/problem.c
    A ./mpi/testsched.c
    A ./mpi/tproblem.c
    A ./mpi/tsolve.c

Mon Sep 11 22:25:38 EDT 2006  stevenj@fftw.org
  * make X(plan_awake) work for NULL argument to reduce code size

    M ./kernel/plan.c -3 +5
    M ./rdft/vrank3-transpose.c -3 +3

Fri Sep 15 23:47:08 EDT 2006  stevenj@fftw.org
  * -mt should go before -mthreads to avoid spurious warnings on HPUX (thanks to Peter O'Gorman for the bug report)

    M ./m4/acx_pthread.m4 -2 +3

Mon Sep 11 13:53:44 EDT 2006  stevenj@fftw.org
  * Fortran init_threads wrapper didn't return result; thanks to Markus Wetzstein for the bug report

    M ./threads/f77funcs.h -2 +2

Thu Sep  7 18:43:55 EDT 2006  stevenj@fftw.org
  * make sure wrappers are included even if Fortran compiler was not detected (unless --disable-fortran was specified explicitly) ... this was supposed to be done before, but the definition was in the wrong place, grr

    M ./api/f77api.c -21 +21

Thu Aug 31 19:33:29 EDT 2006  stevenj@fftw.org
  * I'm sick of answering this question about non-deterministic results

    M ./doc/FAQ/fftw-faq.bfnn +13

Tue Aug 22 21:27:29 EDT 2006  Matteo Frigo <athena@fftw.org>
  * Add --tag=CC flag to libtool.
  
  This change is consistent with the libtool invocation in the latest
  automake, and is required to compile with (some version of) xlc.
  
  

    M ./support/Makefile.codelets -2 +3

Mon Aug 21 21:40:36 EDT 2006  athena@fftw.org
  * avoid ``fma'' because it is defined in c99.

    M ./tests/bench.c -3 +3

Sun Aug 20 11:40:53 EDT 2006  Matteo Frigo <athena@fftw.org>
  * Obey -standalone flag.

    M ./genfft/gen_twiddle.ml -2 +4

Sat Aug 19 13:34:27 EDT 2006  Matteo Frigo <athena@fftw.org>
  * obey -standalone when generating simd codelets

    M ./genfft/gen_notw_c.ml -2 +1
    M ./genfft/gen_twiddle_c.ml -2 +3

Sat Aug 19 13:33:43 EDT 2006  Matteo Frigo <athena@fftw.org>
  * removed obsolete athfft

    M ./genfft/Makefile.am -10 +9
    R ./genfft/gen_athnotw.ml
    R ./genfft/gen_athtw.ml

Thu Aug 17 21:50:50 EDT 2006  stevenj@fftw.org
  * updated citation to Proc. IEEE paper

    M ./doc/fftw3.texi -8 +5

Thu Aug 17 21:47:05 EDT 2006  stevenj@fftw.org
  * use darcs changes --summary to make nice changelog; emacs fill-region hack is obsolete

    M ./mkdist.sh -3 +1

Mon Aug 14 17:53:19 EDT 2006  athena@fftw.org
  * removed timer calibration
  Timer calibration seems not to work any longer on recent processors---
  too much noise.  I have remove it completely.

    M ./libbench2/Makefile.am -1 +1
    M ./libbench2/bench.h -2
    M ./libbench2/timer.c -70 +3
    R ./libbench2/timer2.c

Mon Aug 14 10:47:15 EDT 2006  Matteo Frigo <athena@fftw.org>
  * removed k7
  Removed obsolete k7 support.

    M ./Makefile.am -10 +2
    M ./NEWS +3
    M ./TODO -5
    M ./api/version.c -3
    M ./bootstrap.sh -2
    M ./commercialize.sh -8 +1
    M ./configure.ac -13
    M ./dft/Makefile.am -1 +1
    M ./dft/codelet-dft.h -4
    M ./dft/conf.c -3
    R ./dft/k7/
    R ./dft/k7/Makefile.am
    R ./dft/k7/codelets/
    R ./dft/k7/codelets/Makefile.am
    R ./dft/k7/k7.c
    M ./doc/fftw3.texi -31 +22
    R ./genfft-k7/
    R ./genfft-k7/Makefile.am
    R ./genfft-k7/algsimp.ml
    R ./genfft-k7/algsimp.mli
    R ./genfft-k7/assignmentsToVfpinstrs.ml
    R ./genfft-k7/assignmentsToVfpinstrs.mli
    R ./genfft-k7/assoctable.ml
    R ./genfft-k7/assoctable.mli
    R ./genfft-k7/balanceVfpinstrs.ml
    R ./genfft-k7/balanceVfpinstrs.mli
    R ./genfft-k7/complex.ml
    R ./genfft-k7/complex.mli
    R ./genfft-k7/expr.ml
    R ./genfft-k7/expr.mli
    R ./genfft-k7/fft.ml
    R ./genfft-k7/fft.mli
    R ./genfft-k7/genUtil.ml
    R ./genfft-k7/gen_notw.ml
    R ./genfft-k7/gen_twiddle.ml
    R ./genfft-k7/id.ml
    R ./genfft-k7/id.mli
    R ./genfft-k7/k7Basics.ml
    R ./genfft-k7/k7Basics.mli
    R ./genfft-k7/k7ExecutionModel.ml
    R ./genfft-k7/k7ExecutionModel.mli
    R ./genfft-k7/k7FlatInstructionScheduling.ml
    R ./genfft-k7/k7FlatInstructionScheduling.mli
    R ./genfft-k7/k7InstructionSchedulingBasics.ml
    R ./genfft-k7/k7InstructionSchedulingBasics.mli
    R ./genfft-k7/k7RegisterAllocationBasics.ml
    R ./genfft-k7/k7RegisterAllocationBasics.mli
    R ./genfft-k7/k7RegisterAllocator.ml
    R ./genfft-k7/k7RegisterAllocator.mli
    R ./genfft-k7/k7RegisterAllocatorEATranslation.ml
    R ./genfft-k7/k7RegisterAllocatorEATranslation.mli
    R ./genfft-k7/k7RegisterAllocatorInit.ml
    R ./genfft-k7/k7RegisterAllocatorInit.mli
    R ./genfft-k7/k7RegisterReallocation.ml
    R ./genfft-k7/k7RegisterReallocation.mli
    R ./genfft-k7/k7Translate.ml
    R ./genfft-k7/k7Translate.mli
    R ./genfft-k7/k7Unparsing.ml
    R ./genfft-k7/k7Unparsing.mli
    R ./genfft-k7/k7Vectorization.ml
    R ./genfft-k7/k7Vectorization.mli
    R ./genfft-k7/littlesimp.ml
    R ./genfft-k7/littlesimp.mli
    R ./genfft-k7/magic.ml
    R ./genfft-k7/memoMonad.ml
    R ./genfft-k7/memoMonad.mli
    R ./genfft-k7/monads.ml
    R ./genfft-k7/nonDetMonad.ml
    R ./genfft-k7/nonDetMonad.mli
    R ./genfft-k7/nullVectorization.ml
    R ./genfft-k7/nullVectorization.mli
    R ./genfft-k7/number.ml
    R ./genfft-k7/number.mli
    R ./genfft-k7/oracle.ml
    R ./genfft-k7/oracle.mli
    R ./genfft-k7/stateMonad.ml
    R ./genfft-k7/stateMonad.mli
    R ./genfft-k7/to_alist.ml
    R ./genfft-k7/to_alist.mli
    R ./genfft-k7/twiddle.ml
    R ./genfft-k7/twiddle.mli
    R ./genfft-k7/util.ml
    R ./genfft-k7/util.mli
    R ./genfft-k7/vAnnotatedScheduler.ml
    R ./genfft-k7/vAnnotatedScheduler.mli
    R ./genfft-k7/vDag.ml
    R ./genfft-k7/vDag.mli
    R ./genfft-k7/vFpBasics.ml
    R ./genfft-k7/vFpBasics.mli
    R ./genfft-k7/vFpUnparsing.ml
    R ./genfft-k7/vFpUnparsing.mli
    R ./genfft-k7/vImproveSchedule.ml
    R ./genfft-k7/vImproveSchedule.mli
    R ./genfft-k7/vK7Optimization.ml
    R ./genfft-k7/vK7Optimization.mli
    R ./genfft-k7/vScheduler.ml
    R ./genfft-k7/vScheduler.mli
    R ./genfft-k7/vSimdBasics.ml
    R ./genfft-k7/vSimdBasics.mli
    R ./genfft-k7/vSimdIndexing.ml
    R ./genfft-k7/vSimdIndexing.mli
    R ./genfft-k7/vSimdUnparsing.ml
    R ./genfft-k7/vSimdUnparsing.mli
    R ./genfft-k7/variable.ml
    R ./genfft-k7/variable.mli
    M ./kernel/align.c -2
    M ./kernel/ifftw.h -5 +1
    M ./mkdist.sh -1 +1
    M ./support/Makefile.am -1 +1
    M ./support/Makefile.codelets -6 +1
    R ./support/codelet_asmprelude

Sun Aug 13 11:02:11 EDT 2006  athena@fftw.org
  * Use darcs instead of cvs.

    M ./mkdist.sh -5 +2

Wed Jul 19 08:52:15 EDT 2006  athena
  * [project @ 2006-07-19 12:52:15 by athena]
  Treat a the string "-" as a nonoption.

    M ./libbench2/my-getopt.c -1 +4

Tue Jul  4 17:10:47 EDT 2006  stevenj
  * [project @ 2006-07-04 21:10:47 by stevenj]
  comment out pkginclude dir for now

    M ./Makefile.am -2 +2
    M ./api/Makefile.am -2 +2
    M ./dft/Makefile.am -2 +2
    M ./kernel/Makefile.am -2 +2
    M ./rdft/Makefile.am -2 +2
    M ./reodft/Makefile.am -2 +2
    M ./threads/Makefile.am -2 +2

Mon Jul  3 20:51:08 EDT 2006  stevenj
  * [project @ 2006-07-04 00:51:08 by stevenj]
  make sure CCAS = CC to avoid libtool confusion

    M ./configure.ac -1 +1

Fri Jun 23 04:07:31 EDT 2006  stevenj
  * [project @ 2006-06-23 08:07:31 by stevenj]
  install x77.h guru.h guru64.h in pkgincludedir

    M ./api/Makefile.am -1 +1

Fri Jun 23 04:03:42 EDT 2006  stevenj
  * [project @ 2006-06-23 08:03:42 by stevenj]
  whitespace

    M ./configure.ac -3

Fri Jun 23 02:33:45 EDT 2006  stevenj
  * [project @ 2006-06-23 06:33:45 by stevenj]
  support cycle counter with xlc on Linux/ppc

    M ./kernel/cycle.h -2 +2

Tue Jun 20 08:16:08 EDT 2006  athena
  * [project @ 2006-06-20 12:16:08 by athena]
  Stylistic change.

    M ./tools/fftw-wisdom.c -1 +1

Tue Jun 20 02:20:34 EDT 2006  stevenj
  * [project @ 2006-06-20 06:20:34 by stevenj]
  bump date

    M ./m4/ax_cc_maxopt.m4 -1 +1

Tue Jun 20 02:20:06 EDT 2006  stevenj
  * [project @ 2006-06-20 06:20:06 by stevenj]
  correct bug reported by Andrew Salamon ... --enable-portable-binary was
  ignored (or rather, treated unpredictably) due to typo, grrr

    M ./m4/ax_cc_maxopt.m4 -1 +1

Thu Jun  1 20:30:06 EDT 2006  stevenj
  * [project @ 2006-06-02 00:30:06 by stevenj]
  install 'internal' header files into includedir/fftw3/, includedir/fftw3f/, etcetera....this will make it easier to write external libraries that plug into FFTW internals, e.g. to add new solvers

    M ./Makefile.am +3
    M ./api/Makefile.am +3
    M ./dft/Makefile.am +3
    M ./kernel/Makefile.am +3
    M ./rdft/Makefile.am +3
    M ./reodft/Makefile.am +3
    M ./threads/Makefile.am +3

Mon May 29 23:59:19 EDT 2006  stevenj
  * [project @ 2006-05-30 03:59:19 by stevenj]
  bug fix, thanks to James Donald for the bug report (only affects experimental semaphore stuff)

    M ./threads/threads.c +1

Mon May 29 23:58:16 EDT 2006  stevenj
  * [project @ 2006-05-30 03:58:16 by stevenj]
  comment

    M ./NEWS -3 +4

Mon May 29 21:02:50 EDT 2006  stevenj
  * [project @ 2006-05-30 01:02:50 by stevenj]
  whoops

    M ./m4/acx_pthread.m4 -1 +3

Sat May 27 19:36:15 EDT 2006  stevenj
  * [project @ 2006-05-27 23:36:15 by stevenj]
  version bump

    M ./m4/acx_pthread.m4 -1 +1

Sat May 27 14:54:47 EDT 2006  stevenj
  * [project @ 2006-05-27 18:54:47 by stevenj]
  only check for xlc_r/cc_r if we are not using gcc

    M ./m4/acx_pthread.m4 -2 +3

Fri May 26 15:00:38 EDT 2006  stevenj
  * [project @ 2006-05-26 19:00:38 by stevenj]
  use ptrdiff_t (it's C89 and standard C++, hooray)

    M ./api/fftw3.h -10 +5

Fri May 26 12:59:33 EDT 2006  stevenj
  * [project @ 2006-05-26 16:59:33 by stevenj]
  version bump

    M ./configure.ac -2 +2

Fri May 26 12:57:32 EDT 2006  stevenj
  * [project @ 2006-05-26 16:57:32 by stevenj]
  noted 64-bit guru API

    M ./NEWS +7

Fri May 26 12:53:09 EDT 2006  stevenj
  * [project @ 2006-05-26 16:53:09 by stevenj]
  note that newer versions of VC++ support long long

    M ./api/fftw3.h -2 +3

Fri May 26 12:46:09 EDT 2006  stevenj
  * [project @ 2006-05-26 16:46:09 by stevenj]
  try harder to get a portable 64-bit type

    M ./api/fftw3.h -2 +6

Thu May 25 22:04:18 EDT 2006  stevenj
  * [project @ 2006-05-26 02:04:18 by stevenj]
  added draft guru64 API

    M ./api/Makefile.am -1 +7
    M ./api/api.h +3
    M ./api/fftw3.h -2 +56
    A ./api/guru.h
    A ./api/guru64.h
    M ./api/mktensor-iodims.c -62 +2
    A ./api/mktensor-iodims.h
    A ./api/mktensor-iodims64.c
    M ./api/plan-guru-dft-c2r.c -44 +2
    A ./api/plan-guru-dft-c2r.h
    M ./api/plan-guru-dft-r2c.c -43 +2
    A ./api/plan-guru-dft-r2c.h
    M ./api/plan-guru-dft.c -44 +2
    A ./api/plan-guru-dft.h
    M ./api/plan-guru-r2r.c -47 +2
    A ./api/plan-guru-r2r.h
    M ./api/plan-guru-split-dft-c2r.c -40 +2
    A ./api/plan-guru-split-dft-c2r.h
    M ./api/plan-guru-split-dft-r2c.c -39 +2
    A ./api/plan-guru-split-dft-r2c.h
    M ./api/plan-guru-split-dft.c -39 +2
    A ./api/plan-guru-split-dft.h
    A ./api/plan-guru64-dft-c2r.c
    A ./api/plan-guru64-dft-r2c.c
    A ./api/plan-guru64-dft.c
    A ./api/plan-guru64-r2r.c
    A ./api/plan-guru64-split-dft-c2r.c
    A ./api/plan-guru64-split-dft-r2c.c
    A ./api/plan-guru64-split-dft.c

Mon May 22 16:41:44 EDT 2006  stevenj
  * [project @ 2006-05-22 20:41:44 by stevenj]
  added FIXME note

    M ./m4/acx_pthread.m4 +1

Mon May 22 16:40:30 EDT 2006  stevenj
  * [project @ 2006-05-22 20:40:30 by stevenj]
  check for xlc_r in addition to cc_r; thanks to Guy Moebs for the bug report

    M ./m4/acx_pthread.m4 -3 +3

Fri Apr 21 12:35:25 EDT 2006  stevenj
  * [project @ 2006-04-21 16:35:25 by stevenj]
  added note about gcc 4.0.1 on MacOS/Intel

    M ./doc/FAQ/fftw-faq.bfnn -1 +4

Thu Apr 20 23:08:42 EDT 2006  stevenj
  * [project @ 2006-04-21 03:08:42 by stevenj]
  added code for Core Duo; thanks to Eric Branlund

    M ./m4/ax_gcc_archflag.m4 -2 +3

Thu Apr 20 20:21:03 EDT 2006  stevenj
  * [project @ 2006-04-21 00:21:03 by stevenj]
  fixed failure for -fPIC or for gcc-4 on Apple Intel machines; thanks to
  Eric Branlund for the bug report

    M ./m4/ax_gcc_x86_cpuid.m4 -4 +12

Tue Apr 11 20:00:31 EDT 2006  athena
  * [project @ 2006-04-12 00:00:31 by athena]
  Use -maltivec when checking for altivec.h.

    M ./configure.ac -1 +15

Mon Apr  3 15:52:44 EDT 2006  stevenj
  * [project @ 2006-04-03 19:52:44 by stevenj]
  note planner overwriting input in planner-flags reference

    M ./doc/fftw3.texi -1 +6

Tue Mar 28 09:05:26 EST 2006  athena
  * [project @ 2006-03-28 14:05:26 by athena]
  FAQ entry about --enable-k7 in 64-bit mode.

    M ./doc/FAQ/fftw-faq.bfnn +11

Mon Mar 27 23:41:05 EST 2006  stevenj
  * [project @ 2006-03-28 04:41:05 by stevenj]
  sprintf -> snprintf, to avoid (harmless) complaints by users/compilers

    M ./configure.ac -1 +1
    M ./libbench2/report.c -12 +19
    M ./tools/fftw-wisdom.c +4

Mon Mar 27 23:30:22 EST 2006  stevenj
  * [project @ 2006-03-28 04:30:22 by stevenj]
  silence compiler warning

    M ./kernel/align.c -5 +6

Fri Mar 17 09:20:10 EST 2006  athena
  * [project @ 2006-03-17 14:20:10 by athena]
  Remove dft/codelets/inplace, add simd/nonportable to list of
  directories to be compiled on non-unix systems.

    M ./doc/fftw3.texi -13 +14

Sat Aug 12 23:52:49 EDT 2006  Unknown tagger
  tagged fftw-3-1-1


Sat Mar  4 16:17:56 EST 2006  stevenj
  * [project @ 2006-03-04 21:17:56 by stevenj]
  whoops

    M ./doc/fftw3.texi -2 +2

Sat Mar  4 16:13:08 EST 2006  stevenj
  * [project @ 2006-03-04 21:13:08 by stevenj]
  note that we align the stack ourselves if necessary, with gcc and icc

    M ./doc/fftw3.texi -8 +10

Sat Mar  4 16:08:16 EST 2006  stevenj
  * [project @ 2006-03-04 21:08:16 by stevenj]
  clearer distinction between static and automatic storage in C

    M ./doc/fftw3.texi -29 +30

Sat Feb 25 20:27:01 EST 2006  stevenj
  * [project @ 2006-02-26 01:27:01 by stevenj]
  rm unused var

    M ./libbench2/verify-lib.c -2 +1

Sat Feb 25 17:30:28 EST 2006  athena
  * [project @ 2006-02-25 22:30:28 by athena]
  Improved usage of goto (Dijkstra miserere nostri)

    M ./libbench2/my-getopt.c -18 +17

Sat Feb 25 14:19:15 EST 2006  stevenj
  * [project @ 2006-02-25 19:19:15 by stevenj]
  boilerplate

    M ./libbench2/my-getopt.h +13

Sat Feb 25 14:14:40 EST 2006  stevenj
  * [project @ 2006-02-25 19:14:40 by stevenj]
  update for upcoming 3.1.1

    M ./NEWS +17

Sat Feb 25 13:57:34 EST 2006  stevenj
  * [project @ 2006-02-25 18:57:34 by stevenj]
  replace obsolete IMPATIENT with MEASURE

    M ./tools/fftw-wisdom.c -1 +3
    M ./tools/fftw_wisdom.1.in -2 +2

Sat Feb 25 13:52:25 EST 2006  stevenj
  * [project @ 2006-02-25 18:52:25 by stevenj]
  corrected comment

    M ./tools/fftw-wisdom.c -1 +1

Sat Feb 25 10:19:26 EST 2006  athena
  * [project @ 2006-02-25 15:19:26 by athena]
  -v does not take an argument.

    M ./tools/fftw-wisdom.c -6 +3

Sat Feb 25 10:17:18 EST 2006  athena
  * [project @ 2006-02-25 15:17:18 by athena]
  Obey the unix convention that -ab = -a -b

    M ./libbench2/my-getopt.c -15 +24

Fri Feb 24 23:13:49 EST 2006  stevenj
  * [project @ 2006-02-25 04:13:49 by stevenj]
  minor fixes (return error on unrecognized option)

    M ./libbench2/bench-main.c -2 +3
    M ./libbench2/my-getopt.c +5
    M ./tools/fftw-wisdom.c -3 +4

Fri Feb 24 22:46:12 EST 2006  stevenj
  * [project @ 2006-02-25 03:46:12 by stevenj]
  ugh

    M ./tools/fftw-wisdom.c -34 +30

Fri Feb 24 21:42:56 EST 2006  athena
  * [project @ 2006-02-25 02:42:56 by athena]
  require exact match for long options.

    M ./libbench2/my-getopt.c -1 +2

Fri Feb 24 21:38:02 EST 2006  athena
  * [project @ 2006-02-25 02:38:02 by athena]
  better fix

    M ./libbench2/my-getopt.c -1 +2

Fri Feb 24 21:37:06 EST 2006  athena
  * [project @ 2006-02-25 02:37:06 by athena]
  Fix

    M ./libbench2/my-getopt.c -1 +1

Fri Feb 24 21:25:48 EST 2006  athena
  * [project @ 2006-02-25 02:25:48 by athena]
  nothing

    M ./libbench2/Makefile.am -5 +4
    M ./libbench2/bench-main.c -53 +48
    M ./libbench2/bench.h -5 +1
    R ./libbench2/getopt-utils.c
    R ./libbench2/getopt.c
    R ./libbench2/getopt.h
    R ./libbench2/getopt1.c
    A ./libbench2/my-getopt.c
    A ./libbench2/my-getopt.h

Mon Feb 20 17:37:21 EST 2006  stevenj
  * [project @ 2006-02-20 22:37:21 by stevenj]
  rm transpose-indirect-inplace solver, which was buggy

    M ./dft/indirect-transpose.c -54 +11

Wed Feb 15 08:43:05 EST 2006  athena
  * [project @ 2006-02-15 13:43:05 by athena]
  Comment fix.

    M ./kernel/cycle.h -2 +2

Wed Feb 15 08:18:41 EST 2006  athena
  * [project @ 2006-02-15 13:18:41 by athena]
  Cycle counter for Visual C++ x86-64, courtesy of Dirk Michaelis

    M ./kernel/cycle.h -4 +5

Tue Feb 14 19:17:30 EST 2006  stevenj
  * [project @ 2006-02-15 00:17:30 by stevenj]
  rfftwnd.png is in builddir

    M ./doc/Makefile.am -1 +1

Tue Feb 14 19:03:27 EST 2006  stevenj
  * [project @ 2006-02-15 00:03:27 by stevenj]
  fixed typo: --enable-portable-binary, not --with

    M ./doc/fftw3.texi -3 +3

Mon Feb 13 07:59:06 EST 2006  athena
  * [project @ 2006-02-13 12:59:06 by athena]
  estimator tweaks.

    M ./dft/dftw-direct.c -2 +3
    M ./rdft/hc2hc-direct.c -2 +2

Sun Feb 12 20:43:39 EST 2006  athena
  * [project @ 2006-02-13 01:43:39 by athena]
  sse/sse2 support for t3?v codelets

    M ./simd/simd-sse.h +22
    M ./simd/simd-sse2.h -8 +20

Sun Feb 12 20:39:22 EST 2006  athena
  * [project @ 2006-02-13 01:39:22 by athena]
  Use CEXP instead of SIN/COS.

    M ./simd/simd-altivec.h -1 +1

Sun Feb 12 20:12:10 EST 2006  athena
  * [project @ 2006-02-13 01:12:10 by athena]
  bug in randomized cse eliminator.

    M ./genfft/oracle.ml -3 +5

Sun Feb 12 18:34:12 EST 2006  athena
  * [project @ 2006-02-12 23:34:12 by athena]
  Added support for t2-style simd codelets.  This is altivec only for
  now; sse/sse2 don't even compile yet.

    M ./dft/simd/Makefile.am -2 +2
    M ./dft/simd/codelets/Makefile.am -2 +11
    A ./dft/simd/t3b.h
    A ./dft/simd/t3f.h
    M ./genfft/algsimp.ml -4 +26
    M ./genfft/annotate.ml -5 +3
    M ./genfft/c.ml -10 +9
    M ./genfft/c.mli -2 +2
    M ./genfft/complex.ml -93 +6
    M ./genfft/complex.mli -5 +3
    M ./genfft/expr.ml -6 +15
    M ./genfft/expr.mli -2 +4
    M ./genfft/gen_athtw.ml -3 +3
    M ./genfft/gen_conv.ml -5 +3
    M ./genfft/gen_hc2hc.ml -4 +3
    M ./genfft/gen_hc2r.ml -5 +3
    M ./genfft/gen_mdct.ml -7 +3
    M ./genfft/gen_notw.ml -5 +2
    M ./genfft/gen_notw_c.ml -5 +2
    M ./genfft/gen_r2hc.ml -4 +3
    M ./genfft/gen_r2r.ml -4 +3
    M ./genfft/gen_twiddle.ml -3 +3
    M ./genfft/gen_twiddle_c.ml -10 +4
    M ./genfft/gen_twidsq.ml -7 +3
    M ./genfft/gen_twidsq_c.ml -15 +5
    M ./genfft/magic.ml -4 +4
    M ./genfft/oracle.ml -1 +5
    M ./genfft/schedule.ml -3 +3
    M ./genfft/simd.ml -5 +11
    M ./genfft/to_alist.ml -4 +16
    M ./genfft/trig.ml -3 +2
    M ./genfft/twiddle.ml -265 +35
    M ./genfft/twiddle.mli -4 +4
    M ./simd/simd-altivec.h +28

Sun Feb 12 15:30:27 EST 2006  athena
  * [project @ 2006-02-12 20:30:27 by athena]
  Added support for t2-style simd split-complex codelets.

    M ./dft/simd/Makefile.am -2 +2
    M ./dft/simd/codelets/Makefile.am -2 +7
    R ./dft/simd/t1s.c
    R ./dft/simd/t1s.h
    A ./dft/simd/ts.c
    A ./dft/simd/ts.h
    M ./genfft/twiddle.ml -5 +3

Fri Feb 10 18:21:28 EST 2006  stevenj
  * [project @ 2006-02-10 23:21:28 by stevenj]

    M ./m4/ax_openmp.m4 -1 +1

Fri Feb 10 18:19:46 EST 2006  stevenj
  * [project @ 2006-02-10 23:19:46 by stevenj]
  punctuation

    M ./m4/ax_openmp.m4 -2 +2

Fri Feb 10 18:00:35 EST 2006  stevenj
  * [project @ 2006-02-10 23:00:35 by stevenj]
  windows DLL stuff for Fortran interface

    M ./api/f77api.c +7
    M ./api/f77funcs.h -43 +43

Fri Feb 10 09:48:52 EST 2006  athena
  * [project @ 2006-02-10 14:48:52 by athena]
  Bumped version to 3.1.1

    M ./configure.ac -2 +2

Fri Feb 10 09:18:39 EST 2006  athena
  * [project @ 2006-02-10 14:18:39 by athena]
  Precompute array indices on x86-64.  Speeds up Pentium IV and makes no
  appreciable difference on AMD.

    M ./kernel/ifftw.h -2 +2

Tue Feb  7 22:01:36 EST 2006  athena
  * [project @ 2006-02-08 03:01:36 by athena]
  Check whether the processor supports CPUID before issuing the
  instruction. (Grrr...) Code contributed by Eric J. Korpela.

    M ./simd/Makefile.am -1 +1
    M ./simd/sse.c -24 +6
    M ./simd/sse2.c -26 +8
    A ./simd/x86-cpuid.h

Tue Feb  7 21:36:47 EST 2006  athena
  * [project @ 2006-02-08 02:36:47 by athena]
  icc supports x86_64 these days.

    M ./kernel/cycle.h -2 +2

Sun Feb  5 18:19:55 EST 2006  athena
  * [project @ 2006-02-05 23:19:55 by athena]
  Paranoia.

    M ./kernel/primes.c -2 +2

Mon Jan 30 15:27:53 EST 2006  stevenj
  * [project @ 2006-01-30 20:27:53 by stevenj]
  whoops, fixed assert (y <= x)

    M ./kernel/primes.c -2 +2

Mon Jan 30 15:26:22 EST 2006  stevenj
  * [project @ 2006-01-30 20:26:22 by stevenj]
  note that safe_mulmod requires {x,y} < p (or at least < 2p), and added
  assert

    M ./kernel/primes.c -2 +4

Mon Jan 30 11:09:32 EST 2006  athena
  * [project @ 2006-01-30 16:09:32 by athena]
  fixed aix/xlc lossage

    M ./libbench2/bench-user.h -2 +2
    M ./libbench2/timer.c -4 +4

Sun Jan 29 20:42:51 EST 2006  athena
  * [project @ 2006-01-30 01:42:51 by athena]
  In the impuse test, normalize the impulse so that the impulse and the
  random vectors have roughly the same L2 norm.  This change reduces the
  number of bits that we lose because of floating-point cancellation, so
  that we can focus on the bits that we lose because of bugs.

    M ./libbench2/verify-lib.c -3 +3

Sun Jan 29 20:37:47 EST 2006  athena
  * [project @ 2006-01-30 01:37:47 by athena]
  Compute omega in trigreal precision, as opposed to R.

    M ./rdft/dht-rader.c -2 +2

Sat Aug 12 23:51:14 EDT 2006  Unknown tagger
  tagged fftw-3-1


Fri Jan 27 19:16:22 EST 2006  stevenj
  * [project @ 2006-01-28 00:16:22 by stevenj]
  add --with-combined-threads option as workaround to Windows inability to build shared libs with dependencies

    M ./Makefile.am -1 +7
    M ./configure.ac -1 +3
    M ./tests/Makefile.am +2
    M ./threads/Makefile.am +4
    M ./tools/Makefile.am +2

Fri Jan 27 17:20:45 EST 2006  stevenj
  * [project @ 2006-01-27 22:20:45 by stevenj]
  libfftw3_threads should *not* used -no-undefined because, in fact, it is not true -- this library depends on -lfftw3, and is not self-contained

    M ./threads/Makefile.am -1 +1

Thu Jan 26 22:04:34 EST 2006  stevenj
  * [project @ 2006-01-27 03:04:34 by stevenj]
  updated

    M ./NEWS -3 +10

Thu Jan 26 21:10:50 EST 2006  athena
  * [project @ 2006-01-27 02:10:50 by athena]
  Added paranoid stack alignment when awaking plans.  While I was at it,
  removed obsolete, redundant AWAKE macro.

    M ./api/apiplan.c -3 +8
    M ./dft/bluestein.c -1 +1
    M ./dft/buffered.c -4 +4
    M ./dft/ct.c -3 +3
    M ./dft/ctsq.c -2 +2
    M ./dft/dftw-generic.c -1 +1
    M ./dft/dftw-genericbuf.c -1 +1
    M ./dft/indirect-transpose.c -3 +3
    M ./dft/indirect.c -3 +3
    M ./dft/rader.c -3 +3
    M ./dft/rank-geq2.c -3 +3
    M ./dft/vrank-geq1.c -2 +2
    M ./kernel/ifftw.h -2 +1
    M ./kernel/timer.c -3 +3
    M ./rdft/buffered.c -4 +4
    M ./rdft/buffered2.c -3 +3
    M ./rdft/dft-r2hc.c -2 +2
    M ./rdft/dht-r2hc.c -2 +2
    M ./rdft/dht-rader.c -3 +3
    M ./rdft/hc2hc-direct.c -3 +3
    M ./rdft/hc2hc-directbuf.c -3 +3
    M ./rdft/hc2hc-generic.c -2 +2
    M ./rdft/hc2hc.c -2 +2
    M ./rdft/indirect.c -3 +3
    M ./rdft/rank-geq2-rdft2.c -3 +3
    M ./rdft/rank-geq2.c -3 +3
    M ./rdft/rank0-rdft2.c -2 +2
    M ./rdft/rdft-dht.c -2 +2
    M ./rdft/rdft2-radix2.c -2 +2
    M ./rdft/vrank-geq1-rdft2.c -2 +2
    M ./rdft/vrank-geq1.c -2 +2
    M ./rdft/vrank3-transpose.c -4 +4
    M ./reodft/redft00e-r2hc-pad.c -3 +3
    M ./reodft/redft00e-r2hc.c -2 +2
    M ./reodft/reodft00e-splitradix.c -3 +3
    M ./reodft/reodft010e-r2hc.c -2 +2
    M ./reodft/reodft11e-r2hc-odd.c -2 +2
    M ./reodft/reodft11e-r2hc.c -2 +2
    M ./reodft/reodft11e-radix2.c -2 +2
    M ./reodft/rodft00e-r2hc-pad.c -3 +3
    M ./reodft/rodft00e-r2hc.c -2 +2
    M ./tests/hook.c -2 +2
    M ./threads/ct.c -3 +3
    M ./threads/dft-vrank-geq1.c -2 +2
    M ./threads/hc2hc.c -2 +2
    M ./threads/rdft-vrank-geq1.c -2 +2
    M ./threads/vrank-geq1-rdft2.c -2 +2

Thu Jan 26 20:54:39 EST 2006  athena
  * [project @ 2006-01-27 01:54:39 by athena]
  Updated for 3.1.

    M ./NEWS -1 +1

Thu Jan 26 19:15:12 EST 2006  athena
  * [project @ 2006-01-27 00:15:12 by athena]
  ditched one alignment check and noted that we should eliminate the rest as well

    M ./TODO +3
    M ./libbench2/bench-main.c -13 +1

Wed Jan 25 23:02:19 EST 2006  athena
  * [project @ 2006-01-26 04:02:19 by athena]
  alignment hack

    M ./libbench2/bench-main.c -2 +4

Wed Jan 25 22:05:11 EST 2006  athena
  * [project @ 2006-01-26 03:05:11 by athena]
  detect pentium M

    M ./m4/ax_gcc_archflag.m4 -1 +2

Wed Jan 25 18:42:58 EST 2006  stevenj
  * [project @ 2006-01-25 23:42:58 by stevenj]
  don't trust host_cpu if it claims we are on i386/i486, and call cpuid anyway (if it fails we use no arch flag).  This is needed on FreeBSD

    M ./m4/ax_gcc_archflag.m4 -3 +1

Wed Jan 25 18:00:04 EST 2006  stevenj
  * [project @ 2006-01-25 23:00:04 by stevenj]
  suggest --with-our-malloc16 in error message

    M ./kernel/kalloc.c -2 +2

Tue Jan 24 19:53:34 EST 2006  stevenj
  * [project @ 2006-01-25 00:53:34 by stevenj]
  ditto for -no-gcc

    M ./configure.ac -2 +4

Tue Jan 24 19:51:08 EST 2006  stevenj
  * [project @ 2006-01-25 00:51:08 by stevenj]
  flags required for successfull compilation should be added even if the
  user overrides CFLAGS

    M ./configure.ac -9 +12

Tue Jan 24 18:43:59 EST 2006  stevenj
  * [project @ 2006-01-24 23:43:59 by stevenj]
  upcoming gcc OpenMP support uses -fopenmp

    M ./m4/ax_openmp.m4 -4 +4

Tue Jan 24 18:26:59 EST 2006  stevenj
  * [project @ 2006-01-24 23:26:59 by stevenj]
  note that PGI uses -mp as well

    M ./m4/ax_openmp.m4 -1 +1

Mon Jan 23 15:31:24 EST 2006  athena
  * [project @ 2006-01-23 20:31:24 by athena]
  my best guess at how to fix the microsoft crap du jour

    M ./kernel/cycle.h -2 +2
    M ./simd/sse.c -65 +70
    M ./simd/sse2.c -62 +67

Mon Jan 23 14:05:14 EST 2006  stevenj
  * [project @ 2006-01-23 19:05:14 by stevenj]
  use -Masmkeyword for PGI cycle counter, grr

    M ./configure.ac +5
    M ./kernel/cycle.h -2 +4

Sun Jan 22 18:09:06 EST 2006  athena
  * [project @ 2006-01-22 23:09:06 by athena]
  Bumped version number to 3.1.

    M ./configure.ac -1 +1

Sat Jan 21 10:03:59 EST 2006  athena
  * [project @ 2006-01-21 15:03:59 by athena]
  Report that --enable-k7 is incompatible with --enable-shared.

    M ./configure.ac +3

Sat Jan 21 09:17:54 EST 2006  athena
  * [project @ 2006-01-21 14:17:54 by athena]
  Do not use empty libraries in LIBADD, since otherwise the linker fails
  on Solaris.

    M ./Makefile.am -7 +20

Wed Jan 18 10:47:59 EST 2006  stevenj
  * [project @ 2006-01-18 15:47:59 by stevenj]
  warn end-users away from this file

    M ./bootstrap.sh -1 +10

Tue Jan 17 16:16:42 EST 2006  athena
  * [project @ 2006-01-17 21:16:42 by athena]
  Gcc sucks.

    M ./simd/simd-sse.h -1 +2

Tue Jan 17 11:48:55 EST 2006  athena
  * [project @ 2006-01-17 16:48:55 by athena]
  Disabled checks that may turn out to be too paranoid.

    M ./tests/hook.c -1 +2

Tue Jan 17 10:35:03 EST 2006  athena
  * [project @ 2006-01-17 15:35:03 by athena]
  Some paranoid checks.

    M ./tests/hook.c +16

Tue Jan 17 09:31:08 EST 2006  athena
  * [project @ 2006-01-17 14:31:08 by athena]
  Flush stdout after printing.

    M ./libbench2/ovtpvt.c +1

Tue Jan 17 08:28:18 EST 2006  athena
  * [project @ 2006-01-17 13:28:18 by athena]
  Run the leak detector in all cases, not just when verbose > 2.

    M ./kernel/alloc.c -2 +7
    M ./tests/bench.c -2 +1

Tue Jan 17 08:11:41 EST 2006  athena
  * [project @ 2006-01-17 13:11:41 by athena]
  Eliminate calls to pow(), rint().

    M ./api/mapflags.c -8 +3

Tue Jan 17 00:45:06 EST 2006  stevenj
  * [project @ 2006-01-17 05:45:06 by stevenj]
  put # in first column, for stylistic consistency

    M ./kernel/ifftw.h -3 +3

Tue Jan 17 00:17:27 EST 2006  athena
  * [project @ 2006-01-17 05:17:27 by athena]
  Made timeout part of impatience flags, in order to improve the
  usability of wisdom.  Also, fixed bogus error recovery logic in
  planner.c:imprt().

    M ./api/mapflags.c -1 +36
    M ./kernel/ifftw.h -4 +7
    M ./kernel/planner.c -23 +70

Mon Jan 16 23:03:34 EST 2006  stevenj
  * [project @ 2006-01-17 04:03:33 by stevenj]
  make timelimit < 0 .eq. FFTW_NO_TIMELIMIT

    M ./api/apiplan.c -1 +1
    M ./api/fftw3.h -1 +3
    M ./doc/fftw3.texi -5 +9
    M ./kernel/planner.c -3 +3

Mon Jan 16 21:52:01 EST 2006  athena
  * [project @ 2006-01-17 02:52:01 by athena]
  Eliminated the FFTW_TIMELIMIT flag in favor of this simpler logic:
  fftw_set_timelimit(0) disables time limit.
  fftw_set_timelimit(X), X>0 sets the time limit to X.

    M ./api/apiplan.c -6 +1
    M ./api/fftw3.h -2 +1
    M ./api/the-planner.c +7
    M ./doc/fftw3.texi -30 +27
    M ./kernel/planner.c -2 +4
    M ./tests/bench.c -1

Mon Jan 16 08:38:04 EST 2006  athena
  * [project @ 2006-01-16 13:38:04 by athena]
  Force the use of the estimator when wisdom fails because of md5
  collisions, otherwise the planner takes forever.

    M ./api/apiplan.c -2 +10

Sun Jan 15 21:30:31 EST 2006  athena
  * [project @ 2006-01-16 02:30:31 by athena]
  Ranted about how broken gcc-4 is.

    M ./kernel/ifftw.h -5 +40

Sun Jan 15 19:59:38 EST 2006  stevenj
  * [project @ 2006-01-16 00:59:38 by stevenj]
  change fftw_timelimit global var to fftw_set_timelimit(double) function, for simpler usage with shared libraries and for consistency with e.g. set_numthreads

    M ./api/apiplan.c -2 +4
    M ./api/fftw3.h -2 +3
    M ./doc/fftw3.texi -11 +11
    M ./tests/bench.c -1 +1

Sun Jan 15 19:32:27 EST 2006  athena
  * [project @ 2006-01-16 00:32:27 by athena]
  Minor tweaks.

    M ./doc/fftw3.texi -8 +11

Sun Jan 15 16:32:54 EST 2006  athena
  * [project @ 2006-01-15 21:32:54 by athena]
  tweaks to make sure that time_n() is always called from the same stack position.

    M ./libbench2/timer.c -12 +12

Sun Jan 15 16:09:53 EST 2006  athena
  * [project @ 2006-01-15 21:09:53 by athena]
  Major simplification of the timer calibration logic.  Also, use an FFT
  as a unit of work instead of the old pointer chasing, because God
  knows how pointer chasing interacts with the idiotic cache-hit
  speculation on the Pentium IV.

    M ./libbench2/bench.h -2 +3
    M ./libbench2/speed.c -5 +8
    M ./libbench2/timer.c -96 +35
    M ./libbench2/timer2.c -7 +99

Sun Jan 15 15:12:08 EST 2006  athena
  * [project @ 2006-01-15 20:12:08 by athena]
  Fixed broken aligment checks when sizeof(R)==12.

    M ./kernel/align.c -3 +8

Sun Jan 15 10:36:40 EST 2006  athena
  * [project @ 2006-01-15 15:36:40 by athena]
  Manual unrolling of loop.

    M ./libbench2/timer2.c -5 +2

Sun Jan 15 10:12:55 EST 2006  athena
  * [project @ 2006-01-15 15:12:55 by athena]
  Various improvements to timer calibration routines.

    M ./libbench2/Makefile.am -1 +1
    M ./libbench2/bench.h -1 +2
    M ./libbench2/timer.c -18 +32
    A ./libbench2/timer2.c

Sat Jan 14 22:16:09 EST 2006  athena
  * [project @ 2006-01-15 03:16:09 by athena]
  cygwin defines __CYGWIN__, not __WIN32__ etc.

    M ./libbench2/timer.c -16 +17

Sat Jan 14 20:40:12 EST 2006  athena
  * [project @ 2006-01-15 01:40:12 by athena]
  fixed confusion between libbench and user timers

    M ./libbench2/bench-user.h -3 +7
    M ./libbench2/speed.c -5 +5
    M ./libbench2/timer.c -6 +8
    M ./tests/bench.c -8 +8

Sat Jan 14 12:32:44 EST 2006  stevenj
  * [project @ 2006-01-14 17:32:44 by stevenj]
  update

    M ./NEWS -2 +4

Sat Jan 14 10:24:11 EST 2006  athena
  * [project @ 2006-01-14 15:24:11 by athena]
  Comment.

    M ./simd/simd-sse.h +5

Sat Jan 14 10:19:28 EST 2006  athena
  * [project @ 2006-01-14 15:19:28 by athena]
  Workaround gcc bug.

    M ./simd/simd-sse.h -2 +3

Fri Jan 13 19:13:18 EST 2006  athena
  * [project @ 2006-01-14 00:13:18 by athena]
  Switched to -beta2.

    M ./configure.ac -1 +1

Thu Jan 12 22:21:57 EST 2006  athena
  * [project @ 2006-01-13 03:21:57 by athena]
  Fixed technically correct but highly obfuscated use of the enum tag
  R2HC as a null pointer.

    M ./rdft/buffered.c -5 +3
    M ./rdft/indirect.c -4 +3
    M ./rdft/problem.c -1 +8
    M ./rdft/rank0-rdft2.c -4 +3
    M ./rdft/rdft.h +1
    M ./rdft/vrank3-transpose.c -25 +13

Thu Jan 12 19:25:20 EST 2006  stevenj
  * [project @ 2006-01-13 00:25:20 by stevenj]
  --enable-unsafe-mulmod is obsolete

    M ./configure.ac -4

Thu Jan 12 19:23:18 EST 2006  athena
  * [project @ 2006-01-13 00:23:18 by athena]
  More thoughts.

    M ./TODO +2

Thu Jan 12 19:17:57 EST 2006  athena
  * [project @ 2006-01-13 00:17:57 by athena]
  Removed loop unrolling because it slows things down on at least one
  powerpc and it generates clumsy x86 code.

    M ./rdft/buffered2.c -50 +12

Thu Jan 12 19:17:35 EST 2006  stevenj
  * [project @ 2006-01-13 00:17:35 by stevenj]
  tweaks

    M ./kernel/kalloc.c -6 +6

Thu Jan 12 15:55:52 EST 2006  stevenj
  * [project @ 2006-01-12 20:55:52 by stevenj]
  MacOSX x86 ABI specifies that the stack is kept 16-byte aligned

    M ./kernel/ifftw.h -2 +3

Thu Jan 12 12:46:49 EST 2006  athena
  * [project @ 2006-01-12 17:46:49 by athena]
  ``ret'' is a reserved word in the evil empire.

    M ./kernel/cycle.h -5 +5

Thu Jan 12 08:31:43 EST 2006  athena
  * [project @ 2006-01-12 13:31:09 by athena]
  Changed ret => result because ret ``is a reserved word'' in the evil
  empire.

    M ./simd/sse.c -4 +4
    M ./simd/sse2.c -4 +4

Wed Jan 11 19:30:42 EST 2006  athena
  * [project @ 2006-01-12 00:30:42 by athena]
  Workaround Visual c++ lossage.

    M ./simd/simd-sse2.h -5 +4

Wed Jan 11 19:26:16 EST 2006  athena
  * [project @ 2006-01-12 00:26:16 by athena]
  Workaround visual c++ lossage.

    M ./simd/simd-sse.h +38

Wed Jan 11 19:10:52 EST 2006  athena
  * [project @ 2006-01-12 00:10:52 by athena]
  isprint() is guaranteed to work for unsigned char + EOF only.

    M ./libbench2/getopt-utils.c -2 +3

Wed Jan 11 13:47:49 EST 2006  stevenj
  * [project @ 2006-01-11 18:47:49 by stevenj]
  rm obsolete fixme

    M ./rdft/vrank3-transpose.c -2 +2

Wed Jan 11 13:38:46 EST 2006  stevenj
  * [project @ 2006-01-11 18:38:46 by stevenj]

    M ./rdft/vrank3-transpose.c -2 +2

Wed Jan 11 13:32:26 EST 2006  stevenj
  * [project @ 2006-01-11 18:32:26 by stevenj]
  fix comment

    M ./rdft/vrank3-transpose.c -2 +3

Wed Jan 11 12:27:05 EST 2006  athena
  * [project @ 2006-01-11 17:27:05 by athena]
  Paranoid use of K(x) for all constants x, to avoid runtime double->float conversions on sufficiently stupid compilers.

    M ./dft/bluestein.c -2 +2
    M ./rdft/buffered2.c -2 +2
    M ./rdft/dht-rader.c -1 +1
    M ./rdft/rank0-rdft2.c -11 +11
    M ./reodft/rodft00e-r2hc-pad.c -3 +3

Tue Jan 10 20:10:38 EST 2006  athena
  * [project @ 2006-01-11 01:10:38 by athena]
  Workaround to gcc nonsense.

    M ./simd/simd-sse.h -1 +15

Tue Jan 10 18:44:28 EST 2006  stevenj
  * [project @ 2006-01-10 23:44:28 by stevenj]
  bug fix: infinite loop in transpose-cut planning

    M ./rdft/vrank3-transpose.c -6 +14

Tue Jan 10 18:12:14 EST 2006  stevenj
  * [project @ 2006-01-10 23:12:14 by stevenj]
  clarified comment

    M ./api/fftw3.h -6 +6

Tue Jan 10 18:10:32 EST 2006  stevenj
  * [project @ 2006-01-10 23:10:32 by stevenj]
  more Windows decorations

    M ./tests/bench.c -1 +1

Tue Jan 10 17:57:45 EST 2006  stevenj
  * [project @ 2006-01-10 22:57:45 by stevenj]
  added FIXME comment

    M ./support/Makefile.codelets +1

Tue Jan 10 17:52:07 EST 2006  stevenj
  * [project @ 2006-01-10 22:52:07 by stevenj]
  'make clean' should not delete codlist.c since it is included in the dist tarball

    M ./support/Makefile.codelets -2 +3

Tue Jan 10 17:50:12 EST 2006  athena
  * [project @ 2006-01-10 22:50:12 by athena]
  Change threshold for ``large'' Cooley-Tukey to 256K from 64K, since it
  seems to benefit the Pentium IV with sse and the planning cost is not
  too horrible.

    M ./dft/dftw-direct.c -2 +2

Tue Jan 10 17:45:11 EST 2006  stevenj
  * [project @ 2006-01-10 22:45:11 by stevenj]
  more missing Windows DLL decorations

    M ./kernel/ifftw.h -3 +3

Tue Jan 10 17:41:28 EST 2006  stevenj
  * [project @ 2006-01-10 22:41:28 by stevenj]
  remove unused var

    M ./rdft/dht-rader.c -2

Tue Jan 10 14:00:50 EST 2006  stevenj
  * [project @ 2006-01-10 19:00:50 by stevenj]
  allow compiler threads, if enabled, to take precedence over explicit threads

    M ./threads/threads.c -17 +17

Tue Jan 10 12:30:09 EST 2006  stevenj
  * [project @ 2006-01-10 17:30:09 by stevenj]

    M ./api/api.h -2 +2

Tue Jan 10 12:21:56 EST 2006  stevenj
  * [project @ 2006-01-10 17:21:56 by stevenj]

    M ./kernel/planner.c -2 +2

Tue Jan 10 09:13:20 EST 2006  athena
  * [project @ 2006-01-10 14:13:20 by athena]
  Fixed comment typo.

    M ./kernel/planner.c -2 +2

Tue Jan 10 08:59:22 EST 2006  athena
  * [project @ 2006-01-10 13:59:22 by athena]
  Rearranged timeout checks so as to eliminate one of them.

    M ./kernel/planner.c -9 +4

Tue Jan 10 08:56:55 EST 2006  athena
  * [project @ 2006-01-10 13:56:55 by athena]
  Converted residual CK() -> A().

    M ./kernel/plan.c -2 +2

Tue Jan 10 08:36:13 EST 2006  athena
  * [project @ 2006-01-10 13:36:13 by athena]
  Maintain the invariant TIMED_OUT ==> NEED_TIMEOUT_CHECK.

    M ./kernel/planner.c -5 +10

Tue Jan 10 08:24:41 EST 2006  athena
  * [project @ 2006-01-10 13:24:41 by athena]
  silence some 64-bit warnings

    M ./api/mapflags.c -1 +1
    M ./dft/rank-geq2.c -2 +2
    M ./dft/vrank-geq1.c -2 +2
    M ./kernel/buffered.c -1 +1
    M ./kernel/md5.c -1 +1
    M ./kernel/scan.c -2 +3
    M ./rdft/rank-geq2-rdft2.c -2 +2
    M ./rdft/rank-geq2.c -2 +2
    M ./rdft/vrank-geq1-rdft2.c -2 +2
    M ./rdft/vrank-geq1.c -2 +2
    M ./threads/dft-vrank-geq1.c -2 +2
    M ./threads/rdft-vrank-geq1.c -2 +2
    M ./threads/vrank-geq1-rdft2.c -2 +2

Tue Jan 10 07:58:48 EST 2006  athena
  * [project @ 2006-01-10 12:58:48 by athena]
  Assertions.

    M ./tests/hook.c +3

Tue Jan 10 00:14:00 EST 2006  stevenj
  * [project @ 2006-01-10 05:14:00 by stevenj]
  some condensing

    M ./kernel/timer.c -10 +5

Tue Jan 10 00:03:32 EST 2006  stevenj
  * [project @ 2006-01-10 05:03:32 by stevenj]
  eliminate X(seconds) in favor of X(elapsed_since), in paranoia of clock wrap

    M ./api/apiplan.c -2 +2
    M ./kernel/ifftw.h -3 +33
    M ./kernel/planner.c -4 +4
    M ./kernel/timer.c -58 +25

Mon Jan  9 23:21:21 EST 2006  stevenj
  * [project @ 2006-01-10 04:21:21 by stevenj]

    M ./kernel/timer.c -2 +2

Mon Jan  9 23:21:06 EST 2006  stevenj
  * [project @ 2006-01-10 04:21:06 by stevenj]
  hmm, a bit more pessimistic about clock wrapping

    M ./kernel/timer.c -4 +4

Mon Jan  9 23:20:26 EST 2006  athena
  * [project @ 2006-01-10 04:20:26 by athena]
  Revert to md5uint = unsigned int whenever possible, so as to
  avoid wasting space for unsigned long on 64-bit machines.

    M ./configure.ac +2
    M ./kernel/ifftw.h -1 +5

Mon Jan  9 23:12:27 EST 2006  stevenj
  * [project @ 2006-01-10 04:12:27 by stevenj]
  note why clock() wrap should not be a concern

    M ./kernel/timer.c -1 +6

Mon Jan  9 22:57:16 EST 2006  stevenj
  * [project @ 2006-01-10 03:57:16 by stevenj]
  bugfix in recent timeout changes - check for case where last solver times out

    M ./kernel/planner.c -2 +8

Mon Jan  9 22:40:26 EST 2006  stevenj
  * [project @ 2006-01-10 03:40:26 by stevenj]
  started changes list from beta

    M ./NEWS -1 +11

Mon Jan  9 22:34:13 EST 2006  athena
  * [project @ 2006-01-10 03:34:13 by athena]
  Paranoia.

    M ./api/mapflags.c +4

Mon Jan  9 22:27:37 EST 2006  athena
  * [project @ 2006-01-10 03:27:37 by athena]
  Paranoid assertions.

    M ./kernel/planner.c -3 +7

Mon Jan  9 22:13:32 EST 2006  athena
  * [project @ 2006-01-10 03:13:32 by athena]
  Added FIXME comment stating the 64-bit uncleaniness of
  fftw_tensor_to_bench_tensor().

    M ./tests/hook.c +1

Mon Jan  9 22:06:05 EST 2006  athena
  * [project @ 2006-01-10 03:06:05 by athena]
  Another 64-bit bug.

    M ./dft/simd/t.c -1 +1

Mon Jan  9 21:54:07 EST 2006  stevenj
  * [project @ 2006-01-10 02:54:07 by stevenj]
  more Windows DLL nonsense

    M ./api/api.h -5 +15
    M ./kernel/ifftw.h -3 +5
    M ./tests/hook.c +2

Mon Jan  9 21:18:25 EST 2006  stevenj
  * [project @ 2006-01-10 02:18:25 by stevenj]
  some additional dllexport tags required to build the test program, due to internal stuff called by hook.c

    M ./api/api.h -2 +3
    M ./kernel/ifftw.h -6 +17

Mon Jan  9 20:31:15 EST 2006  stevenj
  * [project @ 2006-01-10 01:31:15 by stevenj]

    M ./api/fftw3.h -2 +2

Mon Jan  9 20:30:19 EST 2006  stevenj
  * [project @ 2006-01-10 01:30:19 by stevenj]
  comment

    M ./api/fftw3.h -4 +6

Mon Jan  9 20:20:28 EST 2006  stevenj
  * [project @ 2006-01-10 01:17:11 by stevenj]

    M ./api/api.h -7 +7
    M ./api/fftw3.h -4 +3

Mon Jan  9 20:16:50 EST 2006  stevenj
  * [project @ 2006-01-10 01:16:50 by stevenj]
  clarification

    M ./api/fftw3.h -3 +3

Mon Jan  9 20:12:23 EST 2006  stevenj
  * [project @ 2006-01-10 01:12:23 by stevenj]
  define FFTW_DLL if DLL_EXPORT (defined by libtool) is supplied

    M ./api/api.h +10

Mon Jan  9 20:05:11 EST 2006  stevenj
  * [project @ 2006-01-10 01:05:11 by stevenj]
  whoops

    M ./api/fftw3.h -2 +2

Mon Jan  9 20:00:47 EST 2006  stevenj
  * [project @ 2006-01-10 01:00:47 by stevenj]
  another stab at Windows DLL mess

    M ./api/fftw3.h -172 +185

Mon Jan  9 19:23:42 EST 2006  athena
  * [project @ 2006-01-10 00:23:42 by athena]
  64-bit clean SIMD header file.  I missed those because sparse
  does not know vector types.  Grrr...

    M ./simd/simd-altivec.h -11 +11
    M ./simd/simd-sse.h -6 +6
    M ./simd/simd-sse2.h -4 +4

Mon Jan  9 19:08:36 EST 2006  stevenj
  * [project @ 2006-01-10 00:08:36 by stevenj]
  this option is called AC_DISABLE_SHARED in the documentation

    M ./configure.ac -1 +1

Mon Jan  9 17:34:13 EST 2006  stevenj
  * [project @ 2006-01-09 22:34:13 by stevenj]
  fixed --with-gcc-arch to work when cross-compiling

    M ./m4/ax_gcc_archflag.m4 -3 +4

Mon Jan  9 12:04:04 EST 2006  athena
  * [project @ 2006-01-09 17:04:04 by athena]
  Moved the timeout check back into the search loop, sicut erat in
  principio.  This gives us a precise control over the timeout.  To
  avoid the overhead of X(seconds)(), only call X(seconds)() if some
  time measurement was taken since the last call to X(seconds)().

    M ./api/apiplan.c -11 +1
    M ./kernel/ifftw.h -1 +2
    M ./kernel/planner.c -5 +36

Mon Jan  9 00:07:40 EST 2006  stevenj
  * [project @ 2006-01-09 05:07:40 by stevenj]
  comments

    M ./rdft/vrank3-transpose.c -5 +5

Sun Jan  8 23:58:23 EST 2006  stevenj
  * [project @ 2006-01-09 04:58:23 by stevenj]
  generalized transpose-cut routine to be able to call transpose-gcd recursivly; TOMS follow-the-cycles algorithm now seems to be completely superseded

    M ./rdft/vrank3-transpose.c -111 +142

Sun Jan  8 20:53:18 EST 2006  stevenj
  * [project @ 2006-01-09 01:53:18 by stevenj]

    M ./threads/threads.c -3 +2

Sun Jan  8 20:52:16 EST 2006  stevenj
  * [project @ 2006-01-09 01:52:16 by stevenj]
  ignore errors from setscope -- POSIX standard does not require PTHREAD_SCOPE_SYSTEM to be supported, and PTHREAD_SCOPE_PROCESS is usually okay in that case

    M ./threads/threads.c -7 +9

Sun Jan  8 15:58:40 EST 2006  stevenj
  * [project @ 2006-01-08 20:58:40 by stevenj]
  added TODO comment

    M ./rdft/vrank3-transpose.c -1 +7

Sun Jan  8 15:39:28 EST 2006  stevenj
  * [project @ 2006-01-08 20:39:28 by stevenj]
  whoops

    M ./rdft/vrank3-transpose.c -8 +18

Sun Jan  8 14:44:23 EST 2006  athena
  * [project @ 2006-01-08 19:44:23 by athena]
  Boasted ``much faster altivec performance''.

    M ./NEWS -1 +1

Sun Jan  8 11:44:52 EST 2006  athena
  * [project @ 2006-01-08 16:44:52 by athena]
  Added a new pass to the generator to schedule for the pipeline
  latency.  (This schedule modifies the ``optimal'' cache-oblivious
  schedule and hence it uses more registers.)
  
  This pass is currently:
  
  * disabled for non-fma code, under the assumption that this will
    run on a register-starved fma.
  
  * enabled for non-simd fma code, under the assumption that this will
    run on a processor with 32 or more FP registers.  The latency of 4
    is conservative and does not introduce too much register pressure.
  
  * enabled for simd fma code, under the assumption that this will run
    on altivec.  The latency of 8 seems to produce the best results.

    M ./configure.ac -1 +1
    M ./dft/simd/codelets/Makefile.am -1 +1
    M ./genfft/annotate.ml -3 +58
    M ./genfft/magic.ml -3 +5
    M ./genfft/schedule.ml -33 +5
    M ./support/Makefile.codelets -2 +2
    M ./support/twovers.sh -1 +1

Sun Jan  8 03:13:53 EST 2006  stevenj
  * [project @ 2006-01-08 08:13:53 by stevenj]
  fixed estimator for vrank3-transpose

    M ./rdft/vrank3-transpose.c -6 +22

Sun Jan  8 02:02:11 EST 2006  stevenj
  * [project @ 2006-01-08 07:02:11 by stevenj]
  more detail on VC++ workaround

    M ./NEWS -1 +2

Sun Jan  8 00:19:19 EST 2006  stevenj
  * [project @ 2006-01-08 05:19:19 by stevenj]
  typo

    M ./rdft/vrank3-transpose.c -2 +2

Sun Jan  8 00:16:20 EST 2006  stevenj
  * [project @ 2006-01-08 05:16:20 by stevenj]
  screw it, just use planner for all sub-transposes in vrank3-transpose (still just use memcpy for contiguous copies, though)

    M ./rdft/vrank3-transpose.c -95 +185

Sat Jan  7 23:13:45 EST 2006  stevenj
  * [project @ 2006-01-08 04:13:45 by stevenj]
  add an assert

    M ./kernel/tile2d.c +2

Sat Jan  7 21:57:34 EST 2006  stevenj
  * [project @ 2006-01-08 02:57:34 by stevenj]
  vrank3-transpose now uses planner to decide whether to use cpy2d, cpy2d_tiled, etc.

    M ./kernel/ifftw.h -1 +7
    M ./rdft/rank0.c -7 +5
    M ./rdft/vrank3-transpose.c -217 +231

Sat Jan  7 20:57:16 EST 2006  stevenj
  * [project @ 2006-01-08 01:57:16 by stevenj]
  too annoying to have isqrt unexpectedly fail for n==0

    M ./kernel/primes.c -2 +4

Sat Jan  7 17:49:37 EST 2006  stevenj
  * [project @ 2006-01-07 22:49:37 by stevenj]
  clarifications

    M ./NEWS -1 +1
    M ./doc/fftw3.texi -2 +5

Sat Jan  7 16:39:20 EST 2006  stevenj
  * [project @ 2006-01-07 21:39:20 by stevenj]
  comment fix

    M ./rdft/vrank3-transpose.c -4 +4

Sat Jan  7 15:16:22 EST 2006  stevenj
  * [project @ 2006-01-07 20:16:22 by stevenj]
  more faq updates

    M ./doc/FAQ/fftw-faq.bfnn -8 +9

Sat Jan  7 15:12:16 EST 2006  stevenj
  * [project @ 2006-01-07 20:12:16 by stevenj]
  enable fma on hppa, update FAQ entry

    M ./configure.ac +1
    M ./doc/FAQ/fftw-faq.bfnn -3 +11

Sat Aug 12 23:47:06 EDT 2006  Unknown tagger
  tagged fftw-3-1-beta1


Sat Jan  7 14:06:31 EST 2006  athena
  * [project @ 2006-01-07 19:06:31 by athena]
  Accomodate different semantics of 'const' in C and C++

    M ./dft/simd/t.c +4

Fri Jan  6 23:40:53 EST 2006  athena
  * [project @ 2006-01-07 04:40:53 by athena]
  Altivec is called VMX in IBM land.

    M ./NEWS -1 +1

Fri Jan  6 23:40:16 EST 2006  athena
  * [project @ 2006-01-07 04:40:16 by athena]
  Noted faster altivec support.

    M ./NEWS +2

Fri Jan  6 21:49:10 EST 2006  stevenj
  * [project @ 2006-01-07 02:49:10 by stevenj]
  updated icc flag detection

    M ./m4/ax_cc_maxopt.m4 -1 +1

Fri Jan  6 10:01:50 EST 2006  athena
  * [project @ 2006-01-06 15:01:50 by athena]
  Note ``memoize triggen''.

    M ./TODO -2 +1

Fri Jan  6 09:36:51 EST 2006  athena
  * [project @ 2006-01-06 14:36:51 by athena]
  Use --enable-threads to generate dependencies in the threads/ directory.

    M ./mkdist.sh -1 +1

Fri Jan  6 09:26:29 EST 2006  athena
  * [project @ 2006-01-06 14:26:29 by athena]
  Workaround to icc #defining __GNUC__.

    M ./kernel/ifftw.h -14 +14

Fri Jan  6 09:21:19 EST 2006  athena
  * [project @ 2006-01-06 14:21:19 by athena]
  Switched name to 3.1-beta1.

    M ./configure.ac -1 +1

Thu Jan  5 23:08:44 EST 2006  athena
  * [project @ 2006-01-06 04:08:44 by athena]
  More thoughts.

    M ./TODO +12

Thu Jan  5 22:30:51 EST 2006  athena
  * [project @ 2006-01-06 03:30:51 by athena]
  Note wish that (block_size % 4) == 0.

    M ./TODO +3

Thu Jan  5 22:19:09 EST 2006  athena
  * [project @ 2006-01-06 03:19:09 by athena]
  Check alignment of mstart, mcount in SIMD codelets.

    M ./dft/codelet-dft.h -2 +3
    M ./dft/codelets/t.c -2 +3
    M ./dft/ctsq.c -2 +3
    M ./dft/dftw-direct.c -11 +17
    M ./dft/k7/k7.c -3 +3
    M ./dft/simd/q1b.c -1 +3
    M ./dft/simd/q1f.c -1 +3
    M ./dft/simd/t.c -9 +11
    M ./dft/simd/t1s.c -3 +5
    M ./threads/ct.c -3 +1
    M ./threads/hc2hc.c -2

Thu Jan  5 21:56:19 EST 2006  athena
  * [project @ 2006-01-06 02:56:19 by athena]
  Enable threads at bootstrap time, so I get the compiler warnings that
  I would otherwise ignore.

    M ./bootstrap.sh -1 +1

Thu Jan  5 18:23:15 EST 2006  athena
  * [project @ 2006-01-05 23:23:15 by athena]
  made compilable by c++

    M ./threads/dft-vrank-geq1.c -2 +2
    M ./threads/rdft-vrank-geq1.c -2 +2
    M ./threads/vrank-geq1-rdft2.c -2 +2

Thu Jan  5 17:39:02 EST 2006  athena
  * [project @ 2006-01-05 22:39:02 by athena]
  FIXED: incorrect twiddle_shift()

    M ./kernel/twiddle.c -13 +19

Thu Jan  5 16:01:51 EST 2006  athena
  * [project @ 2006-01-05 21:01:51 by athena]
  Replaced remnants of awake flag with the new enum wakefulness type.

    M ./reodft/redft00e-r2hc.c -4 +5
    M ./reodft/reodft11e-r2hc.c -5 +7
    M ./reodft/rodft00e-r2hc.c -4 +5
    M ./threads/ct.c -4 +4
    M ./threads/dft-vrank-geq1.c -3 +3
    M ./threads/hc2hc.c -3 +3
    M ./threads/rdft-vrank-geq1.c -3 +3
    M ./threads/vrank-geq1-rdft2.c -3 +3

Thu Jan  5 11:20:59 EST 2006  athena
  * [project @ 2006-01-05 16:20:59 by athena]
  Oops---there is no need to find a free slot.

    M ./kernel/planner.c -10 +1

Thu Jan  5 09:41:58 EST 2006  athena
  * [project @ 2006-01-05 14:41:58 by athena]
  Assertions.

    M ./kernel/planner.c -1 +3

Thu Jan  5 09:29:55 EST 2006  athena
  * [project @ 2006-01-05 14:29:55 by athena]
  Commented the hash table lookup algorithm.

    M ./kernel/planner.c -10 +14

Thu Jan  5 09:12:00 EST 2006  athena
  * [project @ 2006-01-05 14:12:00 by athena]
  Fixed infinite loop in hashtable lookup/insert.  Grrr...

    M ./kernel/planner.c -12 +31

Wed Jan  4 22:04:28 EST 2006  stevenj
  * [project @ 2006-01-05 03:04:26 by stevenj]
  updated copyright years to 2006

    M ./COPYRIGHT -2 +2
    M ./api/api.h -2 +2
    M ./api/apiplan.c -2 +2
    M ./api/configure.c -2 +2
    M ./api/execute-dft-c2r.c -2 +2
    M ./api/execute-dft-r2c.c -2 +2
    M ./api/execute-dft.c -2 +2
    M ./api/execute-r2r.c -2 +2
    M ./api/execute-split-dft-c2r.c -2 +2
    M ./api/execute-split-dft-r2c.c -2 +2
    M ./api/execute-split-dft.c -2 +2
    M ./api/execute.c -2 +2
    M ./api/export-wisdom-to-file.c -2 +2
    M ./api/export-wisdom-to-string.c -2 +2
    M ./api/export-wisdom.c -2 +2
    M ./api/extract-reim.c -2 +2
    M ./api/f77api.c -2 +2
    M ./api/f77funcs.h -2 +2
    M ./api/fftw3.h -3 +3
    M ./api/flops.c -2 +2
    M ./api/forget-wisdom.c -2 +2
    M ./api/import-system-wisdom.c -2 +2
    M ./api/import-wisdom-from-file.c -2 +2
    M ./api/import-wisdom-from-string.c -2 +2
    M ./api/import-wisdom.c -2 +2
    M ./api/malloc.c -2 +2
    M ./api/map-r2r-kind.c -2 +2
    M ./api/mapflags.c -2 +2
    M ./api/mkprinter-file.c -2 +2
    M ./api/mktensor-iodims.c -2 +2
    M ./api/mktensor-rowmajor.c -2 +2
    M ./api/plan-dft-1d.c -2 +2
    M ./api/plan-dft-2d.c -2 +2
    M ./api/plan-dft-3d.c -2 +2
    M ./api/plan-dft-c2r-1d.c -2 +2
    M ./api/plan-dft-c2r-2d.c -2 +2
    M ./api/plan-dft-c2r-3d.c -2 +2
    M ./api/plan-dft-c2r.c -2 +2
    M ./api/plan-dft-r2c-1d.c -2 +2
    M ./api/plan-dft-r2c-2d.c -2 +2
    M ./api/plan-dft-r2c-3d.c -2 +2
    M ./api/plan-dft-r2c.c -2 +2
    M ./api/plan-dft.c -2 +2
    M ./api/plan-guru-dft-c2r.c -2 +2
    M ./api/plan-guru-dft-r2c.c -2 +2
    M ./api/plan-guru-dft.c -2 +2
    M ./api/plan-guru-r2r.c -2 +2
    M ./api/plan-guru-split-dft-c2r.c -2 +2
    M ./api/plan-guru-split-dft-r2c.c -2 +2
    M ./api/plan-guru-split-dft.c -2 +2
    M ./api/plan-many-dft-c2r.c -2 +2
    M ./api/plan-many-dft-r2c.c -2 +2
    M ./api/plan-many-dft.c -2 +2
    M ./api/plan-many-r2r.c -2 +2
    M ./api/plan-r2r-1d.c -2 +2
    M ./api/plan-r2r-2d.c -2 +2
    M ./api/plan-r2r-3d.c -2 +2
    M ./api/plan-r2r.c -2 +2
    M ./api/print-plan.c -2 +2
    M ./api/rdft2-pad.c -2 +2
    M ./api/the-planner.c -2 +2
    M ./api/version.c -3 +3
    M ./api/x77.h -2 +2
    M ./dft/bluestein.c -2 +2
    M ./dft/buffered.c -3 +3
    M ./dft/codelet-dft.h -3 +3
    M ./dft/codelets/n.c -2 +2
    M ./dft/codelets/n.h -2 +2
    M ./dft/codelets/t.c -2 +2
    M ./dft/codelets/t.h -2 +2
    M ./dft/conf.c -3 +3
    M ./dft/ct.c -3 +3
    M ./dft/ct.h -2 +2
    M ./dft/ctsq.c -3 +3
    M ./dft/dft.h -3 +3
    M ./dft/dftw-direct.c -3 +3
    M ./dft/dftw-generic.c -2 +2
    M ./dft/dftw-genericbuf.c -2 +2
    M ./dft/direct.c -3 +3
    M ./dft/generic.c -2 +2
    M ./dft/indirect-transpose.c -2 +2
    M ./dft/indirect.c -3 +3
    M ./dft/k7/k7.c -3 +3
    M ./dft/kdft-dif.c -3 +3
    M ./dft/kdft-difsq.c -3 +3
    M ./dft/kdft-dit.c -3 +3
    M ./dft/kdft.c -3 +3
    M ./dft/nop.c -3 +3
    M ./dft/plan.c -3 +3
    M ./dft/problem.c -3 +3
    M ./dft/rader.c -2 +2
    M ./dft/rank-geq2.c -3 +3
    M ./dft/simd/n1b.c -2 +2
    M ./dft/simd/n1b.h -2 +2
    M ./dft/simd/n1f.c -2 +2
    M ./dft/simd/n1f.h -2 +2
    M ./dft/simd/n2b.c -2 +2
    M ./dft/simd/n2b.h -2 +2
    M ./dft/simd/n2f.c -2 +2
    M ./dft/simd/n2f.h -2 +2
    M ./dft/simd/n2s.c -2 +2
    M ./dft/simd/n2s.h -2 +2
    M ./dft/simd/q1b.c -2 +2
    M ./dft/simd/q1b.h -2 +2
    M ./dft/simd/q1f.c -2 +2
    M ./dft/simd/q1f.h -2 +2
    M ./dft/simd/t.c -2 +2
    M ./dft/simd/t1b.h -2 +2
    M ./dft/simd/t1f.h -2 +2
    M ./dft/simd/t1s.c -2 +2
    M ./dft/simd/t1s.h -2 +2
    M ./dft/simd/t2b.h -2 +2
    M ./dft/simd/t2f.h -2 +2
    M ./dft/solve.c -3 +3
    M ./dft/vrank-geq1.c -3 +3
    M ./dft/zero.c -3 +3
    M ./doc/f77_wisdom.f -2 +2
    M ./doc/fftw3.texi -1 +1
    M ./genfft-k7/algsimp.ml -4 +4
    M ./genfft-k7/algsimp.mli -3 +3
    M ./genfft-k7/assoctable.ml -3 +3
    M ./genfft-k7/assoctable.mli -3 +3
    M ./genfft-k7/complex.ml -1 +1
    M ./genfft-k7/complex.mli -1 +1
    M ./genfft-k7/expr.ml -3 +3
    M ./genfft-k7/expr.mli -3 +3
    M ./genfft-k7/fft.ml -4 +4
    M ./genfft-k7/gen_notw.ml -1 +1
    M ./genfft-k7/littlesimp.ml -3 +3
    M ./genfft-k7/littlesimp.mli -3 +3
    M ./genfft-k7/monads.ml -3 +3
    M ./genfft-k7/number.ml -3 +3
    M ./genfft-k7/number.mli -3 +3
    M ./genfft-k7/oracle.ml -3 +3
    M ./genfft-k7/oracle.mli -3 +3
    M ./genfft-k7/to_alist.ml -3 +3
    M ./genfft-k7/to_alist.mli -3 +3
    M ./genfft-k7/twiddle.ml -3 +3
    M ./genfft-k7/twiddle.mli -3 +3
    M ./genfft-k7/vScheduler.mli -1 +1
    M ./genfft/algsimp.ml -4 +4
    M ./genfft/algsimp.mli -3 +3
    M ./genfft/annotate.ml -4 +4
    M ./genfft/annotate.mli -3 +3
    M ./genfft/assoctable.ml -3 +3
    M ./genfft/assoctable.mli -3 +3
    M ./genfft/c.ml -3 +3
    M ./genfft/c.mli -3 +3
    M ./genfft/complex.ml -3 +3
    M ./genfft/complex.mli -3 +3
    M ./genfft/conv.ml -2 +2
    M ./genfft/conv.mli -3 +3
    M ./genfft/dag.ml -3 +3
    M ./genfft/dag.mli -3 +3
    M ./genfft/expr.ml -3 +3
    M ./genfft/expr.mli -3 +3
    M ./genfft/fft.ml -4 +4
    M ./genfft/fft.mli -3 +3
    M ./genfft/gen_athnotw.ml -4 +4
    M ./genfft/gen_athtw.ml -4 +4
    M ./genfft/gen_conv.ml -4 +4
    M ./genfft/gen_hc2hc.ml -4 +4
    M ./genfft/gen_hc2r.ml -4 +4
    M ./genfft/gen_mdct.ml -4 +4
    M ./genfft/gen_notw.ml -4 +4
    M ./genfft/gen_notw_c.ml -4 +4
    M ./genfft/gen_r2hc.ml -4 +4
    M ./genfft/gen_r2r.ml -4 +4
    M ./genfft/gen_twiddle.ml -4 +4
    M ./genfft/gen_twiddle_c.ml -4 +4
    M ./genfft/gen_twidsq.ml -4 +4
    M ./genfft/gen_twidsq_c.ml -4 +4
    M ./genfft/genutil.ml -3 +3
    M ./genfft/littlesimp.ml -3 +3
    M ./genfft/littlesimp.mli -3 +3
    M ./genfft/magic.ml -3 +3
    M ./genfft/monads.ml -3 +3
    M ./genfft/number.ml -3 +3
    M ./genfft/number.mli -3 +3
    M ./genfft/oracle.ml -3 +3
    M ./genfft/oracle.mli -3 +3
    M ./genfft/schedule.ml -3 +3
    M ./genfft/schedule.mli -3 +3
    M ./genfft/simd.ml -3 +3
    M ./genfft/simd.mli -3 +3
    M ./genfft/simdmagic.ml -3 +3
    M ./genfft/to_alist.ml -3 +3
    M ./genfft/to_alist.mli -3 +3
    M ./genfft/trig.ml -3 +3
    M ./genfft/trig.mli -3 +3
    M ./genfft/twiddle.ml -3 +3
    M ./genfft/twiddle.mli -3 +3
    M ./genfft/unique.ml -3 +3
    M ./genfft/unique.mli -3 +3
    M ./genfft/util.ml -3 +3
    M ./genfft/util.mli -3 +3
    M ./genfft/variable.ml -3 +3
    M ./genfft/variable.mli -3 +3
    M ./kernel/align.c -3 +3
    M ./kernel/alloc.c -3 +3
    M ./kernel/assert.c -3 +3
    M ./kernel/awake.c -3 +3
    M ./kernel/buffered.c -2 +2
    M ./kernel/cpy1d.c -2 +2
    M ./kernel/cpy2d-pair.c -2 +2
    M ./kernel/cpy2d.c -2 +2
    M ./kernel/ct.c -2 +2
    M ./kernel/cycle.h -3 +3
    M ./kernel/debug.c -3 +3
    M ./kernel/hash.c -2 +2
    M ./kernel/iabs.c -3 +3
    M ./kernel/ifftw.h -3 +3
    M ./kernel/kalloc.c -3 +3
    M ./kernel/md5-1.c -2 +2
    M ./kernel/md5.c -2 +2
    M ./kernel/minmax.c -3 +3
    M ./kernel/ops.c -3 +3
    M ./kernel/pickdim.c -3 +3
    M ./kernel/plan.c -3 +3
    M ./kernel/primes.c -3 +3
    M ./kernel/print.c -3 +3
    M ./kernel/problem.c -3 +3
    M ./kernel/rader.c -2 +2
    M ./kernel/scan.c -3 +3
    M ./kernel/solver.c -3 +3
    M ./kernel/solvtab.c -3 +3
    M ./kernel/stride.c -3 +3
    M ./kernel/tensor.c -3 +3
    M ./kernel/tensor1.c -3 +3
    M ./kernel/tensor2.c -3 +3
    M ./kernel/tensor4.c -3 +3
    M ./kernel/tensor5.c -3 +3
    M ./kernel/tensor7.c -3 +3
    M ./kernel/tensor8.c -3 +3
    M ./kernel/tensor9.c -3 +3
    M ./kernel/tile2d.c -2 +2
    M ./kernel/timer.c -3 +3
    M ./kernel/transpose.c -2 +2
    M ./kernel/trig.c -3 +3
    M ./kernel/twiddle.c -3 +3
    M ./libbench/accopy-from.c -1 +1
    M ./libbench/accopy-to.c -1 +1
    M ./libbench/allocate.c -1 +1
    M ./libbench/bench-main.c -1 +1
    M ./libbench/bench-user.h -1 +1
    M ./libbench/bench.h -1 +1
    M ./libbench/can-do.c -1 +1
    M ./libbench/ccopy-from.c -1 +1
    M ./libbench/ccopy-to.c -1 +1
    M ./libbench/deallocate.c -1 +1
    M ./libbench/getopt-utils.c -1 +1
    M ./libbench/info.c -1 +1
    M ./libbench/main.c -1 +1
    M ./libbench/prime.c -1 +1
    M ./libbench/problem.c -1 +1
    M ./libbench/report.c -1 +1
    M ./libbench/speed.c -1 +1
    M ./libbench/timer.c -1 +1
    M ./libbench/verify.c -1 +1
    M ./libbench/zero.c -1 +1
    M ./libbench2/aligned-main.c -1 +1
    M ./libbench2/allocate.c -1 +1
    M ./libbench2/can-do.c -1 +1
    M ./libbench2/dotens2.c -3 +3
    M ./libbench2/getopt-utils.c -1 +1
    M ./libbench2/info.c -1 +1
    M ./libbench2/main.c -1 +1
    M ./libbench2/report.c -1 +1
    M ./libbench2/tensor.c -1 +1
    M ./libbench2/useropt.c -1 +1
    M ./libbench2/verify-dft.c -3 +3
    M ./libbench2/verify-lib.c -3 +3
    M ./libbench2/verify-r2r.c -2 +2
    M ./libbench2/verify-rdft2.c -3 +3
    M ./libbench2/verify.c -1 +1
    M ./libbench2/verify.h -2 +2
    M ./libbench2/zero.c -1 +1
    M ./m4/ax_gcc_archflag.m4 -1 +1
    M ./rdft/buffered.c -3 +3
    M ./rdft/buffered2.c -3 +3
    M ./rdft/codelet-rdft.h -2 +2
    M ./rdft/codelets/hb.h -2 +2
    M ./rdft/codelets/hc2r.c -2 +2
    M ./rdft/codelets/hc2r.h -2 +2
    M ./rdft/codelets/hc2rIII.h -2 +2
    M ./rdft/codelets/hf.h -2 +2
    M ./rdft/codelets/hfb.c -2 +2
    M ./rdft/codelets/r2hc.c -2 +2
    M ./rdft/codelets/r2hc.h -2 +2
    M ./rdft/codelets/r2hcII.h -2 +2
    M ./rdft/codelets/r2r.c -2 +2
    M ./rdft/codelets/r2r.h -2 +2
    M ./rdft/conf.c -3 +3
    M ./rdft/dft-r2hc.c -3 +3
    M ./rdft/dht-r2hc.c -3 +3
    M ./rdft/dht-rader.c -2 +2
    M ./rdft/direct.c -3 +3
    M ./rdft/direct2.c -3 +3
    M ./rdft/generic.c -2 +2
    M ./rdft/hc2hc-common.c -2 +2
    M ./rdft/hc2hc-direct.c -3 +3
    M ./rdft/hc2hc-directbuf.c -3 +3
    M ./rdft/hc2hc-generic.c -2 +2
    M ./rdft/hc2hc.c -2 +2
    M ./rdft/hc2hc.h -2 +2
    M ./rdft/indirect.c -3 +3
    M ./rdft/khc2hc.c -3 +3
    M ./rdft/khc2r.c -3 +3
    M ./rdft/kr2hc.c -3 +3
    M ./rdft/kr2r.c -3 +3
    M ./rdft/nop.c -3 +3
    M ./rdft/nop2.c -3 +3
    M ./rdft/plan.c -3 +3
    M ./rdft/plan2.c -3 +3
    M ./rdft/problem.c -3 +3
    M ./rdft/problem2.c -3 +3
    M ./rdft/rank-geq2-rdft2.c -3 +3
    M ./rdft/rank-geq2.c -3 +3
    M ./rdft/rank0-rdft2.c -3 +3
    M ./rdft/rank0.c -3 +3
    M ./rdft/rdft-dht.c -3 +3
    M ./rdft/rdft.h -2 +2
    M ./rdft/rdft2-inplace-strides.c -3 +3
    M ./rdft/rdft2-radix2.c -3 +3
    M ./rdft/rdft2-strides.c -2 +2
    M ./rdft/rdft2-tensor-max-index.c -3 +3
    M ./rdft/solve.c -3 +3
    M ./rdft/solve2.c -3 +3
    M ./rdft/vrank-geq1-rdft2.c -3 +3
    M ./rdft/vrank-geq1.c -3 +3
    M ./rdft/vrank3-transpose.c -3 +3
    M ./reodft/conf.c -3 +3
    M ./reodft/redft00e-r2hc-pad.c -3 +3
    M ./reodft/redft00e-r2hc.c -3 +3
    M ./reodft/reodft.h -2 +2
    M ./reodft/reodft010e-r2hc.c -3 +3
    M ./reodft/reodft11e-r2hc-odd.c -3 +3
    M ./reodft/reodft11e-r2hc.c -3 +3
    M ./reodft/reodft11e-radix2.c -3 +3
    M ./reodft/rodft00e-r2hc-pad.c -3 +3
    M ./reodft/rodft00e-r2hc.c -3 +3
    M ./simd/altivec.c -3 +3
    M ./simd/nonportable/sse.c -3 +3
    M ./simd/nonportable/sse2.c -3 +3
    M ./simd/simd-altivec.h -2 +2
    M ./simd/simd-sse.h -2 +2
    M ./simd/simd-sse2.h -2 +2
    M ./simd/simd.h -2 +2
    M ./simd/sse.c -3 +3
    M ./simd/sse2.c -3 +3
    M ./simd/taint.c -3 +3
    M ./threads/api.c -2 +2
    M ./threads/conf.c -3 +3
    M ./threads/ct.c -3 +3
    M ./threads/dft-vrank-geq1.c -3 +3
    M ./threads/f77api.c -2 +2
    M ./threads/f77funcs.h -2 +2
    M ./threads/hc2hc.c -2 +2
    M ./threads/rdft-vrank-geq1.c -3 +3
    M ./threads/threads.c -2 +2
    M ./threads/threads.h -2 +2
    M ./threads/vrank-geq1-rdft2.c -3 +3
    M ./tools/fftw-wisdom-to-conf.1 -4 +4
    M ./tools/fftw-wisdom-to-conf.in -2 +2
    M ./tools/fftw-wisdom.c -2 +2
    M ./tools/fftw_wisdom.1.in -4 +4

Wed Jan  4 21:57:23 EST 2006  stevenj
  * [project @ 2006-01-05 02:57:23 by stevenj]
  whoops

    M ./m4/ax_gcc_archflag.m4 -7 +4

Wed Jan  4 21:52:18 EST 2006  stevenj
  * [project @ 2006-01-05 02:52:18 by stevenj]
  whoops

    M ./m4/ax_gcc_archflag.m4 -1 +1

Wed Jan  4 21:51:40 EST 2006  stevenj
  * [project @ 2006-01-05 02:51:40 by stevenj]
  more updates for recent pentia/amd

    M ./m4/ax_gcc_archflag.m4 -5 +12

Wed Jan  4 20:57:47 EST 2006  athena
  * [project @ 2006-01-05 01:57:47 by athena]
  Pruned TODO.

    M ./TODO -6 +2

Wed Jan  4 20:43:41 EST 2006  athena
  * [project @ 2006-01-05 01:43:41 by athena]
  Prototype of problem_destroy()

    M ./libbench2/bench-user.h -1 +2
    M ./libbench2/bench.h -2 +1

Wed Jan  4 20:43:13 EST 2006  stevenj
  * [project @ 2006-01-05 01:43:13 by stevenj]
  rm obsoleted TODOs

    M ./TODO -5

Wed Jan  4 20:37:24 EST 2006  athena
  * [project @ 2006-01-05 01:37:24 by athena]
  Fallback to 970 if neither -mcpu=power5 nor -mcpu=power4 are supported.

    M ./m4/ax_gcc_archflag.m4 -3 +3

Wed Jan  4 20:29:07 EST 2006  stevenj
  * [project @ 2006-01-05 01:29:07 by stevenj]
  NEWS updates, clarifications, and reorganization

    M ./NEWS -6 +10

Wed Jan  4 19:54:41 EST 2006  stevenj
  * [project @ 2006-01-05 00:54:40 by stevenj]
  remove some compiler warnings, add an assert check, make estimator work properly for nop plans

    M ./dft/dftw-genericbuf.c +3
    M ./kernel/planner.c -1 +2
    M ./kernel/trig.c -1 +3
    M ./m4/ax_gcc_x86_cpuid.m4 +2
    M ./rdft/dft-r2hc.c -1 +2

Tue Jan  3 19:34:04 EST 2006  athena
  * [project @ 2006-01-04 00:34:03 by athena]
  Two big changes:
  
  1) revised the twiddle generation machinery, to avoid generating
     twiddles when measuring, and to use a faster O(sqrt(N)) table
     when this entails no loss of precision.
  
  2) implemented new ALLOW_PRUNING estimator hack.

    M ./api/apiplan.c -2 +10
    M ./api/fftw3.h -1 +2
    M ./api/mapflags.c -1 +4
    M ./configure.ac -8 +9
    M ./dft/bluestein.c -12 +18
    M ./dft/buffered.c -5 +5
    M ./dft/ct.c -4 +7
    M ./dft/ctsq.c -4 +4
    M ./dft/dftw-direct.c -3 +4
    M ./dft/dftw-generic.c -131 +19
    M ./dft/dftw-genericbuf.c -76 +36
    M ./dft/direct.c -1 +2
    M ./dft/generic.c -2 +2
    M ./dft/indirect-transpose.c -4 +4
    M ./dft/indirect.c -4 +4
    M ./dft/rader.c -17 +22
    M ./dft/rank-geq2.c -4 +4
    M ./dft/vrank-geq1.c -3 +3
    M ./genfft/twiddle.ml -22 +12
    M ./kernel/awake.c -3 +3
    M ./kernel/ifftw.h -23 +48
    M ./kernel/plan.c -14 +9
    M ./kernel/planner.c -1 +8
    M ./kernel/timer.c -3 +3
    M ./kernel/trig.c -41 +166
    M ./kernel/twiddle.c -64 +103
    M ./libbench2/bench-main.c -3 +8
    M ./libbench2/bench.h -2 +2
    M ./libbench2/problem.c -4 +3
    M ./libbench2/speed.c -2 +8
    M ./rdft/buffered.c -5 +5
    M ./rdft/buffered2.c -4 +4
    M ./rdft/dft-r2hc.c -3 +3
    M ./rdft/dht-r2hc.c -3 +3
    M ./rdft/dht-rader.c -16 +23
    M ./rdft/direct.c -1 +3
    M ./rdft/direct2.c -1 +2
    M ./rdft/generic.c -2 +2
    M ./rdft/hc2hc-direct.c -5 +7
    M ./rdft/hc2hc-directbuf.c -5 +5
    M ./rdft/hc2hc-generic.c -6 +7
    M ./rdft/hc2hc.c -3 +7
    M ./rdft/indirect.c -4 +4
    M ./rdft/rank-geq2-rdft2.c -4 +4
    M ./rdft/rank-geq2.c -4 +4
    M ./rdft/rank0-rdft2.c -3 +3
    M ./rdft/rdft-dht.c -3 +3
    M ./rdft/rdft2-radix2.c -4 +5
    M ./rdft/vrank-geq1-rdft2.c -3 +3
    M ./rdft/vrank-geq1.c -3 +3
    M ./reodft/redft00e-r2hc-pad.c -4 +4
    M ./reodft/reodft00e-splitradix.c -5 +6
    M ./reodft/reodft010e-r2hc.c -4 +5
    M ./reodft/reodft11e-r2hc-odd.c -3 +3
    M ./reodft/reodft11e-radix2.c -5 +7
    M ./reodft/rodft00e-r2hc-pad.c -4 +4
    M ./tests/hook.c -3 +6

Sat Dec 24 22:08:29 EST 2005  athena
  * [project @ 2005-12-25 03:08:29 by athena]
  Estimator tweaks, mostly to favor generic over rader for small n.

    M ./dft/generic.c +2
    M ./rdft/generic.c +2

Sat Dec 24 17:55:47 EST 2005  athena
  * [project @ 2005-12-24 22:55:47 by athena]
  Grrr... missing break statement in switch.

    M ./tests/hook.c +1

Sat Dec 24 16:08:50 EST 2005  athena
  * [project @ 2005-12-24 21:08:49 by athena]
  Swapped fields TW and OPS in struct ct_desc_s, to make k7 asm
  code insensitive to -malign-double.  For consistency, changed
  struct hc2hc_desc_s in the same way.

    M ./dft/codelet-dft.h -2 +2
    M ./genfft-k7/gen_twiddle.ml -3 +2
    M ./genfft/gen_hc2hc.ml -3 +3
    M ./genfft/gen_twiddle.ml -3 +3
    M ./genfft/gen_twiddle_c.ml -3 +3
    M ./genfft/gen_twidsq.ml -3 +3
    M ./genfft/gen_twidsq_c.ml -3 +3
    M ./rdft/codelet-rdft.h -1 +1

Sat Dec 24 16:00:42 EST 2005  athena
  * [project @ 2005-12-24 21:00:42 by athena]
  Wrong check for infeasible slvndx in imprt().

    M ./kernel/planner.c -4 +4

Sat Dec 24 15:56:59 EST 2005  athena
  * [project @ 2005-12-24 20:56:59 by athena]
  Removed obsolete function invoke_solver_if_correct_kind().

    M ./kernel/planner.c -10 +1

Sat Dec 24 14:22:12 EST 2005  athena
  * [project @ 2005-12-24 19:22:12 by athena]
  Faster implementation of safe_mulmod(), avoiding divisions altogether.
  Works for 0 <= p <= INT_MAX.

    M ./kernel/primes.c -13 +22

Sat Dec 24 12:05:54 EST 2005  athena
  * [project @ 2005-12-24 17:05:54 by athena]
  FFTW_ALLOW_LARGE_GENERIC must belong to flags->l, it cannot be
  overridden by fftw.

    M ./api/mapflags.c -2 +2

Fri Dec 23 20:46:24 EST 2005  stevenj
  * [project @ 2005-12-24 01:46:24 by stevenj]
  no more need for limits.h, add some explanatory comments

    M ./kernel/primes.c -4 +9

Fri Dec 23 17:50:25 EST 2005  athena
  * [project @ 2005-12-23 22:50:25 by athena]
  Paranoia.

    M ./dft/k7/k7.c -1 +8

Fri Dec 23 17:40:41 EST 2005  athena
  * [project @ 2005-12-23 22:40:41 by athena]
  Fixed subtle bug involving overflow of the slvndx field in flags_t.

    M ./kernel/ifftw.h -5 +6
    M ./kernel/planner.c -18 +26

Fri Dec 23 16:33:56 EST 2005  athena
  * [project @ 2005-12-23 21:33:56 by athena]
  Note 64-bit clean.

    M ./NEWS +2

Fri Dec 23 15:34:32 EST 2005  athena
  * [project @ 2005-12-23 20:34:32 by athena]
  Threads are now 64-bit clean

    M ./threads/ct.c -12 +13
    M ./threads/dft-vrank-geq1.c -20 +17
    M ./threads/hc2hc.c -7 +8
    M ./threads/rdft-vrank-geq1.c -18 +15
    M ./threads/threads.h -2 +2
    M ./threads/vrank-geq1-rdft2.c -20 +20

Fri Dec 23 13:00:31 EST 2005  athena
  * [project @ 2005-12-23 18:00:31 by athena]
  Restored the old numbering TW_NEXT=3 etc, because the k7 code depends
  on it.

    M ./kernel/ifftw.h -3 +3

Fri Dec 23 11:58:00 EST 2005  athena
  * [project @ 2005-12-23 16:58:00 by athena]
  Portable implementation of MULMOD() and safe_mulmod().
  Removed all unnecessary AC_CHECK_SIZEOF() from configure.ac.

    M ./configure.ac -5
    M ./kernel/ifftw.h -27 +3
    M ./kernel/primes.c -8 +3

Thu Dec 22 11:12:29 EST 2005  athena
  * [project @ 2005-12-22 16:12:29 by athena]
  Inline the loop body in r2r codelets like we do everywhere else.

    M ./genfft/gen_r2r.ml -44 +34

Thu Dec 22 10:48:53 EST 2005  athena
  * [project @ 2005-12-22 15:48:53 by athena]
  Oops.

    M ./dft/conf.c -3 +3

Thu Dec 22 10:25:15 EST 2005  athena
  * [project @ 2005-12-22 15:25:15 by athena]
  Renamed X(sin_and_cos)() to X(cexp)().

    M ./dft/bluestein.c -1 +1
    M ./dft/dftw-generic.c -2 +2
    M ./dft/dftw-genericbuf.c -2 +2
    M ./dft/rader.c -1 +1
    M ./kernel/ifftw.h -2 +2
    M ./kernel/trig.c -2 +2
    M ./kernel/twiddle.c -4 +3
    M ./rdft/dht-rader.c -1 +1

Wed Dec 21 22:49:58 EST 2005  athena
  * [project @ 2005-12-22 03:49:58 by athena]
  Somewhat faster generation of twiddle factors.

    M ./dft/bluestein.c -2 +1
    M ./dft/conf.c -3 +3
    M ./dft/dftw-generic.c -8 +5
    M ./dft/dftw-genericbuf.c -8 +6
    M ./dft/rader.c -3 +4
    M ./kernel/Makefile.am -1 +1
    M ./kernel/ifftw.h -4 +3
    M ./kernel/trig.c -5 +67
    R ./kernel/trig1.c
    M ./kernel/twiddle.c -11 +15
    M ./rdft/dht-rader.c -2 +4

Tue Dec 20 23:50:01 EST 2005  athena
  * [project @ 2005-12-21 04:50:01 by athena]
  tweaks

    M ./kernel/md5.c -2 +1

Tue Dec 20 22:29:19 EST 2005  athena
  * [project @ 2005-12-21 03:29:19 by athena]
  Sped up planner, esp. in estimate mode.  The planner now classifies
  all solvers into DFT, RDFT, and RDFT2, and it only invokes solvers
  appropriate for the problem being planned.  Because we have several
  hundred solvers, the overhead of calling irrelevant solvers is
  significant, and this modification mitigates the issue somewhat.

    M ./dft/bluestein.c -14 +10
    M ./dft/buffered.c -31 +30
    M ./dft/ct.c -16 +13
    M ./dft/ctsq.c -23 +20
    M ./dft/dft.h -4 +1
    M ./dft/direct.c -69 +62
    M ./dft/generic.c -12 +8
    M ./dft/indirect-transpose.c -23 +19
    M ./dft/indirect.c -37 +33
    M ./dft/nop.c -16 +15
    M ./dft/problem.c -6 +2
    M ./dft/rader.c -11 +7
    M ./dft/rank-geq2.c -13 +9
    M ./dft/vrank-geq1.c -16 +12
    M ./kernel/ifftw.h -1 +25
    M ./kernel/planner.c -5 +29
    M ./rdft/buffered.c -31 +30
    M ./rdft/buffered2.c -8 +5
    M ./rdft/dft-r2hc.c -10 +6
    M ./rdft/dht-r2hc.c -12 +9
    M ./rdft/dht-rader.c -13 +9
    M ./rdft/direct.c -49 +45
    M ./rdft/direct2.c -45 +41
    M ./rdft/generic.c -13 +9
    M ./rdft/hc2hc.c -19 +15
    M ./rdft/indirect.c -30 +26
    M ./rdft/nop.c -16 +13
    M ./rdft/nop2.c -17 +15
    M ./rdft/problem.c -6 +2
    M ./rdft/problem2.c -6 +2
    M ./rdft/rank-geq2-rdft2.c -20 +16
    M ./rdft/rank-geq2.c -13 +9
    M ./rdft/rank0-rdft2.c -13 +10
    M ./rdft/rank0.c -14 +10
    M ./rdft/rdft-dht.c -15 +13
    M ./rdft/rdft.h -6
    M ./rdft/rdft2-radix2.c -25 +17
    M ./rdft/vrank-geq1-rdft2.c -13 +12
    M ./rdft/vrank-geq1.c -15 +11
    M ./rdft/vrank3-transpose.c -27 +24
    M ./reodft/redft00e-r2hc-pad.c -12 +9
    M ./reodft/redft00e-r2hc.c -12 +9
    M ./reodft/reodft00e-splitradix.c -17 +14
    M ./reodft/reodft010e-r2hc.c -12 +9
    M ./reodft/reodft11e-r2hc-odd.c -12 +9
    M ./reodft/reodft11e-r2hc.c -11 +9
    M ./reodft/reodft11e-radix2.c -12 +9
    M ./reodft/rodft00e-r2hc-pad.c -12 +8
    M ./reodft/rodft00e-r2hc.c -11 +8
    M ./tests/hook.c -92 +98

Mon Dec 19 22:04:00 EST 2005  athena
  * [project @ 2005-12-20 03:04:00 by athena]
  Eliminated all calls to sprintf() in favor of own routines, so as not
  to force users to link stdio and the associated locale/pthreads crap.

    M ./kernel/print.c -35 +50

Mon Dec 19 21:27:25 EST 2005  athena
  * [project @ 2005-12-20 02:27:25 by athena]
  Implemented routine to print INT, removing the need for c99's
  %td format.

    M ./kernel/ifftw.h -2 +1
    M ./kernel/print.c -7 +27

Mon Dec 19 12:06:33 EST 2005  athena
  * [project @ 2005-12-19 17:06:33 by athena]
  info->n is size_t

    M ./kernel/alloc.c -2 +2

Sun Dec 18 18:15:04 EST 2005  athena
  * [project @ 2005-12-18 23:15:04 by athena]
  Explicit casts in front of pointer difference in printf() context,
  just in case INT != ptrdiff_t.

    M ./configure.ac -1 +1
    M ./dft/problem.c -3 +3
    M ./rdft/problem.c -2 +2
    M ./rdft/problem2.c -3 +3

Sun Dec 18 16:52:38 EST 2005  athena
  * [project @ 2005-12-18 21:52:38 by athena]
  Forgot to add %D to print.c

    M ./kernel/print.c -1 +6

Sun Dec 18 16:43:26 EST 2005  athena
  * [project @ 2005-12-18 21:43:26 by athena]
  Use %D as format character for type INT.

    M ./dft/bluestein.c -1 +1
    M ./dft/buffered.c -2 +2
    M ./dft/ct.c -2 +2
    M ./dft/ctsq.c -2 +2
    M ./dft/dftw-direct.c -3 +3
    M ./dft/dftw-generic.c -1 +1
    M ./dft/dftw-genericbuf.c -1 +1
    M ./dft/direct.c -3 +3
    M ./dft/generic.c -1 +1
    M ./dft/problem.c -2 +2
    M ./dft/rader.c -1 +1
    M ./dft/vrank-geq1.c -2 +2
    M ./kernel/print.c -9 +1
    M ./kernel/tensor.c -2 +2
    M ./rdft/buffered.c -2 +2
    M ./rdft/buffered2.c -2 +2
    M ./rdft/dft-r2hc.c -2 +2
    M ./rdft/dht-r2hc.c -2 +2
    M ./rdft/dht-rader.c -1 +1
    M ./rdft/direct.c -2 +2
    M ./rdft/direct2.c -2 +2
    M ./rdft/generic.c -1 +1
    M ./rdft/hc2hc-direct.c -2 +2
    M ./rdft/hc2hc-directbuf.c -2 +2
    M ./rdft/hc2hc-generic.c -1 +1
    M ./rdft/hc2hc.c -1 +1
    M ./rdft/problem.c -2 +2
    M ./rdft/problem2.c -2 +2
    M ./rdft/rank0.c -2 +2
    M ./rdft/rdft-dht.c -2 +2
    M ./rdft/rdft2-radix2.c -2 +2
    M ./rdft/vrank-geq1-rdft2.c -2 +2
    M ./rdft/vrank-geq1.c -2 +2
    M ./rdft/vrank3-transpose.c -2 +2
    M ./reodft/redft00e-r2hc-pad.c -2 +2
    M ./reodft/redft00e-r2hc.c -2 +2
    M ./reodft/reodft00e-splitradix.c -3 +3
    M ./reodft/reodft010e-r2hc.c -2 +2
    M ./reodft/reodft11e-r2hc-odd.c -2 +2
    M ./reodft/reodft11e-r2hc.c -2 +2
    M ./reodft/reodft11e-radix2.c -2 +2
    M ./reodft/rodft00e-r2hc-pad.c -2 +2
    M ./reodft/rodft00e-r2hc.c -2 +2

Sun Dec 18 15:14:03 EST 2005  athena
  * [project @ 2005-12-18 20:14:03 by athena]
  Changed type of an_int_guaranteed_to_be_zero.  Changed name as well.

    M ./kernel/ifftw.h -3 +3
    M ./kernel/stride.c -2 +2

Sun Dec 18 14:41:31 EST 2005  athena
  * [project @ 2005-12-18 19:41:31 by athena]
  converted %o -> INT

    M ./kernel/ifftw.h -1 +2
    M ./kernel/planner.c -2 +2
    M ./kernel/print.c -8 +6

Sat Dec 17 20:28:50 EST 2005  athena
  * [project @ 2005-12-18 01:28:50 by athena]
  Major 64-bit cleanup.

    M ./dft/bluestein.c -14 +15
    M ./dft/buffered.c -20 +20
    M ./dft/codelet-dft.h -17 +17
    M ./dft/codelets/n.c -1 +1
    M ./dft/codelets/t.c -1 +1
    M ./dft/ct.c -6 +6
    M ./dft/ct.h -5 +5
    M ./dft/ctsq.c -6 +6
    M ./dft/dftw-direct.c -17 +17
    M ./dft/dftw-generic.c -28 +28
    M ./dft/dftw-genericbuf.c -25 +25
    M ./dft/direct.c -16 +14
    M ./dft/generic.c -8 +8
    M ./dft/indirect-transpose.c -5 +5
    M ./dft/problem.c -3 +3
    M ./dft/rader.c -10 +10
    M ./dft/simd/n1b.c -1 +1
    M ./dft/simd/n1f.c -1 +1
    M ./dft/simd/n2b.c -1 +1
    M ./dft/simd/n2f.c -1 +1
    M ./dft/simd/n2s.c -1 +1
    M ./dft/simd/q1b.c -1 +1
    M ./dft/simd/q1f.c -1 +1
    M ./dft/simd/t.c -5 +5
    M ./dft/simd/t1s.c -1 +1
    M ./dft/vrank-geq1.c -5 +5
    M ./dft/zero.c -3 +3
    M ./genfft/gen_hc2hc.ml -5 +5
    M ./genfft/gen_hc2r.ml -6 +6
    M ./genfft/gen_notw.ml -6 +6
    M ./genfft/gen_notw_c.ml -6 +6
    M ./genfft/gen_r2hc.ml -6 +6
    M ./genfft/gen_r2r.ml -6 +6
